<%@ include file="includes/docType.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ page isErrorPage="true"%>

<html>
 <head>
  <title>Error Page</title>
  <meta http-equiv="pragma" content="no-cache" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="0" />
  <link rel="stylesheet" type="text/css"
   href="${pageContext.request.contextPath}/public/style/master.css"></link>
 </head>
 <body>
 
  <div id="link508"><a href="#MainContent508"><img alt="Skip to main content" src="${pageContext.request.contextPath}/public/public/images/1.gif" width="1"></a></div>
  <div id="container">
   <%@ include file="includes/header.jsp"%>
   <%@ include file="includes/navigation.jsp"%>
   <a name="#MainContent508"></a>
   <div id="content">
    <p>
     A system error has occurred.<br>
     If an Error Message is displayed below, please cut and paste the message and send it in an email to the System Administrator.
     <br>
     <br>
     Thank you for helping us to improve the application.
    </p>
    <br />
<!--
    <p>
     Please <a href="${pageContext.request.contextPath}/public/welcome">login</a> again.
    </p>
-->
    <br />
    <h3>
     Error Message
    </h3>
    <p>
     ${exception.message}
    </p>
    <hr />
    <br />
    <h3>
     Technical Details
    </h3>
    <p>
     ${exceptionStack}
    </p>

   </div>
   <%@ include file="includes/footer.jsp"%>
  </div>
 </body>
</html>
