<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib tagdir="/WEB-INF/tags" prefix="pecs"%>
<c:set var="user" value="${ sessionScope.sessionUser}" />

<ul class="tabNavigation"  id="tabMenu">

	<pecs:menuItem name="Home" path="pecs/index" id="index"/>
	<pecs:menuItem name="Advanced Query/Customization" path="pecs/customization" id="query"/>
	<pecs:menuItem name="Easy Search" path="pecs/search" permissions="requestor,approver" id="easySearch"/>
	<pecs:menuItem name="Drug Pair Lookup" path="pecs/drugPairLookup"
		permissions="requestor,approver" id="dpLookup"/>
	<pecs:menuItem name="Administration" path="pecs/administration" permissions="admin" id="administration"/>
	<pecs:menuItem name="Reports" path="pecs/reports" permissions="approver,admin" id="reports"/>
	<pecs:menuItem name="Custom Updates" path="pecs/updates" permissions="releaseManager" id="updates"/>
	<pecs:menuItem name="Contact Us" path="pecs/contact" id="contact" />
	<pecs:menuItem name="Help" path="pecs/help" id="help"/>
</ul>
