<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="drugsSearchedDiv">
	<c:choose>
		<c:when test="${(easySearchModel.drugsSearched == null) || (fn:length(easySearchModel.drugsSearched) < 1)}">
			<spring:message code="es.no.results.found"/>
		</c:when>
		<c:otherwise>
			<div id="drugsSearchedDiv" class="conceptcontainer">
				<div id="drugsSearchedHdr" class="concepthdr">
					<spring:message code="es.header.drugssearched"/>
				</div>
				<br />
				<c:forEach var="drug" items="${easySearchModel.drugsSearched}">
					<c:out value="${drug.uiLabel}"/><br />
					<c:if test="${fn:length(drug.therapeuticClasses) > 0}">
						<c:forEach var="theraClass" items="${drug.therapeuticClasses}">
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
							<spring:message code="es.label.therapeuticclass"/>
							&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<c:out value="${theraClass.description}"/>
							<br />
						</c:forEach>
					</c:if>
				</c:forEach>
			</div>
		</c:otherwise>
	</c:choose>
</div>