<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="userSettings">
	<h2 class="titleBar">Approver User Settings
	<pecs:pageHelp topic="<%= HelpTopics.APPROVER_USER_SETTINGS %>" />
	</h2>
	
	<form:form name="userSettingsForm" modelAttribute="userSettingsModel"
		method="POST">
		<!-- Do not define an Action -->
		<pecs:userMessages modelAttribute="userSettingsModel" />
		<table style="width: 25%; border: 1px solid;">
			<tr>
				<th><label><spring:message code="us.label.approverName" />
				</label>
				</th>
				<th><label><spring:message code="us.label.delete" />
				</label>
				</th>
			</tr>
			<c:forEach var="user" items="${userList}" varStatus="rowCounter">
				<tr>
					<td>${user.username} <form:hidden
							path="userList[${rowCounter.index}].ctUsersVaId" /> <form:hidden
							path="userList[${rowCounter.index}].username" /></td>
					<td style="text-align: center; vertical-align: middle;"><form:checkbox
							path="userDeletes" value="${user.ctUsersVaId}" /> <br /></td>
				</tr>
			</c:forEach>
		</table>
		<br>
		<br>
		<label for="addUserText"><spring:message
				code="us.label.addUser" />
		</label>
		<form:input path="addUserText" />
		<div class="buttons">
			<button id="newAction" type="submit" value="new" class="positive"
				onclick="return confirm('Are you sure you want to save User Settings?');">
				<spring:message code="us.button.save" />
			</button>
			<a href="${pageContext.request.contextPath}/pecs/administration"
				class="negative"><spring:message code="us.button.cancel" />
			</a>
		</div>
	</form:form>
</div>
<br>
<br>
<br>
<br>
<div>
	<p>
		<spring:message code="us.text.addUser" />
	</p>
</div>
