<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>


<div id="genericDrugs" class="hide">
 <br> <br> <label><b><spring:message code="ddim.wizard.generic.customize" /></b></label><br> <br>
 <form:form id="genericDrugPairsForm" name="genericDrugPairsForm" commandName="genericDrugPairsForm" method="POST"
  action="${pageContext.request.contextPath}/pecs/drugPairCustomization/genericDrugPairs">
  <form:hidden path="interactionid" />
  
  <table id="genericDrugTable">
   <thead>
    <tr>
     <th id="g1" headers="g">Routed Generic #1 Description</th>
     <th id="g2" headers="g">Routed Generic #2 Description</th>
    </tr>
   </thead>
   <tbody class="scrollContent">
    <tr align="left" valign="top">
     <td headers="g"><form:select path="rtgenid1" items="${drugPairCustomization.rtgenid1List}"
       itemValue="identifier" itemLabel="description" /></td>
     <td headers="g"><form:select path="rtgenid2" items="${drugPairCustomization.rtgenid2List}"
       itemValue="identifier" itemLabel="description" /></td>
    </tr>
   </tbody>
   <tfoot>
    <tr></tr>
   </tfoot>
  </table>
  <br />
  <br />
  <table>
   <tr>
    <th><spring:message code="ddim.wizard.customize.instruction" /></th>
   </tr>
   <tr>
    <td>
     <P>
      <em><c:out value="Reference Text (drug pair reference text)" /></em><br />
      <form:textarea path="referenceText" class="formElement" cols="40" rows="5" />
     </P>
    </td>
   </tr>
   <tr>
    <td>
     <P>
      <em><strong><c:out value="Current Action Reason (for drug pair creation)" /><span class="required">&nbsp;(Required)</span></strong></em><br />
      <form:textarea path="currentActionReason" class="formElement" cols="40" rows="5" />
     </P>
    </td>
   </tr>
   <tr>
    <td>
     <P>
      <em><strong><c:out value="Assigned To" /><span class="required">&nbsp;(Required)</span></strong></em><br />
      <form:select path="assignedTo">
       <form:options items="${users}" />
      </form:select>
     </P>
    </td>
   </tr>

  </table>

  <div class="buttons">
   <button type="submit" name="Customize" value="Customize">
    <spring:message code="wizard.button.customize" />
   </button>

  </div>
 </form:form>
</div>