<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ attribute name="name" required="true"%>
<%@ attribute name="property" required="true"%>
<%@ attribute name="isCurrentRec" required="true" rtexprvalue="true"%>
<%@ attribute name="fieldInfo" type="gov.va.med.pharmacy.pecs.metadata.ConceptField" required="true" rtexprvalue="true" %>
<%@ attribute name="value" required="false" rtexprvalue="true" %>

<c:if test="${not fieldInfo.editable }">
	<c:set var="grayTextReadOnly" value="wizardReadonly">
	</c:set>
	<c:set var="readonlyColor" value="readonly">
	</c:set>
</c:if>

<c:set var="readOnly" value="${not fieldInfo.editable}"></c:set>

<c:if test="${not isCurrentRec}">
  <c:set var="readOnly" value="true"></c:set>
  <c:set var="grayTextReadOnly" value="wizardReadonly"></c:set>
</c:if>


<div id="${name }" class="displayable" style="display: none">
	<form:label cssClass="requiredField" path="${property}">${fieldInfo.displayName}&nbsp;<spring:message code="message.required" /></form:label>
	<form:textarea  style="display:none;" readonly="${readOnly}" cssClass="editable ${grayTextReadOnly}" path="${property }" rows="${fieldInfo.displayLines }" />
	<span class="read-only noneditable"><c:out value="${value }"></c:out></span>
</div>

