SELECT 'START : ' || CURRENT_TIMESTAMP AS "CTSTAGING_UPDATE_USER.sql" FROM DUAL;

DROP ROLE CTSTAGING_UPDATE_USER_ROLE;

CREATE ROLE CTSTAGING_UPDATE_USER_ROLE NOT IDENTIFIED;


grant create session to CTSTAGING_UPDATE_USER_ROLE;


grant CTSTAGING_READ_ONLY_ROLE                                          to CTSTAGING_UPDATE_USER_ROLE;

--GRANT SELECT ON CTSTAGING.ASVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                      
--GRANT SELECT ON CTSTAGING.CFGCOL_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                    
--GRANT SELECT ON CTSTAGING.CFGQRY_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                    
GRANT SELECT ON CTSTAGING.COMPARISON_REPORT_CONCEPT_SEQ TO CTSTAGING_UPDATE_USER_ROLE; 
--GRANT SELECT ON CTSTAGING.CTCFG_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                     
GRANT SELECT ON CTSTAGING.CTUSERSVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                 
GRANT SELECT ON CTSTAGING.CTVERSVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                  
GRANT SELECT ON CTSTAGING.CUFVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                     
--GRANT SELECT ON CTSTAGING.DDIMINTERACTIONVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;         
--GRANT SELECT ON CTSTAGING.DDIMSTRINGSVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;             
--GRANT SELECT ON CTSTAGING.DDIMVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                    
--GRANT SELECT ON CTSTAGING.DOSINGVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                  
--GRANT SELECT ON CTSTAGING.DTCATVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                   
--GRANT SELECT ON CTSTAGING.EQRY_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                      
GRANT SELECT ON CTSTAGING.FDB_UPDATE_REPORT_SEQ TO CTSTAGING_UPDATE_USER_ROLE;         
GRANT SELECT ON CTSTAGING.FIELDMETA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                 
GRANT SELECT ON CTSTAGING.INTERACTIONID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;             
--GRANT SELECT ON CTSTAGING.INTERACTIONREFVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;          
--GRANT SELECT ON CTSTAGING.MONOGRAPHID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;               
--GRANT SELECT ON CTSTAGING.MONOGRAPHVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;               
GRANT SELECT ON CTSTAGING.PECS_DDI_VA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;               
GRANT SELECT ON CTSTAGING.PECS_DDI_VERSION_VA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;       
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_SEQ TO CTSTAGING_UPDATE_USER_ROLE;           
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_VERSION_SEQ TO CTSTAGING_UPDATE_USER_ROLE;   
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;         
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA_SEQ TO CTSTAGING_UPDATE_USER_ROLE; 
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_SEQ TO CTSTAGING_UPDATE_USER_ROLE;         
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_VERSION_SEQ TO CTSTAGING_UPDATE_USER_ROLE; 
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_LINE_SEQ TO CTSTAGING_UPDATE_USER_ROLE;       
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_SEQ TO CTSTAGING_UPDATE_USER_ROLE;            
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_VERSION_SEQ TO CTSTAGING_UPDATE_USER_ROLE;    
GRANT SELECT ON CTSTAGING.REFTABLE_SEQ TO CTSTAGING_UPDATE_USER_ROLE;                  
GRANT SELECT ON CTSTAGING.SQRY_SEQ TO CTSTAGING_UPDATE_USER_ROLE;   
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_TITLES TO CTSTAGING_UPDATE_USER_ROLE;           
                   
--GRANT SELECT ON CTSTAGING.SRVA_SEQ TO CTSTAGING_UPDATE_USER_ROLE;

grant insert, update, delete on CTSTAGING.PECS_LOCKING TO CTSTAGING_UPDATE_USER_ROLE;                  
grant insert, update, delete on CTSTAGING.COMPARISON_REPORT_CONCEPT TO CTSTAGING_UPDATE_USER_ROLE;     
grant insert, update, delete on CTSTAGING.FDB_UPDATE_REPORT TO CTSTAGING_UPDATE_USER_ROLE;             
grant insert, update, delete on CTSTAGING.FORWARD_REVERSE_MONOGRAPH TO CTSTAGING_UPDATE_USER_ROLE;     
grant insert, update, delete on CTSTAGING.CT_USERS_VA TO CTSTAGING_UPDATE_USER_ROLE;                   
grant insert, update, delete on CTSTAGING.SAVED_QUERY_VA TO CTSTAGING_UPDATE_USER_ROLE;                
--grant insert, update, delete on CTSTAGING.EXECUTED_QUERY_VA TO CTSTAGING_UPDATE_USER_ROLE;             
--grant insert, update, delete on CTSTAGING.CONFIG_QUERY_VA TO CTSTAGING_UPDATE_USER_ROLE;               
--grant insert, update, delete on CTSTAGING.CONFIG_COLUMN_VA TO CTSTAGING_UPDATE_USER_ROLE;              
--grant insert, update, delete on CTSTAGING.CT_CONFIG_VA TO CTSTAGING_UPDATE_USER_ROLE;                  
--grant insert, update, delete on CTSTAGING.STATUS_REF_VA TO CTSTAGING_UPDATE_USER_ROLE;                 
grant insert, update, delete on CTSTAGING.REFERENCE_TEXT_VA TO CTSTAGING_UPDATE_USER_ROLE;             
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_DDIMINTERACTION_VA TO CTSTAGING_UPDATE_USER_ROLE; 
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_DDIM_VA TO CTSTAGING_UPDATE_USER_ROLE;            
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_DDIMSTRINGS_VA TO CTSTAGING_UPDATE_USER_ROLE;     
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_DOSING_VA TO CTSTAGING_UPDATE_USER_ROLE;          
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_DTCAT_VA TO CTSTAGING_UPDATE_USER_ROLE;           
grant insert, update, delete on CTSTAGING.MONOGRAPH_SECTION_ORDER_VA TO CTSTAGING_UPDATE_USER_ROLE;    
grant insert, update, delete on CTSTAGING.CT_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;                 
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIMINTERACTION_ARC TO CTSTAGING_UPDATE_USER_ROLE;
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIMINTERACTION_VA TO CTSTAGING_UPDATE_USER_ROLE; 
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIMSTRINGS_ARC TO CTSTAGING_UPDATE_USER_ROLE;    
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIMSTRINGS_VA TO CTSTAGING_UPDATE_USER_ROLE;     
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIM_ARC TO CTSTAGING_UPDATE_USER_ROLE;           
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DDIM_VA TO CTSTAGING_UPDATE_USER_ROLE;            
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DOSING_ARC TO CTSTAGING_UPDATE_USER_ROLE;         
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DOSING_VA TO CTSTAGING_UPDATE_USER_ROLE;          
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DTCAT_ARC TO CTSTAGING_UPDATE_USER_ROLE;          
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_DTCAT_VA TO CTSTAGING_UPDATE_USER_ROLE;           
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_MONOGRAPH_ARC TO CTSTAGING_UPDATE_USER_ROLE;      
--grant insert, update, delete on CTSTAGING.T_SNAPSHOT_MONOGRAPH_VA TO CTSTAGING_UPDATE_USER_ROLE;       
grant insert, update, delete on CTSTAGING.DOSE_UNIT_TYPE TO CTSTAGING_UPDATE_USER_ROLE;                
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIMINTERACTION_ARC TO CTSTAGING_UPDATE_USER_ROLE;  
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIMINTERACTION_VA TO CTSTAGING_UPDATE_USER_ROLE;   
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIMSTRINGS_ARC TO CTSTAGING_UPDATE_USER_ROLE;      
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIMSTRINGS_VA TO CTSTAGING_UPDATE_USER_ROLE;       
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIM_ARC TO CTSTAGING_UPDATE_USER_ROLE;             
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DDIM_VA TO CTSTAGING_UPDATE_USER_ROLE;              
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DOSING_ARC TO CTSTAGING_UPDATE_USER_ROLE;           
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DOSING_VA TO CTSTAGING_UPDATE_USER_ROLE;            
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DTCAT_ARC TO CTSTAGING_UPDATE_USER_ROLE;            
--grant insert, update, delete on CTSTAGING.SNAPSHOT_DTCAT_VA TO CTSTAGING_UPDATE_USER_ROLE;             
--grant insert, update, delete on CTSTAGING.SNAPSHOT_MONOGRAPH_ARC TO CTSTAGING_UPDATE_USER_ROLE;        
--grant insert, update, delete on CTSTAGING.SNAPSHOT_MONOGRAPH_VA TO CTSTAGING_UPDATE_USER_ROLE;         
grant insert, update, delete on CTSTAGING.CLINICAL_EFFECT TO CTSTAGING_UPDATE_USER_ROLE;               
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.DUPLICATE_ALLOWANCE TO CTSTAGING_UPDATE_USER_ROLE;
grant insert, update, delete on CTSTAGING.DOSE_ROUTE TO CTSTAGING_UPDATE_USER_ROLE;                    
grant insert, update, delete on CTSTAGING.DOSE_TYPE TO CTSTAGING_UPDATE_USER_ROLE;                     
grant insert, update, delete on CTSTAGING.EASY_SEARCH_SELECT_TYPE TO CTSTAGING_UPDATE_USER_ROLE;       
grant insert, update, delete on CTSTAGING.HALF_LIFE_UNIT TO CTSTAGING_UPDATE_USER_ROLE;                
grant insert, update, delete on CTSTAGING.PERIOD_OF_TIME TO CTSTAGING_UPDATE_USER_ROLE;                
grant insert, update, delete on CTSTAGING.SEVERITY_LEVEL TO CTSTAGING_UPDATE_USER_ROLE;                
grant insert, update, delete on CTSTAGING.PECS_STATUS TO CTSTAGING_UPDATE_USER_ROLE;                   
grant insert, update, delete on CTSTAGING.PECS_DOSE_RANGE_VA TO CTSTAGING_UPDATE_USER_ROLE;            
grant insert, update, delete on CTSTAGING.PECS_DOSE_RANGE_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;    
grant insert, update, delete on CTSTAGING.PECS_DDI_VA TO CTSTAGING_UPDATE_USER_ROLE;                   
grant insert, update, delete on CTSTAGING.PECS_DDI_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;           
grant insert, update, delete on CTSTAGING.PECS_DRUG_PAIR_VA TO CTSTAGING_UPDATE_USER_ROLE;             
grant insert, update, delete on CTSTAGING.PECS_DRUG_PAIR_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;     

grant insert, update, delete on CTSTAGING.PECS_DUPL_THERAPY_VA TO CTSTAGING_UPDATE_USER_ROLE;          
grant insert, update, delete on CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;  
grant insert, update, delete on CTSTAGING.PECS_MONOGRAPH_VA TO CTSTAGING_UPDATE_USER_ROLE;             
grant insert, update, delete on CTSTAGING.PECS_MONOGRAPH_VERSION_VA TO CTSTAGING_UPDATE_USER_ROLE;     
grant insert, update, delete on CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA TO CTSTAGING_UPDATE_USER_ROLE;
grant insert, update, delete on CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA TO CTSTAGING_UPDATE_USER_ROLE;
grant insert, update, delete on CTSTAGING.FIELD_METADATA TO CTSTAGING_UPDATE_USER_ROLE;                
--grant insert, update, delete on CTSTAGING.AUDIT_SERVICE_VA TO CTSTAGING_UPDATE_USER_ROLE;              
grant insert, update, delete on CTSTAGING.CUSTOM_UPDATE_FILE_VA TO CTSTAGING_UPDATE_USER_ROLE;         
--grant insert, update, delete on CTSTAGING.DDIMINTERACTION_REFERENCE_VA TO CTSTAGING_UPDATE_USER_ROLE;  
--grant insert, update, delete on CTSTAGING.FDB_CUSTOM_MONOGRAPH_VA TO CTSTAGING_UPDATE_USER_ROLE;

-- CCR 5514 - Null Drug Pair Removal Process
--
-- DESCRIPTION:
-- Create copy of the FDB_GENERIC_ROUTEDDRUG table to support display
-- of deleted routed drug description.
--
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.GENERIC_ROUTEDDRUG TO CTSTAGING_UPDATE_USER_ROLE;

--GRANT EXECUTE ON CTSTAGING.UPD_MONOGRAPH_HISTORY TO CTSTAGING_UPDATE_USER_ROLE;         
--GRANT EXECUTE ON CTSTAGING.UPD_DRUG_PAIR_HISTORY TO CTSTAGING_UPDATE_USER_ROLE;         
--GRANT EXECUTE ON CTSTAGING.UPD_DDI_HISTORY TO CTSTAGING_UPDATE_USER_ROLE;               
GRANT EXECUTE ON CTSTAGING.GET_MONOGRAPH_TITLE TO CTSTAGING_UPDATE_USER_ROLE;           
--GRANT EXECUTE ON CTSTAGING.UPD_DOSE_RANGE_HISTORY TO CTSTAGING_UPDATE_USER_ROLE;

GRANT DELETE ON CTSTAGING.DDIMINTERACTION_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.DDIMINTERACTION_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.DDIMINTERACTION_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.DDIMINTERACTION_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.DOSERANGE_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.DOSERANGE_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.DOSERANGE_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.DOSERANGE_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.DUPLTHERAPY_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.DUPLTHERAPY_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.DUPLTHERAPY_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.DUPLTHERAPY_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.MONOGRAPH_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.MONOGRAPH_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.MONOGRAPH_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.MONOGRAPH_COMMENT TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.FDB_DDIM_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.FDB_DDIM_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.FDB_DDIM_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DDIM_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.FDB_DUPTHERAPY_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.FDB_DUPTHERAPY_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.FDB_DUPTHERAPY_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DUPTHERAPY_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.FDB_DOSE_RANGE_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.FDB_DOSE_RANGE_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.FDB_DOSE_RANGE_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DOSE_RANGE_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE ON CTSTAGING.FDB_MONOGRAPH_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT INSERT ON CTSTAGING.FDB_MONOGRAPH_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT UPDATE ON CTSTAGING.FDB_MONOGRAPH_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_XREF TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DOSEROUTE_REF_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.DOSEROUTE_COMMENT_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON  CTSTAGING.FDB_DUPLTHERAPY_REF_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON  CTSTAGING.DUPLTHERAPY_COMMENT_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON  CTSTAGING.FDB_MONOGRAPH_REF_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.MONOGRAPH_COMMENT_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DDIM_REF_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT SELECT ON CTSTAGING.DDIM_COMMENT_ID_SEQ TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE, INSERT, UPDATE
   ON ctstaging.pecs_contact
   TO ctstaging_update_user_role;
GRANT SELECT ON ctstaging.pecs_contact_id_seq TO ctstaging_update_user_role;
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.PECS_DDI_EXPORT_VA TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE, INSERT, UPDATE, SELECT ON CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE, INSERT, UPDATE ON CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA TO CTSTAGING_UPDATE_USER_ROLE;
GRANT DELETE, INSERT, UPDATE, SELECT ON CTSTAGING.PECS_MONOGRAPH_EXPORT_VA TO CTSTAGING_UPDATE_USER_ROLE;

DROP USER CTSTAGING_UPDATE_USER CASCADE;

--
-- CTSTAGING_UPDATE_USER  (User) 
--
CREATE USER CTSTAGING_UPDATE_USER
  IDENTIFIED BY CTSTAGING_UPDATE_USER123
  DEFAULT TABLESPACE CTSTAGING_DATA
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 2 Roles for CTSTAGING_UPDATE_USER 
  GRANT CONNECT TO CTSTAGING_UPDATE_USER;
  GRANT CTSTAGING_UPDATE_USER_ROLE TO CTSTAGING_UPDATE_USER;
  GRANT FDB_DIF_READ_ONLY_ROLE TO CTSTAGING_UPDATE_USER;
  ALTER USER CTSTAGING_UPDATE_USER DEFAULT ROLE ALL;
  -- 1 Tablespace Quota for CTSTAGING_UPDATE_USER 
  ALTER USER CTSTAGING_UPDATE_USER QUOTA UNLIMITED ON CTSTAGING_DATA;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "CTSTAGING_UPDATE_USER.sql" FROM DUAL;
