SELECT 'START : ' || CURRENT_TIMESTAMP AS "FdbDuptherapyXref_DATA.sql" FROM DUAL;

INSERT INTO ctstaging.fdb_duptherapy_xref (fdb_reference_id, dtcid)
   SELECT ctstaging.fdb_dupltherapy_ref_id_seq.NEXTVAL, custom.dtcid
     FROM (  SELECT DISTINCT fdb.dtcid
               FROM ctstaging.pecs_dupl_therapy_va dt
                    INNER JOIN fdb_dif.fdb_duplicatetherapy fdb
                       ON fdb.dtcid = dt.dtcid
              WHERE NOT EXISTS
                       (SELECT *
                          FROM ctstaging.fdb_duptherapy_xref xref
                         WHERE xref.dtcid = fdb.dtcid)
           GROUP BY fdb.dtcid) custom;

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "FdbDuptherapyXref_DATA.sql" FROM DUAL;
