SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsMonographVa_UPDATE.sql" FROM DUAL;

UPDATE ctstaging.pecs_monograph_va mono
   SET mono.fdb_reference_id =
          (SELECT xref.fdb_reference_id
             FROM ctstaging.fdb_monograph_xref xref
            WHERE     xref.languageid = mono.language_id
                  AND xref.monographid = mono.monograph_id)
 WHERE     mono.fdb_reference_id IS NULL
       AND EXISTS
              (SELECT *
                 FROM ctstaging.fdb_monograph_xref subxref
                WHERE     subxref.languageid = mono.language_id
                      AND subxref.monographid = mono.monograph_id);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsMonographVa_UPDATE.sql" FROM DUAL;