SELECT 'START : ' || CURRENT_TIMESTAMP AS "SeverityLevel_DATA.sql" FROM DUAL;
-- Insert Severity Level data

INSERT INTO CTSTAGING.SEVERITY_LEVEL (CODE,NAME,DESCRIPTION,SORT_ORDER,ISACTIVE,EFFECTIVEDATE,EXPIRATIONDATE,RECORD_CREATED_BY,RECORD_CREATED_DATE,RECORD_MODIFIED_BY,RECORD_MODIFIED_DATE) VALUES ('1','Contraindicated Drug Combination','Contraindicated Drug Combination',1,'1',TO_DATE('2010-11-30','YYYY-MM-DD'),null,'CCR3714',CURRENT_TIMESTAMP,'CCR3714',CURRENT_TIMESTAMP);
INSERT INTO CTSTAGING.SEVERITY_LEVEL (CODE,NAME,DESCRIPTION,SORT_ORDER,ISACTIVE,EFFECTIVEDATE,EXPIRATIONDATE,RECORD_CREATED_BY,RECORD_CREATED_DATE,RECORD_MODIFIED_BY,RECORD_MODIFIED_DATE) VALUES ('2','Severe Interaction','Severe Interaction',2,'1',TO_DATE('2010-11-30','YYYY-MM-DD'),null,'CCR3714',CURRENT_TIMESTAMP,'CCR3714',CURRENT_TIMESTAMP);
INSERT INTO CTSTAGING.SEVERITY_LEVEL (CODE,NAME,DESCRIPTION,SORT_ORDER,ISACTIVE,EFFECTIVEDATE,EXPIRATIONDATE,RECORD_CREATED_BY,RECORD_CREATED_DATE,RECORD_MODIFIED_BY,RECORD_MODIFIED_DATE) VALUES ('3','Moderate Interaction','Moderate Interaction',3,'1',TO_DATE('2010-11-30','YYYY-MM-DD'),null,'CCR3714',CURRENT_TIMESTAMP,'CCR3714',CURRENT_TIMESTAMP);
INSERT INTO CTSTAGING.SEVERITY_LEVEL (CODE,NAME,DESCRIPTION,SORT_ORDER,ISACTIVE,EFFECTIVEDATE,EXPIRATIONDATE,RECORD_CREATED_BY,RECORD_CREATED_DATE,RECORD_MODIFIED_BY,RECORD_MODIFIED_DATE) VALUES ('9','Undetermined Severity - Alternative Therapy Interaction','Undetermined Severity - Alternative Therapy Interaction',4,'1',TO_DATE('2010-11-30','YYYY-MM-DD'),null,'CCR3714',CURRENT_TIMESTAMP,'CCR3714',CURRENT_TIMESTAMP);

commit;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "SeverityLevel_DATA.sql" FROM DUAL;