spool dr_create_xref_links.log
update CTSTAGING.PECS_DOSE_RANGE_VA DR set DR.FDB_REFERENCE_ID =
(
select distinct XREF.FDB_REFERENCE_ID
from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA DRVER 
inner join dose_route droute on
DROUTE.DOSE_ROUTE_ID = DRVER.DOSE_ROUTE_ID
inner join dose_type dtype on
DTYPE.DOSE_TYPE_ID = DRVER.DOSE_TYPE_ID
inner join CTSTAGING.FDB_DOSE_RANGE_XREF XREF on 
DRVER.AGEHIGHINDAYS = XREF.AGEHIGHINDAYS and
DRVER.AGELOWINDAYS = XREF.AGELOWINDAYS and
DRVER.CONCEPTID = XREF.CONCEPTID and
DRVER.CONCEPTTYPE = XREF.CONCEPTTYPE and
DROUTE.CODE = XREF.DOSEROUTEID and
DTYPE.CODE = XREF.DOSETYPEID and
DRVER.FDBDX = XREF.FDBDX
WHERE DRVER.VA_DOSE_RANGE_ID = DR.VA_DOSE_RANGE_ID and 
DRVER.VERSION_ID = (select distinct min(version_id) from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA subdr
where SUBDR.VA_DOSE_RANGE_ID = DRVER.VA_DOSE_RANGE_ID))
where DR.FDB_REFERENCE_ID is null and exists
(
select XREF.FDB_REFERENCE_ID
from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA DRVER 
inner join dose_route droute on
DROUTE.DOSE_ROUTE_ID = DRVER.DOSE_ROUTE_ID
inner join dose_type dtype on
DTYPE.DOSE_TYPE_ID = DRVER.DOSE_TYPE_ID
inner join CTSTAGING.FDB_DOSE_RANGE_XREF XREF on 
DRVER.AGEHIGHINDAYS = XREF.AGEHIGHINDAYS and
DRVER.AGELOWINDAYS = XREF.AGELOWINDAYS and
DRVER.CONCEPTID = XREF.CONCEPTID and
DRVER.CONCEPTTYPE = XREF.CONCEPTTYPE and
DROUTE.CODE = XREF.DOSEROUTEID and
DTYPE.CODE = XREF.DOSETYPEID and
DRVER.FDBDX = XREF.FDBDX
WHERE DRVER.VA_DOSE_RANGE_ID = DR.VA_DOSE_RANGE_ID and 
DRVER.VERSION_ID = (select distinct min(version_id) from CTSTAGING.PECS_DOSE_RANGE_VERSION_VA subdr
where SUBDR.VA_DOSE_RANGE_ID = DRVER.VA_DOSE_RANGE_ID));

commit;
spool off