--create Dose Range cross reference between PECS Dose Range customizations and FDB originating Dose Range
spool mono_xref_migration.log
insert into CTSTAGING.FDB_MONOGRAPH_XREF (
  FDB_REFERENCE_ID,
  LANGUAGEID, 
  MONOGRAPHID,
  VERSIONCODE,
  SEQUENCENUMBER)         
select CTSTAGING.FDB_MONOGRAPH_REF_ID_SEQ.nextval, CUSTOM.LANGUAGEID, CUSTOM.MONOGRAPHID, 
'FDB-P', 1 from (
select FDB.MONOGRAPHID, FDB.LANGUAGEID,  count(*) cntrecs
from ctstaging.pecs_monograph_va MONO 
INNER JOIN FDB_DIF.FDB_MONOGRAPH_DDIM FDB on FDB.MONOGRAPHID = MONO.MONOGRAPH_ID AND
FDB.LANGUAGEID = MONO.LANGUAGE_ID
where not exists (select * from CTSTAGING.FDB_MONOGRAPH_XREF XREF
WHERE FDB.MONOGRAPHID = XREF.MONOGRAPHID AND
FDB.LANGUAGEID = XREF.LANGUAGEID)
group by 
FDB.MONOGRAPHID, FDB.LANGUAGEID
order by 
FDB.MONOGRAPHID, FDB.LANGUAGEID) CUSTOM
;
  
COMMIT;
spool off