--Spool CreatePECSJMSAppUsers.txt


DROP USER PECSJMS CASCADE
/

CREATE USER PECSJMS
  IDENTIFIED BY PECSJMS_123
  DEFAULT TABLESPACE PECSJMS_DATA
  TEMPORARY TABLESPACE TEMP
  PROFILE SERVICE_ACCOUNT
  ACCOUNT UNLOCK
/
  -- 3 Roles for PECSJMS 
  GRANT CONNECT TO PECSJMS
/
  GRANT DBA TO PECSJMS
/
  GRANT RESOURCE TO PECSJMS
/

  -- 1 System Privilege for PECSJMS 
  GRANT UNLIMITED TABLESPACE TO PECSJMS
/
  -- 1 Tablespace Quota for PECSJMS 
  ALTER USER PECSJMS QUOTA UNLIMITED ON PECSJMS_DATA
/

DROP USER PECSJMS_APP_USER CASCADE
/

CREATE USER PECSJMS_APP_USER
  IDENTIFIED BY PECSJMS_APP_USER123
  DEFAULT TABLESPACE PECSJMS_DATA
  TEMPORARY TABLESPACE TEMP
  PROFILE SERVICE_ACCOUNT
  ACCOUNT UNLOCK
/

  -- 1 System Privilege for PECSJMS_APP_USER 
  GRANT CREATE SESSION TO PECSJMS_APP_USER
/
  -- 2 Tablespace Quotas for PECSJMS_APP_USER 
  ALTER USER PECSJMS_APP_USER QUOTA UNLIMITED ON PECSJMS_DATA
/

--spool off
