-- Adds a .ZIP extension to CUSTOM_UPDATE_FILE_VA.ZIP_FILE_NAME if the ZIP_FILE_NAME does not have a .ZIP extension.

SELECT 'START : ' || CURRENT_TIMESTAMP AS "CustomUpdateFileVa_UPDATE.sql" FROM DUAL;

UPDATE ctstaging.custom_update_file_va
   SET zip_file_name = CONCAT (zip_file_name, '.ZIP')
 WHERE zip_file_name NOT LIKE '%.ZIP' AND zip_file_name NOT LIKE '%.zip';

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "CustomUpdateFileVa_UPDATE.sql" FROM DUAL;