drop role FDB_DIF_READ_ONLY_ROLE;

CREATE ROLE FDB_DIF_READ_ONLY_ROLE NOT IDENTIFIED;

GRANT SELECT ON FDB_DIF.FDB_AGID_AXSID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_AHFSCLASS_DRUGCONCEPT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_AHFSCLASSIFICATION_DRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_AHFSCLASSIFICATION_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGEN_HICSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENGROUP TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENGROUP_II TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENGROUPSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENGROUPSEARCH_II TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENPICKLIST TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENPICKLISTSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGENS_II TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ALLERGYCROSSSENSITIVITY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASS_AHFS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASS_AHFSSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASS_FDB TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASS_FDBSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_AHFS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_AHFSSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_ETC TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_ETCSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_EXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_EXTSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_FDB TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CLASSIFICATION_FDBSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CODEDEFINITION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_COMPOUND TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_COMPOUND_RTGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_COMPOUNDSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CONCEPT_IISURVEY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CONCEPT_PEMDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CONCEPT_WITHINACTIVES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_ALLERGENPICKLIST TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_ALLERGENPICKLSTSRCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_ATTRIBUTENAMES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_ATTRIBUTEVALUES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_CLASS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_CLASS_DRUGCONCEPT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_CLASS_SEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DDIM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DDIMDRUGLINKCAT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DDIMINTERACTION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DDIMSTRINGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DOSERANGECHECK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DOSING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DOSINGNEO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DRUGMAPPING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_DTCAT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_INDICATION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_INTERACTCATEGORY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_MONOGRAPH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_MSG_CATDEF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_MSG_DEF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_MSG_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_MSG_TEXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_CUSTOM_PACKAGEDDRUGPRICING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DAMSCREEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DAMSCREEN_II TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DAMSCREENINFO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DAMSCREENINFO_II TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDCM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDCMDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDIM_CATSEVERITIES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDIMDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDIMINACTIVEDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DDIMINTERACTION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DFIMDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DFIMINTERACTION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DISCLAIMER TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DISCREEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DISPENSABLE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DISPENSABLE_IMAGE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DISPENSABLE_LABELER TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSEFORM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSERANGECHECK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSEROUTE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSETYPE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSEUNITSCONVERSION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSEUNITSTYPE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DOSINGNEO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRCNEO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUG_MONOGRAPH_EXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUG_PCM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUG_PLBLW TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUG_RTGENID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUGNAME TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DRUGVALIDATION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DTDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DUPLICATETHERAPY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_DXID_RELATEDDXID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ETCLASSIFICATION_DRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ETCLASSIFICATION_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_EXTCLASSIFICATION_DRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_EXTCLASSIFICATION_IDRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_EXTCLASSIFICATION_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_EXTVOCAB_RELATEDDXID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_FDBCLASS_DRUGCONCEPT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_FDBCLASSIFICATION_DRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_FDBCLASSIFICATION_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GCNSEQNO_PCM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GCNSEQNO_PEM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GCNSEQNO_PLBLW TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_DISPENSABLE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_DISPENSABLE_TEMP TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_DISPSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_DRUGNAME TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_DRUGNAMESEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_ROUTEDDFDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_ROUTEDDFDRUGSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_ROUTEDDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_ROUTEDDRUG_TEMP TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERIC_ROUTEDDRUGSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_GENERICDOSEFORM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_HICL_HICSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_HICSEQNO_AGID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_HICSEQNO_AXSID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_HICSEQNO_BASEINGREDIENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMAGE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPCOLORPALETTE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPDESCCOLORS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPRINT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPRINTCOLORS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPRINTDESCRIPTION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPRINTDESCTEXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPRINTSHAPE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IMPSHAPEPALETTE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IND TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_INDDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_INGREDIENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_INGREDIENTSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_COMPDESC TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_MFGDESC TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_REMARKLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_REMARKS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_TESTCOMPCOUNT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_IVM_TPN_INGRED TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_LABELER TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_LANGUAGE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MANUFDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MANUFDRUGEXTID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MANUFDRUGPROPNAME TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MANUFDRUGPROPVALUE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MANUFDRUGSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCOND TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCOND_HIERARCHY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDEXT_HIERARCHY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDEXTVOCAB TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDEXTVOCABLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDEXTVOCABSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDSEARCHFML TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MEDCONDXREF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MINMAXDOSING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MINMAXWARNINGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MNID_HICL TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MONOGRAPH_DDIM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MONOGRAPH_DFIM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MONOGRAPH_EXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_MONOGRAPH_PEM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PACKAGEDDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PACKAGEDDRUGCURRENTPRICING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PACKAGEDDRUGPRICINGHISTORY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PATIENTCOUNSELING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PEDIATRICWEIGHT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PLBLWARN_VENDCODE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PLBLWARNINGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_ADMINRATES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_DEFAULT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_DOSEFORMUNITS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_ORDERSTRING TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_ORDERSTRING_ADDLTEXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEM_UNITS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_POEMTEXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECGERI TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECGERI_DRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECGERI_GCNSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECGERI_RTDFGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECGERI_RTGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECLACT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECLACT_DRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECLACT_GCNSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECLACT_RTDFGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECLACT_RTGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPEDI TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPEDI_DRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPEDI_GCNSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPEDI_RTDFGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPEDI_RTGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPREG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPREG_DRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPREG_GCNSEQNO TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPREG_RTDFGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_PRECPREG_RTGEN TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_RDFMID_RTDFGENID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_ATTRIBUTENAMES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_ATTRIBUTEVALUES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_MSG_CATDEF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_MSG_DEF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_MSG_LINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_MSG_TEXT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REFITEM_SEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REGPACKAGED TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REGPACKAGEDEXTID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REGPACKAGEDPROPNAME TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REGPACKAGEDPROPVALUE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REGPACKAGEDSEARCH TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REPLACEMENTALLERGENGROUPS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REPLACEMENTDRUGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REPLACEMENTDXIDS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_REPLACEMENTINGREDIENTS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_RMID_RTGENID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ROUTE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ROUTEDDFDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_ROUTEDDRUG TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_RTGENID_GENERICRMID TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SETTINGS TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SIDE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SIDEDRUGLINK TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SUBSET_DRUGVALUES TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SUBSET_SET TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_SUBSET_SITE TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_USER_DDIM TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_USER_DDIMDRUGLINK_CATEGORY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_USER_DDIMINTERACTION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_USER_INTERACTION_CATEGORY TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON FDB_DIF.FDB_VERSION TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_TITLES TO FDB_DIF_READ_ONLY_ROLE;

GRANT SELECT ON CTSTAGING.DDIMINTERACTION_COMMENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.DOSERANGE_COMMENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.DUPLTHERAPY_COMMENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.MONOGRAPH_COMMENT TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DDIM_XREF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DUPTHERAPY_XREF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DOSE_RANGE_XREF TO FDB_DIF_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_XREF TO FDB_DIF_READ_ONLY_ROLE;

DROP USER FDB_DIF_APP_USER CASCADE;

CREATE USER FDB_DIF_APP_USER
  IDENTIFIED BY FDB_DIF_APP_USER123
  DEFAULT TABLESPACE FDB_DATA
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 2 Roles for FDB_DIF_APP_USER 
  GRANT FDB_DIF_READ_ONLY_ROLE TO FDB_DIF_APP_USER;
  GRANT CONNECT TO FDB_DIF_APP_USER;
  -- 1 Tablespace Quota for FDB_DIF_APP_USER 
  ALTER USER FDB_DIF_APP_USER QUOTA UNLIMITED ON FDB_DATA;
