SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Sequences.sql" FROM DUAL;

CREATE SEQUENCE CTSTAGING.COMPARISON_REPORT_CONCEPT_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM COMPARISON_REPORT_CONCEPT_SEQ
	 FOR CTSTAGING.COMPARISON_REPORT_CONCEPT_SEQ;



CREATE SEQUENCE CTSTAGING.CTUSERSVA_SEQ
	INCREMENT BY 1
	START WITH 1
	NOMAXVALUE
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM CTUSERSVA_SEQ
	 FOR CTSTAGING.CTUSERSVA_SEQ;

CREATE SEQUENCE CTSTAGING.CTVERSVA_SEQ
	INCREMENT BY 1
	START WITH 1
	NOMAXVALUE
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM CTVERSVA_SEQ
	 FOR CTSTAGING.CTVERSVA_SEQ;

CREATE SEQUENCE CTSTAGING.CUFVA_SEQ
	INCREMENT BY 1
	START WITH 1
	NOMAXVALUE
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM CUFVA_SEQ
	 FOR CTSTAGING.CUFVA_SEQ;



CREATE SEQUENCE CTSTAGING.FDB_UPDATE_REPORT_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM FDB_UPDATE_REPORT_SEQ
	 FOR CTSTAGING.FDB_UPDATE_REPORT_SEQ;

CREATE SEQUENCE CTSTAGING.FIELDMETA_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.INTERACTIONID_SEQ
	INCREMENT BY 1
	START WITH 150000
	MAXVALUE 1000000000000000000000000000
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM INTERACTIONID_SEQ
	 FOR CTSTAGING.INTERACTIONID_SEQ;



CREATE SEQUENCE CTSTAGING.PECS_DDI_VA_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DDI_VERSION_VA_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DOSE_RANGE_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DOSE_RANGE_VERSION_SEQ
	INCREMENT BY 200
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DRUG_PAIR_VA_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DRUG_PAIR_VERSION_VA_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DUPL_THERAPY_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_DUPL_THERAPY_VERSION_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_MONOGRAPH_LINE_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_MONOGRAPH_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.PECS_MONOGRAPH_VERSION_SEQ
	INCREMENT BY 1
	START WITH 1
	MAXVALUE 9999999999999999999999999999
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE SEQUENCE CTSTAGING.REFTABLE_SEQ
	INCREMENT BY 1
	START WITH 1
	NOMAXVALUE
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM REFTABLE_SEQ
	 FOR CTSTAGING.REFTABLE_SEQ;

CREATE SEQUENCE CTSTAGING.SQRY_SEQ
	INCREMENT BY 1
	START WITH 1
	NOMAXVALUE
	MINVALUE 1
	NOCYCLE
	CACHE 20
	NOORDER;

CREATE OR REPLACE PUBLIC SYNONYM SQRY_SEQ
	 FOR CTSTAGING.SQRY_SEQ;

CREATE SEQUENCE CTSTAGING.DDIM_COMMENT_ID_SEQ
 START WITH 1
 MAXVALUE 9999999999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.FDB_DDIM_REF_ID_SEQ
 START WITH 1
 MAXVALUE 9999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.MONOGRAPH_COMMENT_ID_SEQ
 START WITH 1
 MAXVALUE 9999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.FDB_MONOGRAPH_REF_ID_SEQ
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.DUPLTHERAPY_COMMENT_ID_SEQ
 START WITH 1
 MAXVALUE 9999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.FDB_DUPLTHERAPY_REF_ID_SEQ
 START WITH 1
 MAXVALUE 99999999999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.DOSEROUTE_COMMENT_ID_SEQ
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE CTSTAGING.FDB_DOSEROUTE_REF_ID_SEQ
 START WITH 1
 MAXVALUE 99999999999999999999999
 MINVALUE 1
 CACHE 20;

CREATE SEQUENCE ctstaging.pecs_contact_id_seq 
 START WITH 1
 MAXVALUE 9999999999999999999999999999
 MINVALUE 1
 CACHE 20;


SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Sequences.sql" FROM DUAL;