SELECT 'START : ' || CURRENT_TIMESTAMP AS "Update_Dose_Range_Labels.sql" FROM DUAL;

update ctstaging.field_metadata set display_name='Dose Form Low' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMLOW';
update ctstaging.field_metadata set display_name='Dose Form Low Units' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMLOWUNITS';
update ctstaging.field_metadata set display_name='Dose Form High' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMHIGH';
update ctstaging.field_metadata set display_name='Dose Form High Units' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMHIGHUNITS';
update ctstaging.field_metadata set display_name='Maximum Single Dose' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSE';
update ctstaging.field_metadata set display_name='Maximum Single Dose Units' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSEUNITS';
update ctstaging.field_metadata set display_name='Maximum Single Dose Form' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSEFORM';
update ctstaging.field_metadata set display_name='Maximum Single Dose Form Units' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSEFORMUNITS';
update ctstaging.field_metadata set display_name='Maximum Daily Dose' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSE';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Units' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSEUNITS';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Form' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSEFORM';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Form Units' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSEFORMUNITS';
update ctstaging.field_metadata set display_name='Maximum Lifetime Dose' where concept_name='FdbCustomDosingVa' and field_name='MAXLIFETIMEDOSE';
update ctstaging.field_metadata set display_name='Maximum Lifetime Dose Units' where concept_name='FdbCustomDosingVa' and field_name='MAXLIFETIMEDOSEUNITS';
update ctstaging.field_metadata set display_name='Maximum Lifetime Dose Form' where concept_name='FdbCustomDosingVa' and field_name='MAXLIFETIMEDOSEFORM';
update ctstaging.field_metadata set display_name='Maximum Lifetime Dose Form Units' where concept_name='FdbCustomDosingVa' and field_name='MAXLIFETIMEDOSEFORMUNITS';
update ctstaging.field_metadata set display_name='Low Elimination Half Life' where concept_name='FdbCustomDosingVa' and field_name='LOWELIMINATIONHALFLIFE';
update ctstaging.field_metadata set display_name='High Elimination Half Life' where concept_name='FdbCustomDosingVa' and field_name='HIGHELIMINATIONHALFLIFE';
update ctstaging.field_metadata set display_name='Half Life Units' where concept_name='FdbCustomDosingVa' and field_name='HALFLIFEUNITS';
update ctstaging.field_metadata set display_name='Frequency Low' where concept_name='FdbCustomDosingVa' and field_name='FREQUENCYLOW';
update ctstaging.field_metadata set display_name='Frequency High' where concept_name='FdbCustomDosingVa' and field_name='FREQUENCYHIGH';
update ctstaging.field_metadata set display_name='Duration Low' where concept_name='FdbCustomDosingVa' and field_name='DURATIONLOW';
update ctstaging.field_metadata set display_name='Duration High' where concept_name='FdbCustomDosingVa' and field_name='DURATIONHIGH';
update ctstaging.field_metadata set display_name='Maximum Duration' where concept_name='FdbCustomDosingVa' and field_name='MAXDURATION';
update ctstaging.field_metadata set display_name='Hepatic Impairment Indicator' where concept_name='FdbCustomDosingVa' and field_name='HEPATICIMPAIRMENTIND';
update ctstaging.field_metadata set display_name='Renal Impairment Indicator' where concept_name='FdbCustomDosingVa' and field_name='RENALIMPAIRMENTIND';
update ctstaging.field_metadata set display_name='CRCL Threshold' where concept_name='FdbCustomDosingVa' and field_name='CRCLTHRESHHOLD';
update ctstaging.field_metadata set display_name='CRCL Threshold Units' where concept_name='FdbCustomDosingVa' and field_name='CRCLTHRESHHOLDUNITS';
update ctstaging.field_metadata set display_name='Weight Required Indicator' where concept_name='FdbCustomDosingVa' and field_name='WEIGHTREQUIREDIND';
update ctstaging.field_metadata set display_name='BSA Required Indicator' where concept_name='FdbCustomDosingVa' and field_name='BSAREQUIREDIND';
update ctstaging.field_metadata set display_name='Dose Rate Low' where concept_name='FdbCustomDosingVa' and field_name='DOSERATELOW';
update ctstaging.field_metadata set display_name='Dose Rate Low Units' where concept_name='FdbCustomDosingVa' and field_name='DOSERATELOWUNITS';
update ctstaging.field_metadata set display_name='Dose Rate High' where concept_name='FdbCustomDosingVa' and field_name='DOSERATEHIGH';
update ctstaging.field_metadata set display_name='Dose Rate High Units' where concept_name='FdbCustomDosingVa' and field_name='DOSERATEHIGHUNITS';
update ctstaging.field_metadata set display_name='Dose Form Rate Low' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMRATELOW';
update ctstaging.field_metadata set display_name='Dose Form Rate Low Units' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMRATELOWUNITS';
update ctstaging.field_metadata set display_name='Dose Form Rate High' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMRATEHIGH';
update ctstaging.field_metadata set display_name='Dose Form Rate High Units' where concept_name='FdbCustomDosingVa' and field_name='DOSEFORMRATEHIGHUNITS';
update ctstaging.field_metadata set display_name='Maximum Single Dose Rate' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSERATE';
update ctstaging.field_metadata set display_name='Maximum Single Dose Rate Units' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSERATEUNITS';
update ctstaging.field_metadata set display_name='Maximum Single Dose Form Rate' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSEFORMRATE';
update ctstaging.field_metadata set display_name='Maximum Single Dose Form Rate Units' where concept_name='FdbCustomDosingVa' and field_name='MAXSINGLEDOSEFORMRATEUNITS';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Rate' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSERATE';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Rate Units' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSERATEUNITS';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Form Rate' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSEFORMRATE';
update ctstaging.field_metadata set display_name='Maximum Daily Dose Form Rate Units' where concept_name='FdbCustomDosingVa' and field_name='MAXDAILYDOSEFORMRATEUNITS';
update ctstaging.field_metadata set display_name='Category' where concept_name='FdbCustomDosingVa' and field_name='CATEGORY';
update ctstaging.field_metadata set display_name='HIT Type' where concept_name='FdbCustomDosingVa' and field_name='HITTYPE';

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "Update_Dose_Range_Labels.sql" FROM DUAL;
