-- Script to insert new metadata records with next display order value 
-- next display order value captured dynamically
--
COLUMN maxval new_value newmaxval
SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDdiminteractionVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDdiminteractionVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDdimVa'
GROUP BY concept_name;


INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDdimVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDtcatVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDtcatVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;



SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDosingVa'
GROUP BY concept_name;


INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDosingVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'MonographVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'MonographVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;
