-- Script to remove orphaned custom file links from CT_VERSION_VA table
-- Story 29937 - Custom Update links have no associated files
-- 1) identify records to be removed
-- 2) remove orphaned entries
-- 3) verify results

  set linesize 300
  set pagesize 80
  
  select * from ctstaging.ct_version_va where ct_version_key not in (select custom_update_file_va_id from CTSTAGING.CUSTOM_UPDATE_FILE_VA );
  
  delete from ctstaging.ct_version_va where ct_version_key not in (select custom_update_file_va_id from CTSTAGING.CUSTOM_UPDATE_FILE_VA );
  
  select * from ctstaging.ct_version_va where ct_version_key not in (select custom_update_file_va_id from CTSTAGING.CUSTOM_UPDATE_FILE_VA );