/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.persistence.TerminologyDAOImpl;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

/**
 * @author VHAISACARUSR
 * 
 */
public class ProfessionalDrugDrugMonographVaDAOTest extends AbstractUnitTest {
    // private static final Log LOGGER = LogFactory.getLog(ProfessionalDrugDrugMonographVaDAOTest.class);
    @Resource
    private ProfessionalDrugDrugMonographVaDAO dao;

    @Resource
    private TerminologyDAOImpl terminologyDAOImpl;

    @Test
    @Transactional
    public void testGetMonographById() {
        ProfessionalDrugDrugMonographVa drugDrugMonographVa = dao.findById(151060L, ProfessionalDrugDrugMonographVa.class);
        Assert.assertNotNull(drugDrugMonographVa);

    }

    /**
     * Gets the dao.
     * 
     * @return the dao
     */
    public ProfessionalDrugDrugMonographVaDAO getDao() {
        return dao;
    }

    /**
     * Sets the dao.
     * 
     * @param dao
     *            the dao to set
     */
    public void setDao(ProfessionalDrugDrugMonographVaDAO dao) {
        this.dao = dao;
    }

    /**
     * Gets the terminologyDAOImpl.
     * 
     * @return the terminologyDAOImpl
     */
    public TerminologyDAOImpl getTerminologyDAOImpl() {
        return terminologyDAOImpl;
    }

    /**
     * Sets the terminologyDAOImpl.
     * 
     * @param terminologyDAOImpl
     *            the terminologyDAOImpl to set
     */
    public void setTerminologyDAOImpl(TerminologyDAOImpl terminologyDAOImpl) {
        this.terminologyDAOImpl = terminologyDAOImpl;
    }
}
