package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.customupdate.CtVersionVa;
import gov.va.med.pharmacy.pecs.customupdate.CustomUpdateDAO;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

import java.util.Date;
import java.util.List;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

public class CustomUpdateDAOTest extends AbstractUnitTest {

    /** The custom update dao. */
    @Resource
    private CustomUpdateDAO customUpdateDAO;

    @Test
    @Transactional
    public void findYearstest() {
        List<Date> list = customUpdateDAO.findAllYears();
        System.out.print(list);
        Assert.assertNotNull(list);

    }

    @Test
    @Transactional
    public void findMonthstest() {
        List<Date> list = customUpdateDAO.findMonthsByYear("2013");
        System.out.print(list);
        Assert.assertNotNull(list);

    }

    @Test
    @Transactional
    public void findFilesByMonthandYeartest() {
        List<CtVersionVa> list = customUpdateDAO.findFilesByMonthsAndYear("2013", "08");
        System.out.print(list);
        Assert.assertNotNull(list);

    }

}
