package gov.va.med.pharmacy.pecs.customupdate;

/**
 * The Class RecordCounts.
 */
public final class RecordCounts {

    /** The add. */
    private Long addCount;

    /** The change. */
    private Long changeCount;

    /** The delete. */
    private Long deleteCount;

    private Long totalCount;

    /**
     * Gets the addCount.
     * 
     * @return the addCount the
     */
    public Long getAddCount() {
        return addCount;
    }

    /**
     * Sets the add Count.
     * 
     * @param addCount
     *            the addCount
     */
    public void setAddCount(Long addCount) {
        this.addCount = addCount;
    }

    /**
     * Adds 1 to the current add count.
     */
    public void addToAddCount() {
        addCount++;
    }

    /**
     * Gets the changeCount.
     * 
     * @return the changeCount
     */
    public Long getChangeCount() {
        return changeCount;
    }

    /**
     * Sets the change.
     * 
     * @param changeCount
     *            the change Count
     */
    public void setChangeCount(Long changeCount) {
        this.changeCount = changeCount;
    }

    /**
     * Adds 1 to the current change count.
     */
    public void addToChangeCount() {
        changeCount++;
    }

    /**
     * Gets the deleteCount.
     * 
     * @return the deleteCount
     */
    public Long getDeleteCount() {
        return deleteCount;
    }

    /**
     * Sets the deleteCount.
     * 
     * @param deleteCount
     *            the delete count
     */
    public void setDeleteCount(Long deleteCount) {
        this.deleteCount = deleteCount;
    }

    /**
     * Adds 1 to the current delete count.
     */
    public void addToDeleteCount() {
        deleteCount++;
    }

    /**
     * Gets the total count.
     * 
     * @return the total count
     */
    public Long getTotalCount() {
        return totalCount;
    }

    /**
     * Sets the total count.
     * 
     * @param totalCount
     *            the new total count
     */
    public void setTotalCount(Long totalCount) {
        this.totalCount = totalCount;
    }

    /**
     * Gets the all counts.
     * 
     * @return the all counts
     */
    public Long getTotalIncrementalCounts() {
        return addCount + changeCount + deleteCount;
    }

}
