package gov.va.med.pharmacy.pecs.domain.impl.easy;

/**
 * The Class DosingInfo.
 */
public class DosingInfo {

    /** The single dose status. */
    private String singleDoseStatus = "";

    /** The single dose status code. */
    private String singleDoseStatusCode = "";

    /** The single dose message. */
    private String singleDoseMessage = "";

    /** The single dose max. */
    private String singleDoseMax = "";

    /** The range dose status. */
    private String rangeDoseStatus = "";

    /** The range dose status code. */
    private String rangeDoseStatusCode = "";

    /** The range dose message. */
    private String rangeDoseMessage = "";

    /** The range dose low. */
    private String rangeDoseLow = "";

    /** The range dose high. */
    private String rangeDoseHigh = "";

    /** The duration status. */
    private String durationStatus = "";

    /** The duration status code. */
    private String durationStatusCode = "";

    /** The duration message. */
    private String durationMessage = "";

    /** The frequency status. */
    private String frequencyStatus = "";

    /** The frequency status code. */
    private String frequencyStatusCode = "";

    /** The frequency message. */
    private String frequencyMessage = "";

    /** The daily dose status. */
    private String dailyDoseStatus = "";

    /** The daily dose status code. */
    private String dailyDoseStatusCode = "";

    /** The daily dose message. */
    private String dailyDoseMessage = "";

    /** The max daily dose status. */
    private String maxDailyDoseStatus = "";

    /** The max daily dose status code. */
    private String maxDailyDoseStatusCode = "";

    /** The max daily dose message. */
    private String maxDailyDoseMessage = "";

    /** The max lifetime dose. */
    private String maxLifetimeDose = "";

    /** The dose low. */
    private String doseLow = "";

    /** The dose low unit. */
    private String doseLowUnit = "";

    /** The dose high. */
    private String doseHigh = "";

    /** The dose high unit. */
    private String doseHighUnit = "";

    /** The dose rate high. */
    private String doseRateHigh = "";

    /** The dose rate high unit. */
    private String doseRateHighUnit = "";

    /**
     * Gets the dose rate high.
     * 
     * @return the dose rate high
     */
    public String getDoseRateHigh() {
        return doseRateHigh;
    }

    /**
     * Sets the dose rate high.
     * 
     * @param doseRateHigh
     *            the new dose rate high
     */
    public void setDoseRateHigh(String doseRateHigh) {
        this.doseRateHigh = doseRateHigh;
    }

    /**
     * Gets the dose rate high unit.
     * 
     * @return the dose rate high unit
     */
    public String getDoseRateHighUnit() {
        return doseRateHighUnit;
    }

    /**
     * Sets the dose rate high unit.
     * 
     * @param doseRateHighUnit
     *            the new dose rate high unit
     */
    public void setDoseRateHighUnit(String doseRateHighUnit) {
        this.doseRateHighUnit = doseRateHighUnit;
    }

    /** The dose route description. */
    private String doseRouteDescription = "";

    /** The dose type description. */
    private String doseTypeDescription = "";

    /** The dose form low. */
    private String doseFormLow = "";

    /** The dose form low unit. */
    private String doseFormLowUnit = "";

    /** The dose form high. */
    private String doseFormHigh = "";

    /** The dose form high unit. */
    private String doseFormHighUnit = "";

    /** The dose frequency high. */
    private String doseFrequencyHigh = "";

    /** The dose frequency low. */
    private String doseFrequencyLow = "";

    /** The chemo injectable. */
    private boolean chemoInjectable = false;

    /** The custom. */
    private boolean custom;

    /**
     * Gets the single dose status.
     * 
     * @return the single dose status
     */
    public String getSingleDoseStatus() {
        return singleDoseStatus;
    }

    /**
     * Sets the single dose status.
     * 
     * @param singleDoseStatus
     *            the new single dose status
     */
    public void setSingleDoseStatus(String singleDoseStatus) {
        this.singleDoseStatus = singleDoseStatus;
    }

    /**
     * Gets the single dose status code.
     * 
     * @return the single dose status code
     */
    public String getSingleDoseStatusCode() {
        return singleDoseStatusCode;
    }

    /**
     * Sets the single dose status code.
     * 
     * @param singleDoseStatusCode
     *            the new single dose status code
     */
    public void setSingleDoseStatusCode(String singleDoseStatusCode) {
        this.singleDoseStatusCode = singleDoseStatusCode;
    }

    /**
     * Gets the single dose message.
     * 
     * @return the single dose message
     */
    public String getSingleDoseMessage() {
        return singleDoseMessage;
    }

    /**
     * Sets the single dose message.
     * 
     * @param singleDoseMessage
     *            the new single dose message
     */
    public void setSingleDoseMessage(String singleDoseMessage) {
        this.singleDoseMessage = singleDoseMessage;
    }

    /**
     * Gets the single dose max.
     * 
     * @return the single dose max
     */
    public String getSingleDoseMax() {
        return singleDoseMax;
    }

    /**
     * Sets the single dose max.
     * 
     * @param singleDoseMax
     *            the new single dose max
     */
    public void setSingleDoseMax(String singleDoseMax) {
        this.singleDoseMax = singleDoseMax;
    }

    /**
     * Gets the range dose status.
     * 
     * @return the range dose status
     */
    public String getRangeDoseStatus() {
        return rangeDoseStatus;
    }

    /**
     * Sets the range dose status.
     * 
     * @param rangeDoseStatus
     *            the new range dose status
     */
    public void setRangeDoseStatus(String rangeDoseStatus) {
        this.rangeDoseStatus = rangeDoseStatus;
    }

    /**
     * Gets the range dose status code.
     * 
     * @return the range dose status code
     */
    public String getRangeDoseStatusCode() {
        return rangeDoseStatusCode;
    }

    /**
     * Sets the range dose status code.
     * 
     * @param rangeDoseStatusCode
     *            the new range dose status code
     */
    public void setRangeDoseStatusCode(String rangeDoseStatusCode) {
        this.rangeDoseStatusCode = rangeDoseStatusCode;
    }

    /**
     * Gets the range dose message.
     * 
     * @return the range dose message
     */
    public String getRangeDoseMessage() {
        return rangeDoseMessage;
    }

    /**
     * Sets the range dose message.
     * 
     * @param rangeDoseMessage
     *            the new range dose message
     */
    public void setRangeDoseMessage(String rangeDoseMessage) {
        this.rangeDoseMessage = rangeDoseMessage;
    }

    /**
     * Gets the range dose low.
     * 
     * @return the range dose low
     */
    public String getRangeDoseLow() {
        return rangeDoseLow;
    }

    /**
     * Sets the range dose low.
     * 
     * @param rangeDoseLow
     *            the new range dose low
     */
    public void setRangeDoseLow(String rangeDoseLow) {
        this.rangeDoseLow = rangeDoseLow;
    }

    /**
     * Gets the range dose high.
     * 
     * @return the range dose high
     */
    public String getRangeDoseHigh() {
        return rangeDoseHigh;
    }

    /**
     * Sets the range dose high.
     * 
     * @param rangeDoseHigh
     *            the new range dose high
     */
    public void setRangeDoseHigh(String rangeDoseHigh) {
        this.rangeDoseHigh = rangeDoseHigh;
    }

    /**
     * Gets the duration status.
     * 
     * @return the duration status
     */
    public String getDurationStatus() {
        return durationStatus;
    }

    /**
     * Sets the duration status.
     * 
     * @param durationStatus
     *            the new duration status
     */
    public void setDurationStatus(String durationStatus) {
        this.durationStatus = durationStatus;
    }

    /**
     * Gets the duration status code.
     * 
     * @return the duration status code
     */
    public String getDurationStatusCode() {
        return durationStatusCode;
    }

    /**
     * Sets the duration status code.
     * 
     * @param durationStatusCode
     *            the new duration status code
     */
    public void setDurationStatusCode(String durationStatusCode) {
        this.durationStatusCode = durationStatusCode;
    }

    /**
     * Gets the duration message.
     * 
     * @return the duration message
     */
    public String getDurationMessage() {
        return durationMessage;
    }

    /**
     * Sets the duration message.
     * 
     * @param durationMessage
     *            the new duration message
     */
    public void setDurationMessage(String durationMessage) {
        this.durationMessage = durationMessage;
    }

    /**
     * Gets the frequency status.
     * 
     * @return the frequency status
     */
    public String getFrequencyStatus() {
        return frequencyStatus;
    }

    /**
     * Sets the frequency status.
     * 
     * @param frequencyStatus
     *            the new frequency status
     */
    public void setFrequencyStatus(String frequencyStatus) {
        this.frequencyStatus = frequencyStatus;
    }

    /**
     * Gets the frequency status code.
     * 
     * @return the frequency status code
     */
    public String getFrequencyStatusCode() {
        return frequencyStatusCode;
    }

    /**
     * Sets the frequency status code.
     * 
     * @param frequencyStatusCode
     *            the new frequency status code
     */
    public void setFrequencyStatusCode(String frequencyStatusCode) {
        this.frequencyStatusCode = frequencyStatusCode;
    }

    /**
     * Gets the frequency message.
     * 
     * @return the frequency message
     */
    public String getFrequencyMessage() {
        return frequencyMessage;
    }

    /**
     * Sets the frequency message.
     * 
     * @param frequencyMessage
     *            the new frequency message
     */
    public void setFrequencyMessage(String frequencyMessage) {
        this.frequencyMessage = frequencyMessage;
    }

    /**
     * Gets the daily dose status.
     * 
     * @return the daily dose status
     */
    public String getDailyDoseStatus() {
        return dailyDoseStatus;
    }

    /**
     * Sets the daily dose status.
     * 
     * @param dailyDoseStatus
     *            the new daily dose status
     */
    public void setDailyDoseStatus(String dailyDoseStatus) {
        this.dailyDoseStatus = dailyDoseStatus;
    }

    /**
     * Gets the daily dose status code.
     * 
     * @return the daily dose status code
     */
    public String getDailyDoseStatusCode() {
        return dailyDoseStatusCode;
    }

    /**
     * Sets the daily dose status code.
     * 
     * @param dailyDoseStatusCode
     *            the new daily dose status code
     */
    public void setDailyDoseStatusCode(String dailyDoseStatusCode) {
        this.dailyDoseStatusCode = dailyDoseStatusCode;
    }

    /**
     * Gets the daily dose message.
     * 
     * @return the daily dose message
     */
    public String getDailyDoseMessage() {
        return dailyDoseMessage;
    }

    /**
     * Sets the daily dose message.
     * 
     * @param dailyDoseMessage
     *            the new daily dose message
     */
    public void setDailyDoseMessage(String dailyDoseMessage) {
        this.dailyDoseMessage = dailyDoseMessage;
    }

    /**
     * Gets the max daily dose status.
     * 
     * @return the max daily dose status
     */
    public String getMaxDailyDoseStatus() {
        return maxDailyDoseStatus;
    }

    /**
     * Sets the max daily dose status.
     * 
     * @param maxDailyDoseStatus
     *            the new max daily dose status
     */
    public void setMaxDailyDoseStatus(String maxDailyDoseStatus) {
        this.maxDailyDoseStatus = maxDailyDoseStatus;
    }

    /**
     * Gets the max daily dose status code.
     * 
     * @return the max daily dose status code
     */
    public String getMaxDailyDoseStatusCode() {
        return maxDailyDoseStatusCode;
    }

    /**
     * Sets the max daily dose status code.
     * 
     * @param maxDailyDoseStatusCode
     *            the new max daily dose status code
     */
    public void setMaxDailyDoseStatusCode(String maxDailyDoseStatusCode) {
        this.maxDailyDoseStatusCode = maxDailyDoseStatusCode;
    }

    /**
     * Gets the max daily dose message.
     * 
     * @return the max daily dose message
     */
    public String getMaxDailyDoseMessage() {
        return maxDailyDoseMessage;
    }

    /**
     * Sets the max daily dose message.
     * 
     * @param maxDailyDoseMessage
     *            the new max daily dose message
     */
    public void setMaxDailyDoseMessage(String maxDailyDoseMessage) {
        this.maxDailyDoseMessage = maxDailyDoseMessage;
    }

    /**
     * Gets the max lifetime dose.
     * 
     * @return the max lifetime dose
     */
    public String getMaxLifetimeDose() {
        return maxLifetimeDose;
    }

    /**
     * Sets the max lifetime dose.
     * 
     * @param maxLifetimeDose
     *            the new max lifetime dose
     */
    public void setMaxLifetimeDose(String maxLifetimeDose) {
        this.maxLifetimeDose = maxLifetimeDose;
    }

    /**
     * Gets the dose low.
     * 
     * @return the dose low
     */
    public String getDoseLow() {
        return doseLow;
    }

    /**
     * Sets the dose low.
     * 
     * @param doseLow
     *            the new dose low
     */
    public void setDoseLow(String doseLow) {
        this.doseLow = doseLow;
    }

    /**
     * Gets the dose low unit.
     * 
     * @return the dose low unit
     */
    public String getDoseLowUnit() {
        return doseLowUnit;
    }

    /**
     * Sets the dose low unit.
     * 
     * @param doseLowUnit
     *            the new dose low unit
     */
    public void setDoseLowUnit(String doseLowUnit) {
        this.doseLowUnit = doseLowUnit;
    }

    /**
     * Gets the dose high.
     * 
     * @return the dose high
     */
    public String getDoseHigh() {
        return doseHigh;
    }

    /**
     * Sets the dose high.
     * 
     * @param doseHigh
     *            the new dose high
     */
    public void setDoseHigh(String doseHigh) {
        this.doseHigh = doseHigh;
    }

    /**
     * Gets the dose high unit.
     * 
     * @return the dose high unit
     */
    public String getDoseHighUnit() {
        return doseHighUnit;
    }

    /**
     * Sets the dose high unit.
     * 
     * @param doseHighUnit
     *            the new dose high unit
     */
    public void setDoseHighUnit(String doseHighUnit) {
        this.doseHighUnit = doseHighUnit;
    }

    /**
     * Gets the dose route description.
     * 
     * @return the dose route description
     */
    public String getDoseRouteDescription() {
        return doseRouteDescription;
    }

    /**
     * Sets the dose route description.
     * 
     * @param doseRouteDescription
     *            the new dose route description
     */
    public void setDoseRouteDescription(String doseRouteDescription) {
        this.doseRouteDescription = doseRouteDescription;
    }

    /**
     * Gets the dose type description.
     * 
     * @return the dose type description
     */
    public String getDoseTypeDescription() {
        return doseTypeDescription;
    }

    /**
     * Sets the dose type description.
     * 
     * @param doseTypeDescription
     *            the new dose type description
     */
    public void setDoseTypeDescription(String doseTypeDescription) {
        this.doseTypeDescription = doseTypeDescription;
    }

    /**
     * Gets the dose form low.
     * 
     * @return the dose form low
     */
    public String getDoseFormLow() {
        return doseFormLow;
    }

    /**
     * Sets the dose form low.
     * 
     * @param doseFormLow
     *            the new dose form low
     */
    public void setDoseFormLow(String doseFormLow) {
        this.doseFormLow = doseFormLow;
    }

    /**
     * Gets the dose form low unit.
     * 
     * @return the dose form low unit
     */
    public String getDoseFormLowUnit() {
        return doseFormLowUnit;
    }

    /**
     * Sets the dose form low unit.
     * 
     * @param doseFormLowUnit
     *            the new dose form low unit
     */
    public void setDoseFormLowUnit(String doseFormLowUnit) {
        this.doseFormLowUnit = doseFormLowUnit;
    }

    /**
     * Gets the dose form high.
     * 
     * @return the dose form high
     */
    public String getDoseFormHigh() {
        return doseFormHigh;
    }

    /**
     * Sets the dose form high.
     * 
     * @param doseFormHigh
     *            the new dose form high
     */
    public void setDoseFormHigh(String doseFormHigh) {
        this.doseFormHigh = doseFormHigh;
    }

    /**
     * Gets the dose form high unit.
     * 
     * @return the dose form high unit
     */
    public String getDoseFormHighUnit() {
        return doseFormHighUnit;
    }

    /**
     * Sets the dose form high unit.
     * 
     * @param doseFormHighUnit
     *            the new dose form high unit
     */
    public void setDoseFormHighUnit(String doseFormHighUnit) {
        this.doseFormHighUnit = doseFormHighUnit;
    }

    /**
     * Gets the dose frequency high.
     * 
     * @return the dose frequency high
     */
    public String getDoseFrequencyHigh() {
        return doseFrequencyHigh;
    }

    /**
     * Sets the dose frequency high.
     * 
     * @param doseFrequencyHigh
     *            the new dose frequency high
     */
    public void setDoseFrequencyHigh(String doseFrequencyHigh) {
        this.doseFrequencyHigh = doseFrequencyHigh;
    }

    /**
     * Gets the dose frequency low.
     * 
     * @return the dose frequency low
     */
    public String getDoseFrequencyLow() {
        return doseFrequencyLow;
    }

    /**
     * Sets the dose frequency low.
     * 
     * @param doseFrequencyLow
     *            the new dose frequency low
     */
    public void setDoseFrequencyLow(String doseFrequencyLow) {
        this.doseFrequencyLow = doseFrequencyLow;
    }

    /**
     * Checks if is chemo injectable.
     * 
     * @return true, if is chemo injectable
     */
    public boolean isChemoInjectable() {
        return chemoInjectable;
    }

    /**
     * Sets the chemo injectable.
     * 
     * @param chemoInjectable
     *            the new chemo injectable
     */
    public void setChemoInjectable(boolean chemoInjectable) {
        this.chemoInjectable = chemoInjectable;
    }

    /**
     * Checks if is custom.
     * 
     * @return true, if is custom
     */
    public boolean isCustom() {
        return custom;
    }

    /**
     * Sets the custom.
     * 
     * @param custom
     *            the new custom
     */
    public void setCustom(boolean custom) {
        this.custom = custom;
    }

}
