package gov.va.med.pharmacy.pecs.domain.impl.easy;

/**
 * The Class DrugCheckMessage.
 */
public class DrugCheckMessage {

    /** The drug. */
    private PecsDrugInfo drug;

    /** The severity. */
    private String severity = "";

    /** The type. */
    private String type = "";

    /** The drug name. */
    private String drugName = "";

    /** The text. */
    private String text = "";

    /**
     * Gets the drug.
     * 
     * @return DrugCheckVo
     */
    public PecsDrugInfo getDrug() {
        return drug;
    }

    /**
     * Sets the drug.
     * 
     * @param drug
     *            DrugCheckVo
     */
    public void setDrug(PecsDrugInfo drug) {
        this.drug = drug;
    }

    /**
     * Gets the severity.
     * 
     * @return String
     */
    public String getSeverity() {
        return severity;
    }

    /**
     * Sets the severity.
     * 
     * @param severity
     *            String
     */
    public void setSeverity(String severity) {
        this.severity = severity;
    }

    /**
     * Gets the type.
     * 
     * @return String
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the type.
     * 
     * @param type
     *            String
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * Gets the drug name.
     * 
     * @return String
     */
    public String getDrugName() {
        return drugName;
    }

    /**
     * Sets the drug name.
     * 
     * @param name
     *            String
     */
    public void setDrugName(String name) {
        this.drugName = name;
    }

    /**
     * Gets the text.
     * 
     * @return String
     */
    public String getText() {
        return text;
    }

    /**
     * Sets the text.
     * 
     * @param text
     *            String
     */
    public void setText(String text) {
        this.text = text;
    }

}
