package gov.va.med.pharmacy.pecs.domain.impl.easy;

/**
 * The Enum DrugDrugInteractionSeverity.
 */
public enum DrugDrugInteractionSeverity {
    
    /** The Contraindicated. */
    Contraindicated(1), 
 /** The Severe. */
 Severe(2), 
 /** The Moderate. */
 Moderate(3), 
 /** The Unknown. */
 Unknown(9);

    /** The code. */
    private int code;

    /**
     * Instantiates a new drug drug interaction severity.
     *
     * @param c the c
     */
    private DrugDrugInteractionSeverity(int c) {
        code = c;
    }

    /**
     * Gets the code.
     *
     * @return the code
     */
    public int getCode() {
        return code;
    }
}
