package gov.va.med.pharmacy.pecs.domain.impl.easy;

import java.util.ArrayList;
import java.util.Collection;

/**
 * The Class DuplicateTherapyCheckResut.
 * 
 */
public final class DuplicateTherapyCheckResult {
    private Collection<DuplicateTherapyInfo> checks = new ArrayList<DuplicateTherapyInfo>();
    private Collection<OrderCheckMessage> messages = new ArrayList<OrderCheckMessage>();

    /**
     * Retrieves the Checks.
     * 
     * @return Collection typed as DuplicateTherapyInfo
     */
    public Collection<DuplicateTherapyInfo> getChecks() {
        return checks;
    }

    /**
     * Adds Check to the Checks Collection.
     * 
     * @param check
     *            of type DuplicateTherapy
     */
    public void addChecks(DuplicateTherapyInfo check) {
        checks.add(check);
    }

    /**
     * Retrieves the Message.
     * 
     * @return Collection typed as OrderCheckMessages
     */
    public Collection<OrderCheckMessage> getMessages() {
        return messages;
    }

    /**
     * Adds Message to the Messages Collection.
     * 
     * @param message
     *            of type OrderCheckMessage
     */
    public void addMessage(OrderCheckMessage message) {
        messages.add(message);
    }
}
