package gov.va.med.pharmacy.pecs.domain.impl.easy;

import java.util.ArrayList;
import java.util.List;

/**ProfessionalMonograph Entity.
 * 
 * @author DOMAINOVERSD
 *@version Pecs 3.0
 */
public class ProfessionalMonograph {
    private String disclaimer = "";
    private String title = "";
    private String severityLevel = "";
    private String mechanismOfAction = "";
    private String clinicalEffects = "";
    private String predisposingFactors = "";
    private String patientManagement = "";
    private String discussion = "";
    private List<String> references = new ArrayList<String>();

    /**Getter for Disclaimer.
     * 
     * @return disclaimer
     */
    public final String getDisclaimer() {
        return disclaimer;
    }
    /**Setter Disclaimer takes parameter of type String.
     * 
     * @param disclaimer - String
     */
    public final void setDisclaimer(String disclaimer) {
        this.disclaimer = disclaimer;
    }
    /**Getter for Title.
     * 
     * @return title
     */
    public final String getTitle() {
        return title;
    }
    /**Setter for Title.
     * 
     * @param title - String
     */
    public final void setTitle(String title) {
        this.title = title;
    }
    /**Getter for SeverityLevel.
     * 
     * @return severityLevel
     */
    public final String getSeverityLevel() {
        return severityLevel;
    }
    /**Setter for severityLevel takes one parameter type String.
     * 
     * @param severityLevel - String
     */
    public final void setSeverityLevel(String severityLevel) {
        this.severityLevel = severityLevel;
    }
    /**Getter for MechanismOfAction.
     * 
     * @return mechanimsOfAction
     */
    public final String getMechanismOfAction() {
        return mechanismOfAction;
    }
    /**Setter for MechanismOfAction takes a parameter of type String.
     * 
     * @param mechanismOfAction - String
     */
    public final void setMechanismOfAction(String mechanismOfAction) {
        this.mechanismOfAction = mechanismOfAction;
    }
    /**Getter for ClinicalEffects.
     * 
     * @return clinicalEffercts
     */
    public final String getClinicalEffects() {
        return clinicalEffects;
    }
    /**Setter for ClinicalEffects takes one parameter type String.
     * 
     * @param clinicalEffects - String
     */
    public final void setClinicalEffects(String clinicalEffects) {
        this.clinicalEffects = clinicalEffects;
    }
    /**Getter for PredispoingFactors.
     * 
     * @return predisposingFactors
     */
    public final String getPredisposingFactors() {
        return predisposingFactors;
    }
    /**Setter for PredisposingFactors takes one parameter type String.
     * 
     * @param predisposingFactors - String
     */
    public final void setPredisposingFactors(String predisposingFactors) {
        this.predisposingFactors = predisposingFactors;
    }
    /**Getter for PatientManagement.
     * 
     * @return patientManagement
     */
    public final String getPatientManagement() {
        return patientManagement;
    }
    /**Setter for PatientManagement takes one parameter type String.
     * 
     * @param patientManagement - String
     */
    public final void setPatientManagement(String patientManagement) {
        this.patientManagement = patientManagement;
    }
    /**Getter for Discussion.
     * 
     * @return discussion
     */
    public final String getDiscussion() {
        return discussion;
    }
    /**Set Discussion takes one parameter type String.
     * 
     * @param discussion - String
     */
    public final void setDiscussion(String discussion) {
        this.discussion = discussion;
    }
    /**Getter for References.
     * 
     * @return references
     */
    public final List<String> getReferences() {
        return references;
    }
    /**Setter for References takes an Object type List with the parameter of String List<String>.
     * 
     * @param references - references
     */
    public final void setReferences(List<String> references) {
        this.references = references;
    }

}
