package gov.va.med.pharmacy.pecs.domain.impl.fdb;

/**
 * AbstractFdbMonographDdimId entity provides the base persistence definition of
 * the FdbMonographDdimId entity.
 * 
 * @author MyEclipse Persistence Tools
 */

public class FdbMonographDdimId implements java.io.Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = -9069812571630234258L;
    private Long languageid;
    private String versioncode;
    private Long monographid;
    private Long sequencenumber;

    /** default constructor. */
    public FdbMonographDdimId() {
    }

    /** full constructor taking 4 parameters 3 Longs and 1 string type.
     * @param languageid - Long data type
     *  @param versioncode - String data type
     *  @param monographid - Long data type
     *  @param sequencenumber - Long data type
     *  
     *  */
    public FdbMonographDdimId(Long languageid, String versioncode, Long monographid, Long sequencenumber) {
        this.languageid = languageid;
        this.versioncode = versioncode;
        this.monographid = monographid;
        this.sequencenumber = sequencenumber;
    }
    
    /**Getter for languageid.
     * 
     * @return languageid
     */
    public Long getLanguageid() {
        return this.languageid;
    }

    
    /**Setter for Languageid.
     * 
     * @param languageid - Long type
     */
    public void setLanguageid(Long languageid) {
        this.languageid = languageid;
    }
    /**Getter for Version Code.
     * 
     * @return versioncode
     */
    public String getVersioncode() {
        return this.versioncode;
    }
    
    /**Setter for Version Code taking string parameter.
     * 
     * @param versioncode - String type
     */
    
    public void setVersioncode(String versioncode) {
        this.versioncode = versioncode;
    }
    /**Getter for Monographid.
     * 
     * @return monographid
     */
    public Long getMonographid() {
        return this.monographid;
    }
    /**Setter for Monographid taking one parameter of type long.
     * 
     * @param monographid - Long type
     */
    public void setMonographid(Long monographid) {
        this.monographid = monographid;
    }
    /**Getter for SequenceNumber.
     * 
     * @return Sequencenumber
     */
    public Long getSequencenumber() {
        return this.sequencenumber;
    }
    /**Setter for Sequencenumber taking one parameter of type Long.
     * 
     * @param sequencenumber - Long type
     */
    public void setSequencenumber(Long sequencenumber) {
        this.sequencenumber = sequencenumber;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        FdbMonographDdimId other = (FdbMonographDdimId) obj;
        if (languageid == null) {
            if (other.languageid != null)
                return false;
        } else if (!languageid.equals(other.languageid))
            return false;
        if (monographid == null) {
            if (other.monographid != null)
                return false;
        } else if (!monographid.equals(other.monographid))
            return false;
        if (sequencenumber == null) {
            if (other.sequencenumber != null)
                return false;
        } else if (!sequencenumber.equals(other.sequencenumber))
            return false;
        if (versioncode == null) {
            if (other.versioncode != null)
                return false;
        } else if (!versioncode.equals(other.versioncode))
            return false;
        return true;
    }
    

    
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((languageid == null) ? 0 : languageid.hashCode());
        result = prime * result + ((monographid == null) ? 0 : monographid.hashCode());
        result = prime * result + ((sequencenumber == null) ? 0 : sequencenumber.hashCode());
        result = prime * result + ((versioncode == null) ? 0 : versioncode.hashCode());
        return result;
    }

}
