package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.UserComment;

import java.util.Set;

/**
 * The Interface ConceptXref.
 */
public interface ConceptXref {

    /**
     * Gets the fdb reference id.
     * 
     * @return the fdb reference id
     */
    Long getFdbReferenceId();

    /**
     * Sets the fdb reference id.
     * 
     * @param fdbReferenceId
     *            the new fdb reference id
     */
    void setFdbReferenceId(Long fdbReferenceId);

    /**
     * Gets the user comment history.
     * 
     * @return the user comment history
     */
    Set<UserComment> getUserCommentHistory();

    /**
     * Sets the user comment history.
     * 
     * @param userCommentHistory
     *            the new user comment history
     */
    void setUserCommentHistory(Set<UserComment> userCommentHistory);

    /**
     * Adds the user comment.
     * 
     * @param userComment
     *            the user comment
     */
    void addUserComment(UserComment userComment);
}
