/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * Represents the key for a Dose Range object.
 * 
 * @author VHAISACARUSR
 * 
 */
public final class DoseRangeKey implements Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = -3572540591686395464L;
    private Long conceptType;
    private Long conceptId;
    private Long ageLowInDays;
    private Long ageHighInDays;
    private String doseRouteId;
    private String doseTypeId;
    private String fdbdx;
    private Long hitType;

    /**
     * Gets the conceptType.
     * 
     * @return the conceptType
     */
    public Long getConceptType() {
        return conceptType;
    }

    /**
     * Sets the conceptType.
     * 
     * @param conceptType
     *            the conceptType to set
     */
    public void setConceptType(Long conceptType) {
        this.conceptType = conceptType;
    }

    /**
     * Gets the conceptId.
     * 
     * @return the conceptId
     */
    public Long getConceptId() {
        return conceptId;
    }

    /**
     * Sets the conceptId.
     * 
     * @param conceptId
     *            the conceptId to set
     */
    public void setConceptId(Long conceptId) {
        this.conceptId = conceptId;
    }

    /**
     * Gets the ageLowInDays.
     * 
     * @return the ageLowInDays
     */
    public Long getAgeLowInDays() {
        return ageLowInDays;
    }

    /**
     * Sets the ageLowInDays.
     * 
     * @param ageLowInDays
     *            the ageLowInDays to set
     */
    public void setAgeLowInDays(Long ageLowInDays) {
        this.ageLowInDays = ageLowInDays;
    }

    /**
     * Gets the ageHighInDays.
     * 
     * @return the ageHighInDays
     */
    public Long getAgeHighInDays() {
        return ageHighInDays;
    }

    /**
     * Sets the ageHighInDays.
     * 
     * @param ageHighInDays
     *            the ageHighInDays to set
     */
    public void setAgeHighInDays(Long ageHighInDays) {
        this.ageHighInDays = ageHighInDays;
    }

    /**
     * Gets the fdbdx.
     * 
     * @return the fdbdx
     */
    public String getFdbdx() {
        return fdbdx;
    }

    /**
     * Sets the fdbdx.
     * 
     * @param fdbdx
     *            the fdbdx to set
     */
    public void setFdbdx(String fdbdx) {
        this.fdbdx = fdbdx;
    }

    /**
     * Gets the hitType.
     * 
     * @return the hitType
     */
    public Long getHitType() {
        return hitType;
    }

    /**
     * Sets the hitType.
     * 
     * @param hitType
     *            the hitType to set
     */
    public void setHitType(Long hitType) {
        this.hitType = hitType;
    }

    /**
     * Gets the doseRouteId.
     * 
     * @return the doseRouteId
     */
    public String getDoseRouteId() {
        return doseRouteId;
    }

    /**
     * Sets the doseRouteId.
     * 
     * @param doseRouteId
     *            the doseRouteId to set
     */
    public void setDoseRouteId(String doseRouteId) {
        this.doseRouteId = doseRouteId;
    }

    /**
     * Gets the doseTypeId.
     * 
     * @return the doseTypeId
     */
    public String getDoseTypeId() {
        return doseTypeId;
    }

    /**
     * Sets the doseTypeId.
     * 
     * @param doseTypeId
     *            the doseTypeId to set
     */
    public void setDoseTypeId(String doseTypeId) {
        this.doseTypeId = doseTypeId;
    }

    @Override
    public String toString() {
        return "DoseRangeKey [conceptType=" + conceptType + ", conceptId=" + conceptId + ", ageLowInDays=" + ageLowInDays
                + ", ageHighInDays=" + ageHighInDays + ", doseRouteId=" + doseRouteId + ", doseTypeId=" + doseTypeId
                + ", fdbdx=" + fdbdx + ", hitType=" + hitType + "]";
    }

}
