package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * The Class DuplicateTherapyExportManager.
 */
public final class DuplicateTherapyExportManager implements Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = 9121772884582185502L;

    private Long id;
    private DuplicateTherapyVa duplicateTherapyVa;
    private DuplicateTherapyVersionVa exportableVersion;
    private DuplicateTherapyVersionVa exportedVersion;
    private DuplicateTherapyVersionVa currentVersion;

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the duplicateTherapyVa.
     * 
     * @return the duplicateTherapyVa
     */
    public DuplicateTherapyVa getDuplicateTherapyVa() {
        return duplicateTherapyVa;
    }

    /**
     * Sets the duplicateTherapyVa.
     * 
     * @param duplicateTherapyVa
     *            the duplicateTherapyVa to set
     */
    public void setDuplicateTherapyVa(DuplicateTherapyVa duplicateTherapyVa) {
        this.duplicateTherapyVa = duplicateTherapyVa;
    }

    /**
     * Gets the exportableVersion.
     * 
     * @return the exportableVersion
     */
    public DuplicateTherapyVersionVa getExportableVersion() {
        return exportableVersion;
    }

    /**
     * Sets the exportableVersion.
     * 
     * @param exportableVersion
     *            the exportableVersion to set
     */
    public void setExportableVersion(DuplicateTherapyVersionVa exportableVersion) {
        this.exportableVersion = exportableVersion;
    }

    /**
     * Gets the exportedVersion.
     * 
     * @return the exportedVersion
     */
    public DuplicateTherapyVersionVa getExportedVersion() {
        return exportedVersion;
    }

    /**
     * Sets the exportedVersion.
     * 
     * @param exportedVersion
     *            the exportedVersion to set
     */
    public void setExportedVersion(DuplicateTherapyVersionVa exportedVersion) {
        this.exportedVersion = exportedVersion;
    }

    /**
     * Gets the currentVersion.
     * 
     * @return the currentVersion
     */
    public DuplicateTherapyVersionVa getCurrentVersion() {
        return currentVersion;
    }

    /**
     * Sets the currentVersion.
     * 
     * @param currentVersion
     *            the currentVersion to set
     */
    public void setCurrentVersion(DuplicateTherapyVersionVa currentVersion) {
        this.currentVersion = currentVersion;
    }
}
