package gov.va.med.pharmacy.pecs.domain.impl.va;

/**
 * The Class MonographExportManager.
 */
public final class MonographExportManager {

    /** The id. */
    private Long id;

    /** The Professional monograph va. */
    private ProfessionalDrugDrugMonographVa professionalMonographVa;

    /** The exportable version. */
    private MonographVersion exportableVersion;

    /** The exported version. */
    private MonographVersion exportedVersion;

    /** The current version. */
    private MonographVersion currentVersion;

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the professionalMonographVa.
     * 
     * @return the professionalMonographVa
     */
    public ProfessionalDrugDrugMonographVa getProfessionalMonographVa() {
        return professionalMonographVa;
    }

    /**
     * Sets the professionalMonographVa.
     * 
     * @param professionalMonographVa
     *            the professionalMonographVa to set
     */
    public void setProfessionalMonographVa(ProfessionalDrugDrugMonographVa professionalMonographVa) {
        this.professionalMonographVa = professionalMonographVa;
    }

    /**
     * Gets the exportableVersion.
     * 
     * @return the exportableVersion
     */
    public MonographVersion getExportableVersion() {
        return exportableVersion;
    }

    /**
     * Sets the exportableVersion.
     * 
     * @param exportableVersion
     *            the exportableVersion to set
     */
    public void setExportableVersion(MonographVersion exportableVersion) {
        this.exportableVersion = exportableVersion;
    }

    /**
     * Gets the exportedVersion.
     * 
     * @return the exportedVersion
     */
    public MonographVersion getExportedVersion() {
        return exportedVersion;
    }

    /**
     * Sets the exportedVersion.
     * 
     * @param exportedVersion
     *            the exportedVersion to set
     */
    public void setExportedVersion(MonographVersion exportedVersion) {
        this.exportedVersion = exportedVersion;
    }

    /**
     * Gets the currentVersion.
     * 
     * @return the currentVersion
     */
    public MonographVersion getCurrentVersion() {
        return currentVersion;
    }

    /**
     * Sets the currentVersion.
     * 
     * @param currentVersion
     *            the currentVersion to set
     */
    public void setCurrentVersion(MonographVersion currentVersion) {
        this.currentVersion = currentVersion;
    }
}
