/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * Monograph Key for Professional Monograph User Comments.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class MonographKey implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    private Long languageId;
    private String versionCode;
    private Long monographId;
    private Long sequenceNumber;

    /**
     * Get language Id.
     * 
     * @return the languageId
     */
    public Long getLanguageId() {
        return languageId;
    }

    /**
     * Set Language Id.
     * 
     * @param languageId
     *            the languageId to set
     */
    public void setLanguageId(Long languageId) {
        this.languageId = languageId;
    }

    /**
     * Get the Version Code.
     * 
     * @return the versionCode
     */
    public String getVersionCode() {
        return versionCode;
    }

    /**
     * Set the version Code.
     * 
     * @param versionCode
     *            the versionCode to set
     */
    public void setVersionCode(String versionCode) {
        this.versionCode = versionCode;
    }

    /**
     * Get monographId.
     * 
     * @return the monographId
     */
    public Long getMonographId() {
        return monographId;
    }

    /**
     * Set MonographId.
     * 
     * @param monographId
     *            the monographId to set
     */
    public void setMonographId(Long monographId) {
        this.monographId = monographId;
    }

    /**
     * Get Sequence Number.
     * 
     * @return the sequenceNumber
     */
    public Long getSequenceNumber() {
        return sequenceNumber;
    }

    /**
     * Set SequenceNumber.
     * 
     * @param sequenceNumber
     *            the sequenceNumber to set
     */
    public void setSequenceNumber(Long sequenceNumber) {
        this.sequenceNumber = sequenceNumber;
    }

    @Override
    public String toString() {
        return "MonographKey [getLanguageId()=" + getLanguageId() + ", getVersionCode()=" + getVersionCode()
                + ", getMonographId()=" + getMonographId() + ", getSequenceNumber()=" + getSequenceNumber() + "]";
    }

}
