package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * ReferenceTextVa entity.
 * 
 */
public final class ReferenceTextVa implements Serializable {

    private static final long serialVersionUID = 1892138285238753279L;

    /**
     * String Represntation of Aids Guidelines.
     * 
     * @param AIDS_GUIDLINE_TYPE
     *            - String
     */
    public static String AIDS_GUIDELINE_TYPE = "AIDS GUIDELINES";

    /**
     * String Representation of DI_FACT_DOCUMENTATION_TYPE.
     * 
     * @param DI_FACT_DOCUMENTATION_TYPE
     *            - String
     */
    public static String DI_FACT_DOCUMENTATION_TYPE = "DI FACTS DOCUMENTATION";
    /**
     * String Representation DI_FACT_NUMBER_TYPE.
     * 
     * @param DI_FACT_NUMBER_TYPE
     *            - String
     */
    public static String DI_FACT_NUMBER_TYPE = "DI FACTS NUMBER";

    /**
     * String Representation DI_FACT_ONSET_TYPE.
     * 
     * @param DI_FACT_ONSET_TYPE
     *            - String
     */
    public static String DI_FACT_ONSET_TYPE = "DI FACTS ONSET";

    /**
     * String Representation of DI_FACT_SEVERITY_TYPE.
     * 
     * @param DI_FACT_SEVERITY_TYPE
     *            - String
     */
    public static String DI_FACT_SEVERITY_TYPE = "DI FACTS SEVERITY";

    /**
     * String Representation of EVALUATION_OF_DRUG_INTERACTION_TYPE.
     * 
     * @param EVALUATION_OF_DRUG_INTERACTION_TYPE
     *            - String
     */
    public static String EVALUATION_OF_DRUG_INTERACTION_TYPE = "EDI NUMBER";

    /**
     * String Representation of INTERACTION_SOURCE_TYPE.
     * 
     * @param INTERACTION_SOURCE_TYPE
     *            - String
     */
    public static String INTERACTION_SOURCE_TYPE = "INTERACTION SOURCE";

    /**
     * String Representation of INTERACTION_TYPE_TYPE.
     * 
     * @param - INTERACTION_TYPE_TYPE - String
     */
    public static String INTERACTION_TYPE_TYPE = "INTERACTION TYPE";

    /**
     * String Representation of LEVEL_OF_EVIDENCE_TYPE.
     * 
     * @param LEVEL_OF_EVIDENCE_TYPE
     *            - String
     */
    public static String LEVEL_OF_EVIDENCE_TYPE = "HIGHEST LEVEL OF EVIDENCE";

    /**
     * String Representation of MEDLINE_HIT_TYPE.
     * 
     * @param MEDLINE_HIT_TYPE
     *            - String
     */
    public static String MEDLINE_HIT_TYPE = "MEDLINE HITS";

    /**
     * String Representation of MICROMEDIX_ONSET_TYPE.
     * 
     * @param MICROMEDEX_ONSET_TYPE
     *            - String
     */
    public static String MICROMEDEX_ONSET_TYPE = "MICROMEDEX ONSET";

    /**
     * String Representation of MICROMEDEX_SEVERITY_TYPE.
     * 
     * @param MICROMEDEX_SEVERITY_TYPE
     *            - String
     */
    public static String MICROMEDEX_SEVERITY_TYPE = "MICROMEDEX SEVERITY";

    /**
     * String Representation of MICROMEDEX_SUBSTANTIATION_TYPE.
     * 
     * @param MICROMEDEX_SUBSTANTIATION_TYPE
     *            - String
     */
    public static String MICROMEDEX_SUBSTANTIATION_TYPE = "MICROMEDEX SUBSTANTIATION";

    /**
     * String Representation of PACKAGE_INSERT_TYPE.
     * 
     * @param PACKAGE_INSERT_TYPE
     *            - String
     */
    public static String PACKAGE_INSERT_TYPE = "PACKAGE INSERT";

    /**
     * String Representation of PBM_CRITERIA_TYPE.
     * 
     * @param PBM_CRITERIA_TYPE
     *            - String
     */
    public static String PBM_CRITERIA_TYPE = "PBM CRITERIA";

    private long referenceTextVaId;
    private String referenceTextType;
    private String referenceTextName;
    private String referenceTextDescription;

    /**
     * Get ReferenceTextVaId.
     * 
     * @return referenceTextVaId
     */
    public long getReferenceTextVaId() {
        return referenceTextVaId;
    }

    /**
     * Set ReferenceTextVaId.
     * 
     * @param referenceTextVaId
     *            - Long
     */
    public void setReferenceTextVaId(long referenceTextVaId) {
        this.referenceTextVaId = referenceTextVaId;
    }

    /**
     * Get ReferenceTextType.
     * 
     * @return referenceTextType
     */
    public String getReferenceTextType() {
        return referenceTextType;
    }

    /**
     * Set ReferenceTextType.
     * 
     * @param referenceTextType
     *            - String
     */
    public void setReferenceTextType(String referenceTextType) {
        this.referenceTextType = referenceTextType;
    }

    /**
     * Get ReferenceTextName.
     * 
     * @return referenceTextName
     */
    public String getReferenceTextName() {
        return referenceTextName;
    }

    /**
     * SetReferenceTextName.
     * 
     * @param referenceTextName
     *            - String
     */
    public void setReferenceTextName(String referenceTextName) {
        this.referenceTextName = referenceTextName;
    }

    /**
     * Get ReferenceTextDescription.
     * 
     * @return referenceTextDescription
     */
    public String getReferenceTextDescription() {
        return referenceTextDescription;
    }

    /**
     * Set ReferenceTextDescription.
     * 
     * @param referenceTextDescription
     *            - String
     */
    public void setReferenceTextDescription(String referenceTextDescription) {
        this.referenceTextDescription = referenceTextDescription;
    }
}
