package gov.va.med.pharmacy.pecs.net;

/**
 * A Factory to return various File Transfer implementations.
 * 
 * @author vhaisaduffg
 *
 */
public interface FileTransferFactory {

    /**
     * Retrieve a FTP Implementation.
     * 
     * @return FtpCommands an implementation of FtpCommands
     */
  FileTransferCommands createFtp();
}
