package gov.va.med.pharmacy.pecs.persistence.contact;

import java.sql.Blob;
import java.util.Date;

/**
 * Represents the content of the contact us page.
 * 
 * @author VHAISACARUSR
 * 
 */
public final class ContactUs {
    private int contactId;
    private Date createdDate;
    private String createdBy;
    private Blob content;

    /**
     * Gets the contactId.
     * 
     * @return the contactId
     */
    public int getContactId() {
        return contactId;
    }

    /**
     * Sets the contactId.
     * 
     * @param contactId
     *            the contactId to set
     */
    public void setContactId(int contactId) {
        this.contactId = contactId;
    }

    /**
     * Gets the createdDate.
     * 
     * @return the createdDate
     */
    public Date getCreatedDate() {
        return createdDate;
    }

    /**
     * Sets the createdDate.
     * 
     * @param createdDate
     *            the createdDate to set
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     * Gets the createdBy.
     * 
     * @return the createdBy
     */
    public String getCreatedBy() {
        return createdBy;
    }

    /**
     * Sets the createdBy.
     * 
     * @param createdBy
     *            the createdBy to set
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the content.
     * 
     * @return the content
     */
    public Blob getContent() {
        return content;
    }

    /**
     * Sets the content.
     * 
     * @param content
     *            the content to set
     */
    public void setContent(Blob content) {
        this.content = content;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "ContactUs [contactId=" + contactId + ", createdDate=" + createdDate + ", createdBy=" + createdBy + ", content="
                + content + "]";
    }
}
