package gov.va.med.pharmacy.pecs.persistence.event.hibernate;

import org.hibernate.event.PostInsertEvent;

/**
 * A Hibernate event listener to listen to post insert events.
 * 
 * @author vhaisaduffg
 *
 */
public class PostInsertEventListener extends AbstractEventListener implements org.hibernate.event.PostInsertEventListener {

    private static final long serialVersionUID = 8445494203191634198L;

    /**
     * Executes the processEntity() method in the AbstractEventListener.
     * 
     * @param event PostInsertEvent
     */
    @Override
    public final void onPostInsert(PostInsertEvent event) {
        processEntity(event.getEntity());
    }

}
