package gov.va.med.pharmacy.pecs.query;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;

/**
 * Contains Operator extends String Operator.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class ContainsOperator extends StringOperator {

    @Override
    public String formatHQLValue(Object val, ConceptField field) {
        return "'%" + String.valueOf(val).trim().toLowerCase() + "%'";
    }

    @Override
    public String formatXMLValue(Object val, ConceptField field) {
        return String.valueOf(val);
    }

    @Override
    public String getName() {
        return CONTAINS;
    }

    @Override
    public String getSymbol() {
        return "like";
    }
}
