package gov.va.med.pharmacy.pecs.query;

import gov.va.med.pharmacy.pecs.metadata.ConceptField;

import org.apache.commons.lang.StringUtils;

/**
 * Abstract Class String Operator Entity.
 * 
 * @author DOMAINOVERSD
 * 
 */
public abstract class StringOperator implements ConditionOperator {
    //@formatter:off
    @Override
    
    public Object parseValue(String val, ConceptField field) {
        if (StringUtils.isBlank(val)) {
            return null;
        }
        return val.trim().toLowerCase();
    }
    //@formatter:on
}
