package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * Always Fail Rule.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class AlwaysFailRule implements BusinessRule {

    @Override
    public ValidationResult validate(Object crt, Object prev) {
        ValidationResult res = new ValidationResult(this);
        res.addMessage("Force failure");
        return res;
    }

    @Override
    public void setMetadata(ConceptMetadata meta) {
    }

}
