package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.fdbreports.ExcelUpdateReportHelper;

/**
 * The Interface FdbUpdateReportGenerator.
 */
public interface FdbUpdateReportGenerator {
    /**
     * Generate report.
     * 
     * @param fileDt
     *            the file dt
     * @return the excel update report helper
     * @throws Exception
     *             the exception
     */
    ExcelUpdateReportHelper generateReport(String fileDt) throws Exception;

}
