<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<script type="text/javascript" src="<c:url value="/pecs/resources/dojo/dojo.js" />"> </script>
<script type="text/javascript" src="/pecsHelp/rhscript/RoboHelp_CSH.js" ></script>
<tiles:importAttribute name="scripts" />
<c:forEach var="script" items="${scripts}">
	<script type="text/javascript" src="<c:url value="/scripts/${script.value}" />"> </script>
</c:forEach>
<script type="text/javascript">
	var hideLoader = function() {
		dojo.fadeOut({
			node : "preloader",
			duration : 700,
			onEnd : function() {
				dojo.style("preloader", "display", "none");
			}
		}).play();
	};

	dojo.addOnLoad(function() {
		dojo.require("dojo.parser");
		// notice the second onLoad here:
		dojo.addOnLoad(function() {
			dojo.parser.parse();
			hideLoader();
		});
	});
</script>
<script type="text/javascript">
var sessionTime = null;
	dojo.addOnLoad(function() {
		/* dojo.query("ul.tabNavigation a").connect("onclick", function(event) {
			dojo.addClass(this, "activeTab");
		}); */
		setSessionWarningTimer();
		highlightTab();
		var helpTab = dojo.byId("help");
		if ( helpTab != null ) {
			dojo.connect(helpTab, "onclick", "showHelpTOC");
		}
		var footerHelp = dojo.byId("footerHelp");
		if ( footerHelp != null ) {
			dojo.connect(footerHelp, "onclick", "showHelpTOC");
		}
	});
function highlightTab(){
	var path = location.pathname;
	if (path.match("index") != null) {
        dojo.addClass(dojo.byId("index"), "activeTab");
    } else if (path.match("customization") != null) {
        dojo.addClass(dojo.byId("query"), "activeTab");
    } else if (path.match("easySearch") != null) {
        dojo.addClass(dojo.byId("easySearch"), "activeTab");
    } else if (path.match("drugPairLookup") != null) {
        dojo.addClass(dojo.byId("dpLookup"), "activeTab");
    } else if (path.match("reports") != null) {
        dojo.addClass(dojo.byId("reports"), "activeTab");
    } else if (path.match("administration") != null) {
        dojo.addClass(dojo.byId("administration"), "activeTab");
    } else if (path.match("userSettings") != null) {
        dojo.addClass(dojo.byId("administration"), "activeTab");
    } else if (path.match("updates") != null) {
        dojo.addClass(dojo.byId("updates"), "activeTab");
    } else if (path.match("help") != null) {
        dojo.addClass(dojo.byId("help"), "activeTab");
    }
}
function sessionTimeOutWarning() {
   /* Alert is a quick fix for PECS 5 for 508 compliance.
    It would be nice if they had a button to allow them to extend the session here.*/
    alert("Your PECS session will end in two minutes.");

}

function setSessionWarningTimer(){
	/* Assumes Session timout in the web.xml is set to 30 minutes.  
	   Will send a warning alert at 28 minutes */
	var maxTime = 60 * 28 * 1000;
    sessionTime = window.setTimeout(sessionTimeOutWarning, maxTime);
}


function resetSessionWarningTimer(){
	    window.clearTimeout(sessionTime);
	    setSessionWarningTimer();
}

function showHelpTopic(topic) {
	RH_ShowHelp(0, '/pecsHelp/index.htm>pecsHelp',HH_HELP_CONTEXT,topic);
}

function showHelpTOC(event) {
	event.preventDefault();
	RH_ShowHelp(0, '/pecsHelp/index.htm>pecsHelp',HH_DISPLAY_TOC,0);
}</script>