<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<c:set var="user" value="${ sessionScope.sessionUser}" />

<pecs:userMessages modelAttribute="workListModel" />

<h1 class="titleBar"><span class="headerText">
	<spring:message code="wkl.label.welcome" />&nbsp;${user.username}</span>
    <pecs:pageHelp topic="<%= HelpTopics.PECS_HOME_PAGE %>" />
</h1>

<p>
	<spring:message code="wkl.label.fdb.lastupdate" />
	&nbsp;${fdbUpdateInfo}<br>
	<spring:message code="wkl.label.custom.lastupdate" />
	&nbsp;${pecsUpdateInfo}
</p>

<c:if
	test="${user.requestor || user.approver}">
	<h2 class="h2title">
		<spring:message code="wkl.label.myrequest.history" />
	</h2>
	<span id="myRequests" class="show" tabindex="0" aria-labelledby="My Requests Table" accesskey="y" alt="Press t to enter Table and Press Alt + y to Exit Table"
	style="width: 825px; height: 113px"></span>
	
</c:if>

<c:if test="${user.approver}">
	<h2 class="h2title" accesskey="y">
		<spring:message code="wkl.label.assigned.requests.reviewed" />
	</h2>
	<div id="myReview" class="show" style="width: 330px; height: 148px" accesskey="y"></div>
	
	<h2 class="h2title" accesskey="y">
		<spring:message code="wkl.label.assigned.requests.approved" />
	</h2>
	<div id="myApproved" class="show" style="width: 330px; height: 162px" accesskey="y"></div>
	
	<h2 class="h2title" accesskey="y">
		<spring:message code="wkl.label.assigned.requests.deleted" />
	</h2>
	<div id="myDelete" class="show" style="width: 330px; height: 162px" accesskey="y"></div>


	<h2 class="h2title" accesskey="y">
		<spring:message code="wkl.label.unassigned.requests" />
	</h2>
	<div id="unassigned" class="show" style="width: 330px; height: 148px" accesskey="y"></div>
	
	<h2 class="h2title" accesskey="y">
		<spring:message code="wkl.label.assigned.requests.allrequests" />
	</h2>
	<div id="allRequests" class="show" style="width: 825px; height: 113px" accesskey="y"></div>
	
</c:if>
