<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<h1 id="hdr_queryBuilder" class="titleBar"><span class="headerText">
	<spring:message code="es.header.easysearchresults" />
	<a id="returnToSearch"
		href='${pageContext.request.contextPath}/pecs/easySearch?easySearchModel=${jsonBackQuery}'>
		<spring:message code="es.label.return.to.search" />
	</a></span>
	<pecs:pageHelp topic="<%= HelpTopics.EASY_SEARCH_RESULTS_DDI_DT %>" />
</h1>
<tiles:insertAttribute name="drugsSearchedResults" />

<c:if test="${easySearchModel.ddiSelected}">
	<tiles:insertAttribute name="drugDrugResults" />
</c:if>

<c:if test="${easySearchModel.dtSelected}">
	<tiles:insertAttribute name="duplicateTherapyResults" />
</c:if>
