<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

	
<div id="savedQueriesList" class="clearfix">
<form:form id="queryManagerForm"  method="POST" action="${pageContext.request.contextPath}/pecs/customization">	
	<div id="queryManager" class="show">
			<c:choose>
				<c:when test="${not empty savedQueries}">
					<table id="queryManagerTable">
						<thead></thead>
						<tbody>
							<c:forEach items="${savedQueries }" var="savedQuery">
								<tr>
									<td>
										<form:radiobutton path="selectedQueryID"   class="radio" name="selectedQueryID"
											value="${savedQuery.savedQueryVaId}" />
										<c:out value="${savedQuery.savedQueryName}" />
									</td>
								</tr>
							</c:forEach>
						</tbody>
					</table>
					<!-- <div class="buttons">
		  				<c:if test='${queryForm.recordSelection == "VA" or queryForm.recordSelection == "BOTH"}'>
							<form:checkbox id="savedQueryHistory" path="savedQueryHistory" value="savedQueryHistory"/>
							Include Historical Records
						</c:if>
					</div> -->
					<div class="buttons">
						<button id="executeSavedQueryAction" value="query" onclick="loadQuery(); return false;">
							Load
						</button>
						<c:if test='${savedQueryType == "mine" }'>
							<button id="deleteSavedQuery" value="delete" class="negative showMyQueries" onclick="deleteQuery(); return false;">
								Delete
							</button>
						</c:if>
					</div>
					
				</</c:when>
				<c:otherwise>
					<p>No saved queries. Build a query.</p>
		 		</c:otherwise>
	 		</c:choose>
		
	</div>

	<input type="hidden" name="queryType" value="Saved" />
	<input type="hidden" name="whosQuery" value="${whosQuery}" />

</form:form>
</div>