<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="dtResults">
	<h2 id="dtResultsHdr" class="h2title"><spring:message code="es.dtresults.header"/></h2>
	<c:choose>
		<c:when test="${(easySearchModel.duplicateTherapyCheckResult == null) || (fn:length(easySearchModel.duplicateTherapyCheckResult.checks) < 1)}">
			<spring:message code="es.no.results.found"/>
		</c:when>
		<c:otherwise>
			<c:forEach var="item" items="${easySearchModel.duplicateTherapyCheckResult.checks}">
				<pecs:dtEasySearchResult dtInfo="${item}"/>
			</c:forEach>
		</c:otherwise>
	</c:choose>
</div>