<%@ include file="../includes/docType.jsp"%>

<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<div id="settings">
	<h1 id="settings" class="titleBar">
		<span class="headerText"> <spring:message
				code="settings.page.header" />
		</span>
		<pecs:pageHelp topic="<%= HelpTopics.SETTINGS %>" />
	</h1>

	<br />
	<pecs:userMessages modelAttribute="administration" errorType="all" />
	<br />
	<h2 class="h2title">
		<spring:message code="settings.header.conceptconfig" />
	</h2>
	<c:forEach var="conceptName" items="${configurableConcepts}"
		varStatus="rowCounter">
		<a
			href="${pageContext.request.contextPath}/pecs/administration/conceptConfiguration/${conceptName}">
			<spring:message code="table.name.${fn:toLowerCase(conceptName)}" />
		</a>
		<br />
	</c:forEach>
	<br>
	<h2 class="h2title">
		<spring:message code="settings.header.usersettings" />
	</h2>
	<a href="${pageContext.request.contextPath}/pecs/userSettings"><spring:message
			code="settings.link.usersettings" /> </a> <br>
    <form id="routedGenericProcess" action="${pageContext.request.contextPath}/pecs/routedGenericProcess" method="POST">
		<h2 class="h2title">
			<spring:message code="us.header.drugpairremoval" />
		</h2>
		<spring:message code="us.message.drugpairremoval" />
		<br />
		<div class="buttons">
			<button id="drugPairRemoval" type="submit" class="positive">
				<spring:message code="us.button.drugpairremoval" />
			</button>
		</div>
	</form>
</div>
