<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<form:form  modelAttribute="routedGenericsForm" action="${pageContext.request.contextPath}/pecs/drugPairCustomization/routedGenerics" method="post">

<form:hidden path="interactionId" value="${vaInteraction.interactionid  }"/>
	<div id="routedGenerics">
		<div class="routedGeneric1">
			<div>
				<label for="rtg1Input">Routed Generic 1</label> <input type="text"
					class="textbox" id="rtg1Input" />
			</div>
			<form:select class="routedGeneric1List" path="routedGeneric1"></form:select>
		</div>
		<div class="routedGeneric2">
			<label for="rtg2Input">Routed Generic 2</label> <input type="text"
				class="textbox" id="rtg2Input" />
				<br>
			<form:select class="routedGeneric2List" path="routedGeneric2"></form:select>
		</div>
	</div>

	<p class="instructionText">Enter values in text boxes below and click 'Customize' to add drug pairs to interaction.</p>
 <p>
  <label for="referenceText">Reference Text (drug pair reference text)</label>
  <form:textarea path="referenceText" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label for="currentActionReasonGeneric">Current Action Reason (for drug pair creation)<span class="required">&nbsp;(Required)</span></label>
  <form:textarea id="currentActionReasonGeneric" path="currentActionReason" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label for="assignedTo">Assigned To<span class="required">&nbsp;(Required)</span></label><br/>
  <form:select id="genericAssignedTo" class="assignedTo" path="assignedTo">
   <form:options items="${users}" />
  </form:select>
 </p>
 <div class="buttons">
  <button type="submit" class="customize" name="Customize" value="Customize">
   <spring:message code="wizard.button.customize" />
  </button>
 </div>

</form:form>