<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<table id="interactionTable">
 <thead>
  <tr>
   <th id="i1" headers="i">Interaction Type</th>
   <th id="i2" headers="i">Interaction ID</th>
   <th id="i3" headers="i">Interaction Description</th>
   <th id="i4" headers="i">Interaction Severity</th>
   <th id="i5" headers="i">Interaction Action Status</th>
  </tr>
 </thead>
 <tbody>
  <tr align="left" valign="top">
   <td headers="i">VA Interaction</td>
   <td headers="i"><a href="/ct/pecs/drugdrug/interactionid/${vaInteraction.interactionid}">
     ${vaInteraction.interactionid}&nbsp; </a></td>
   <td headers="i">${vaInteraction.description1}&nbsp;</td>
   <td headers="i">${vaInteraction.severitylevelcode}&nbsp;</td>
   <td headers="i">${vaInteraction.status}&nbsp;</td>
  </tr>
  <c:if test="${ fdbInteraction != null}">
   <tr align="left" valign="top">
    <td headers="i">FDB Interaction</td>
    <td headers="i"><c:choose>
      <c:when test="${fdbInteraction.interactionid != 0 }">
       <a href="/ct/pecs/drugdrug/interaction/FDB/${fdbInteraction.interactionid}"> ${fdbInteraction.interactionid}</a>
      </c:when>
      <c:otherwise>
       ${fdbInteraction.interactionid}&nbsp;
      </c:otherwise>
     </c:choose></td>
    <td headers="i">${fdbInteraction.description1}&nbsp;</td>
    <td headers="i">${fdbInteraction.severitylevelcode}&nbsp;</td>
    <td headers="i">N/A</td>
   </tr>
  </c:if>
 </tbody>
 <tfoot>
  <tr></tr>
 </tfoot>
</table>