<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<c:if  test="${ not empty fdbDrugPairs }">
<form:form method="POST" action="../save/fdbDrugPairs" commandName="fdbDrugPairsForm">
 <form:hidden path="interactionId" value="${vaInteraction.interactionid}" />
 <table id="fdbGenericDrugPairsTable" class="sortable">
  <thead>
   <tr>
    <th class="unsortable">Select</th>
    <th>Routed Generic 1</th>
    <th>Routed Generic 2</th>
   </tr>
  </thead>
  <tbody>
   <c:forEach items="${fdbDrugPairs }" var="drugPair">
    <tr class="fdbDrugPair">
     <td><form:checkbox path="fdbDrugPairs" class="fdbDrugPairs" value="${drugPair.interactionid }|${drugPair.rtgenid1 }|${drugPair.rtgenid2 }" /></td>
     <td>${drugPair.rtgenid1Desc }</td>
     <td>${drugPair.rtgenid2Desc }</td>
    </tr>
   </c:forEach>

  </tbody>
 </table>
 <table>
  <tr align="left" valign="top">
   <td width="7%"><input type="checkbox" id="selectAllFdbList" value="SelectDeselectAll" /></td>
   <td><b>Select/Deselect Drug Pairs from Corresponding FDB Interaction</b></td>

   <td width="4%"><input type="radio" name="maxRecsFdb" value="100" /></td>

   <td><b>100 Max</b></td>
   <td width="4%"><input type="radio" name="maxRecsFdb" value="200" /></td>
   <td><b>200 Max</b></td>
   <td width="4%"><input type="radio" name="maxRecsFdb" value="1000" /></td>
   <td><b>1000 Max</b></td>
   <td width="4%"><input type="radio" name="maxRecsFdb" checked="checked" value="-1" /></td>
   <td><b>All</b></td>
   <td>&nbsp;</td>
   <td><input type="button" value=" Get Record Counts " id="fdbCounts" /></td>
  </tr>
 </table>

 <p class="instructionText"><spring:message code="ddim.wizard.customize.instruction" /></p>
 <p>
  <label for="referenceTextFdb">Reference Text (drug pair reference text)</label>
  <form:textarea id="referenceTextFdb" path="referenceText" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label for="currentActionReasonFdb">Current Action Reason (for drug pair creation)<span class="required">&nbsp;(Required)</span></label>
  <form:textarea id="currentActionReasonFdb" path="currentActionReason" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label>Assigned To<span class="required"> &nbsp;(Required)</span></label>
  <form:select path="assignedTo">
   <form:options items="${users}" />
  </form:select>
 </p>
 <div class="buttons">
  <button type="submit" class="customize" name="Customize" value="Customize" onclick="submitFdbDrugPairsForm()">
   <spring:message code="wizard.button.customize" />
  </button>
 </div>
</form:form>
</c:if>