<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<form:form action="../save/genericDrugPairs" method="POST" commandName="genericDrugPairsForm">
 <form:hidden path="interactionId" value="${vaInteraction.interactionid}" />
 <div id="routedGeneric1">
 <label for="routedGenericId1">Routed Generic #1 Description</label>
 <form:select path="routedGenericId1" items="${routedGenerics}" itemValue="identifier" itemLabel="description" />
 </div>
 <div id="routedGeneric2">
 <label for="routedGenericId2">Routed Generic #2 Description</label>
 <form:select path="routedGenericId2" items="${routedGenerics}" itemValue="identifier" itemLabel="description" />
 </div>
 <p class="instructionText">Enter values in text boxes below and click 'Customize' to add drug pairs to interaction.</p>
 <p>
  <label for="referenceText">Reference Text (drug pair reference text)</label>
  <form:textarea path="referenceText" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label for="currentActionReasonGeneric">Current Action Reason (for drug pair creation)<span class="required">&nbsp;(Required)</span></label>
  <form:textarea id="currentActionReasonGeneric" path="currentActionReason" cssClass="dpTextBox" cols="40" rows="5" />
 </p>
 <p>
  <label for="assignedTo">Assigned To<span class="required" >&nbsp;(Required)</span></label>
  <form:select id="genericAssignedTo" class="assignedTo" path="assignedTo">
   <form:options items="${users}" />
  </form:select>
 </p>
 <div class="buttons">
  <button type="submit" class="customize" name="Customize" value="Customize" onclick="submitGenericDrugPairsForm()">
   <spring:message code="wizard.button.customize" />
  </button>
 </div>
</form:form>