<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<%@ attribute name="drInfo" required="true" rtexprvalue="true" type="gov.va.med.pharmacy.pecs.domain.impl.easy.DosingInfo"%>

<div id="drResultDiv" class="conceptcontainer clearfix">

    <div id="drResultHdr" class="concepthdr">
        <spring:message code="es.label.doserange"/>&nbsp;
        <c:choose>
            <c:when test="${drInfo.custom}">
                <spring:message code="es.label.customdata"/>
            </c:when>
            <c:otherwise>
                <spring:message code="es.label.fdbdata"/>
            </c:otherwise>
        </c:choose>
    </div>
    <br />              
    <pecs:easySearchAttribute labelCode="es.label.dr.singledosemax" value="${drInfo.singleDoseMax}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.singledosemessage" value="${drInfo.singleDoseMessage}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.singledosestatus" value="${drInfo.singleDoseStatus}" />
    <br />
        
<!--For the Following two labels Range Dose High and Range Dose Message Display on the Screen as Daily Dose and Daily Dose Message -->
    <pecs:easySearchAttribute labelCode="es.label.dr.rangedosehigh" value="${drInfo.rangeDoseHigh}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.rangedosemessage" value="${drInfo.rangeDoseMessage}" />
<!--End Note Please Site Line 28 -->
    <pecs:easySearchAttribute labelCode="es.label.dr.dailydosestatus" value="${drInfo.dailyDoseStatus}" />
    <br />          
    <pecs:easySearchAttribute labelCode="es.label.dr.frequencymessage" value="${drInfo.frequencyMessage}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.frequencystatus" value="${drInfo.frequencyStatus}" />
    <br />
    <pecs:easySearchAttribute labelCode="es.label.dr.dosetypedescription" value="${drInfo.doseTypeDescription}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.doseroutedescription" value="${drInfo.doseRouteDescription}" />
    <br />
    <pecs:easySearchAttribute labelCode="es.label.dr.maxdailydosemessage" value="${drInfo.maxDailyDoseMessage}" />
    <br />
    
    <pecs:easySearchAttribute labelCode="es.label.dr.frequencylow" value="${drInfo.doseFrequencyLow}" />
    <pecs:easySearchAttribute labelCode="es.label.dr.frequencyhigh" value="${drInfo.doseFrequencyHigh}" />
</div> 

