<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<%@ attribute name="dtInfo" required="true" rtexprvalue="true" type="gov.va.med.pharmacy.pecs.domain.impl.easy.DuplicateTherapyInfo"%>

<div id="dtResultDiv" class="conceptcontainer">
	<div id="dtResultHdr" class="concepthdr">
	<spring:message code="es.label.duplicatetherapy"/>&nbsp;
	<c:choose>
		<c:when test="${dtInfo.custom}">
			<spring:message code="es.label.customdata"/>
		</c:when>
		<c:otherwise>
			<spring:message code="es.label.fdbdata"/>
		</c:otherwise>
	</c:choose>
	</div>
	<br />
	<c:forEach var="drug" items="${dtInfo.drugs}">
		<span class="indented">${drug.uiLabel}</span><br />
	</c:forEach>
	<br />
	
	<pecs:easySearchAttribute labelCode="es.label.therapeuticclass" value="${dtInfo.dtClass.description}"/>
	<pecs:easySearchAttribute labelCode="es.label.duplicateallowance" value="${dtInfo.allowance}&nbsp;${dtInfo.shortText}"/>
	<br />

	<span class="indented">
	<c:choose>
		<c:when test="${dtInfo.custom}">
			<a href="/ct/pecs/duplicateTherapyCustomization/dtcid/VA/${dtInfo.dtClass.id}"><spring:message code="es.label.dt.link"/></a>
		</c:when>
		<c:otherwise>
			<a href="/ct/pecs/duplicateTherapyCustomization/FDB/${dtInfo.dtClass.id}"><spring:message code="es.label.dt.link"/></a>
		</c:otherwise>
	</c:choose>
	</span>
</div>
<br />
