<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib uri="http://www.springframework.org/tags/form" prefix="form"%>
<%@ taglib uri="http://www.springframework.org/tags" prefix="spring"%>
<%@ attribute name="property" required="true"%>
<%@ attribute name="commentHistory" required="true"%>
<%@ attribute name="fieldInfo"
	type="gov.va.med.pharmacy.pecs.metadata.ConceptField" required="true"
	rtexprvalue="true"%>


<c:if test="${not fieldInfo.editable }">
	<c:set var="grayTextReadOnly" value="wizardReadonly" />
	<c:set var="readonlyColor" value="readonly" />
</c:if>

<c:set var="readOnly" value="${not fieldInfo.editable}" />

<c:if test="${not isCurrentRec}">
	<c:set var="readOnly" value="true" />
	<c:set var="grayTextReadOnly" value="wizardReadonly" />
</c:if>


<c:choose>
	<c:when test="${isFdb && not fieldInfo.editable }">
		<form:hidden path="${property }" />
	</c:when>
	<c:otherwise>

		<div id="USER_COMMENT_HISTORY" class="displayable"
			style="display: none">
			<form:label path="${property}" >${fieldInfo.displayName}</form:label>
			<form:textarea style="display: none" readonly="${readOnly}"
				cssClass="editable ${grayTextReadOnly} user-comment-SpecialMargin"
				path="${property }" rows="${fieldInfo.displayLines }" />
			<pre class="read-only noneditable user-comment">${commentHistory }</pre>
		</div>
	</c:otherwise>
</c:choose>