dojo.require("dijit.Dialog");
dojo.require("dijit.Tooltip");
var handle = null;
dojo
		.ready(function() {

			orderFields("DUPLICATE_THERAPY");

			var myForm = dojo.byId("duplicateTherapyDTO");
			var id = dojo.byId("fdbCustomDtcatVaId").value;
			if (id == 0) {
				id = dojo.byId("dtcid").value;
			}

			if (!pageHasErrors()) {
				if (hasVAInURL()) {
					callReqHistory("DUPLICATE_THERAPY",
							dojo.byId("dtcid").value);
				}
			}

			if (dojo.byId("editButton")) {
				dojo.query(".edit").connect("onclick", null, function(e) {
					e.preventDefault();

					edit();
				});
				dojo.query(".cancel").connect(
						"onclick",
						null,
						function(e) {
							e.preventDefault();
							cancel();
							if (hasVAInURL()) {
								callReqHistory("DUPLICATE_THERAPY", dojo
										.byId("dtcid").value);
							}
						});

			}

			if (dojo.byId("userCommentButton") != null) {
				console.log("Top userCommentButton exists.");
				connectUserCommentButton("userCommentButton");

			}
			if (dojo.byId("userCommentButton2") != null) {
				console.log("Bottom userCommentButton exists.");
				connectUserCommentButton("userCommentButton2");
			}
			dojo.query(".historyButton").connect("onclick", null, function(e) {
				e.preventDefault();
				exportHistory();
			});
			var actionButtons = dojo.query(".button");

			actionButtons
					.connect(
							"onclick",
							function(e) {

								if (this.id == "wtSubmit_for_Delete") {
									var conf = confirm("Are you sure you would like to submit the request for delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								if (this.id == "wtDelete") {
									var conf = confirm("Are you sure you would like to delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								dojo.query('input', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('select', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('textarea', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.create("input", {
									type : "hidden",
									name : "action",
									id : "action",
									value : this.value
								}, myForm, "first");
							});

			if (pageHasErrors()) {
				if (dojo.isIE == 7) {
					setTimeout(function() {
						document.getElementById("errorMessages").focus();
					}, 500);
					document.getElementById("errorMessages").focus();
					document.getElementById("errorMessages").focus();
				} else {
					document.getElementById("errorMessages").focus();

				}
			}

		});

// Generate URL
function exportHistory() {
	var id = dojo.byId("fdbCustomDtcatVaId").value;
	var url = "/ct/pecs/duplicateTherapyCustomization/history/VA/" + id;
	location.href = url;
}

function createDialog()
{
	var dialogObj = dijit.byId("commentDialog");

	if (dialogObj === undefined) {
		dialogObj = createConceptDialog("DUPLICATE_THERAPY",
				dojo.byId("dtcid").value);
		dialogObj.show();
		dialogObj.onLoadDeferred.then(function() {
			connectToDialogButtons();
		});
		return;
	}

	var deferred = dialogObj.show();

}
