/** Javascript for expandable list */
var mainContent;
$(document).ready(function () 
{
	mainContent = $('#main-content');
	$('dt', mainContent).click(function() 
	{
		var ddNodes = $(this).parent('dl.collapsable').children('.collapsed');
		if(ddNodes.length>0){ //expand all collapsed dt and dd children
			ddNodes.removeClass('collapsed');
		}
		else { // collapse all dt and dd children
			$(this).parent('dl.collapsable').children().addClass('collapsed');
		}
	});

	$('.toggleExpandButton').click(function() 
	{
		var collapsableTable = $(this).parents('table')[0];
		//if more than half are expanded, then collapse, otherwise expand
		if($('dt.collapsable', collapsableTable).length/2 > $('dt.collapsed', collapsableTable).length) {
			$('dt', collapsableTable).addClass('collapsed');
			$('dd', collapsableTable).addClass('collapsed');
		}
		else
		{
			$('.collapsed', collapsableTable).removeClass('collapsed');
		}
	});
});