package gov.va.med.pharmacy.pecs.web;

/**
 * The Interface IConstants.
 */
public interface IConstants {

    /** The select unassigned. */
    public final String SELECT_UNASSIGNED = "UNASSIGNED";

    /** The session user. */
    public String SESSION_USER = "sessionUser";

    /** The session confidentiality. */
    public String SESSION_CONFIDENTIALITY = "confidentialityAccepted";

    /** The session approvers. */
    public String SESSION_APPROVERS = "sessionApprovers";

    /** The va date format. */
    public String VA_DATE_FORMAT = "MM-dd-yyyy";

    /** The va date format long. */
    public String VA_DATE_FORMAT_LONG = "MM-dd-yyyy HH:mm:ss";

    /** The db source fdb. */
    public String DB_SOURCE_FDB = "FDB Tables";

    /** The db source custom. */
    public String DB_SOURCE_CUSTOM = "VA Tables";

    /** The db source both. */
    public String DB_SOURCE_BOTH = "FDB + VA Tables";

    /** The message confirm. */
    public String MESSAGE_CONFIRM = "This request, if approved, will replace the existing FDB record.";

    /** The message approve. */
    public String MESSAGE_APPROVE = "This request has been approved and will replace the existing FDB Record.";
}
