package gov.va.med.pharmacy.pecs.web.auth;

import gov.va.med.pharmacy.pecs.util.LabelValue;

/**
 * The Class RequestWorkListModel.
 */
public class RequestWorkListModel {

    /** The concept. */
    private String concept;

    /** The new requests. */
    private LabelValue newRequests;

    /** The modified. */
    private LabelValue modified;

    /** The reviewed. */
    private LabelValue reviewed;

    /** The approved. */
    private LabelValue approved;

    /** The rejected. */
    private LabelValue rejected;

    /** The deleted. */
    private LabelValue deleted;

    /** The total. */
    private LabelValue total;

    /**
     * Gets the concept.
     * 
     * @return the concept
     */
    public String getConcept() {
        return concept;
    }

    /**
     * Sets the concept.
     * 
     * @param concept
     *            the new concept
     */
    public void setConcept(String concept) {
        this.concept = concept;
    }

    /**
     * Gets the new requests.
     * 
     * @return the new requests
     */
    public LabelValue getNewRequests() {
        return newRequests;
    }

    /**
     * Sets the new requests.
     * 
     * @param newRequests
     *            the new new requests
     */
    public void setNewRequests(LabelValue newRequests) {
        this.newRequests = newRequests;
    }

    /**
     * Gets the modified.
     * 
     * @return the modified
     */
    public LabelValue getModified() {
        return modified;
    }

    /**
     * Sets the modified.
     * 
     * @param modified
     *            the new modified
     */
    public void setModified(LabelValue modified) {
        this.modified = modified;
    }

    /**
     * Gets the reviewed.
     * 
     * @return the reviewed
     */
    public LabelValue getReviewed() {
        return reviewed;
    }

    /**
     * Sets the reviewed.
     * 
     * @param reviewed
     *            the new reviewed
     */
    public void setReviewed(LabelValue reviewed) {
        this.reviewed = reviewed;
    }

    /**
     * Gets the approved.
     * 
     * @return the approved
     */
    public LabelValue getApproved() {
        return approved;
    }

    /**
     * Sets the approved.
     * 
     * @param approved
     *            the new approved
     */
    public void setApproved(LabelValue approved) {
        this.approved = approved;
    }

    /**
     * Gets the rejected.
     * 
     * @return the rejected
     */
    public LabelValue getRejected() {
        return rejected;
    }

    /**
     * Sets the rejected.
     * 
     * @param rejected
     *            the new rejected
     */
    public void setRejected(LabelValue rejected) {
        this.rejected = rejected;
    }

    /**
     * Gets the deleted.
     * 
     * @return the deleted
     */
    public LabelValue getDeleted() {
        return deleted;
    }

    /**
     * Sets the deleted.
     * 
     * @param deleted
     *            the new deleted
     */
    public void setDeleted(LabelValue deleted) {
        this.deleted = deleted;
    }

    /**
     * Gets the total.
     * 
     * @return the total
     */
    public LabelValue getTotal() {
        return total;
    }

    /**
     * Sets the total.
     * 
     * @param total
     *            the new total
     */
    public void setTotal(LabelValue total) {
        this.total = total;
    }
}
