package gov.va.med.pharmacy.pecs.web.customization;

import gov.va.med.pharmacy.pecs.domain.impl.va.SavedQueryVa;

import java.util.List;

/**
 * The Class QueryForm.
 */
public class QueryForm {

    /** The query list. */
    private List<SavedQueryVa> queryList;

    /** The selected query id. */
    private long selectedQueryID;

    /** The custom query name. */
    private String customQueryName;

    /** The record type. */
    private String recordType;

    /**
     * Gets the query list.
     * 
     * @return the queryList
     */
    public List<SavedQueryVa> getQueryList() {
        return queryList;
    }

    /**
     * Sets the query list.
     * 
     * @param queryList
     *            the queryList to set
     */
    public void setQueryList(List<SavedQueryVa> queryList) {
        this.queryList = queryList;
    }

    /**
     * Gets the selected query id.
     * 
     * @return the selectedQueryID
     */
    public long getSelectedQueryID() {
        return selectedQueryID;
    }

    /**
     * Sets the selected query id.
     * 
     * @param selectedQueryID
     *            the selectedQueryID to set
     */
    public void setSelectedQueryID(long selectedQueryID) {
        this.selectedQueryID = selectedQueryID;
    }

    /**
     * Gets the custom query name.
     * 
     * @return the customQueryName
     */
    public String getCustomQueryName() {
        return customQueryName;
    }

    /**
     * Sets the custom query name.
     * 
     * @param customQueryName
     *            the customQueryName to set
     */
    public void setCustomQueryName(String customQueryName) {
        this.customQueryName = customQueryName;
    }

    /**
     * Gets the record type.
     * 
     * @return the recordType
     */
    public String getRecordType() {
        return recordType;
    }

    /**
     * Sets the record type.
     * 
     * @param recordType
     *            the recordType to set
     */
    public void setRecordType(String recordType) {
        this.recordType = recordType;
    }

}
