/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail;

import java.util.List;

/**
 * Represents a Response body in the form of a JSON object. There is a success message string and an array of errors.
 * 
 * @author vhaisacarusr
 * 
 */
public class AjaxMessageResponse {

    private String successMessage;
    private List<String> errorMessages;

    /**
     * Gets the successMessage.
     * 
     * @return the successMessage
     */
    public final String getSuccessMessage() {
        return successMessage;
    }

    /**
     * Sets the successMessage.
     * 
     * @param successMessage
     *            the successMessage to set
     */
    public final void setSuccessMessage(String successMessage) {
        this.successMessage = successMessage;
    }

    /**
     * Gets the errorMessages.
     * 
     * @return the errorMessages
     */
    public final List<String> getErrorMessages() {
        return errorMessages;
    }

    /**
     * Sets the errorMessages.
     * 
     * @param errorMessages
     *            the errorMessages to set
     */
    public final void setErrorMessages(List<String> errorMessages) {
        this.errorMessages = errorMessages;
    }
}
