package gov.va.med.pharmacy.pecs.web.detail.drugdrug;

/**
 * The Class UserCommentForm.
 */
public final class UserCommentForm {

    /** The comment. */
    private String comment;

    /** The fdb id. */
    private Object fdbId;

    private String concept;

    /**
     * Gets the comment.
     * 
     * @return the comment
     */
    public String getComment() {
        return comment;
    }

    /**
     * Sets the comment.
     * 
     * @param comment
     *            the new comment
     */
    public void setComment(String comment) {
        this.comment = comment;
    }

    /**
     * Gets the fdb id.
     * 
     * @return the fdb id
     */
    public Object getFdbId() {
        return fdbId;
    }

    /**
     * Sets the fdb reference id.
     * 
     * @param fdbId
     *            the new fdb id
     */
    public void setFdbId(Object fdbId) {
        this.fdbId = fdbId;
    }

    /**
     * Gets the concept.
     * 
     * @return the concept
     */
    public String getConcept() {
        return concept;
    }

    /**
     * Sets the concept.
     * 
     * @param concept
     *            the concept to set
     */
    public void setConcept(String concept) {
        this.concept = concept;
    }

    @Override
    public String toString() {
        return "UserCommentForm [getComment()=" + getComment() + ", getFdbId()=" + getFdbId() + ", getConcept()="
                + getConcept() + "]";
    }

}
