/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

import java.util.Collection;

/**
 * 
 * represents the generic drug pair in a dojo FileReadStore.
 * 
 * @author VHAISACARUSR
 * 
 */
public final class ItemFileReadStore {
    private Collection<?> items;

    /**
     * public constructor.
     * 
     * @param items
     *            the data to be converted to JSON
     */
    public ItemFileReadStore(Collection<?> items) {
        this.items = items;
    }

    /**
     * Gets the items.
     * 
     * @return the items
     */
    public Collection<?> getItems() {
        return items;
    }

    /**
     * Sets the items.
     * 
     * @param items
     *            the items to set
     */
    public void setItems(Collection<?> items) {
        this.items = items;
    }
}
