/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

import java.util.ArrayList;

/**
 * Holds the lists of routed generic pairs.
 * 
 * @author vhaisacarusr
 * 
 */
public final class RoutedGenericsForm extends AbstractDrugPairForm {
    private ArrayList<Long> routedGeneric1;
    private ArrayList<Long> routedGeneric2;
    private String referenceText;
    private String currentActionReason;

    /**
     * Gets the routedGeneric1.
     * 
     * @return the routedGeneric1
     */
    public ArrayList<Long> getRoutedGeneric1() {
        return routedGeneric1;
    }

    /**
     * Sets the routedGeneric1.
     * 
     * @param routedGeneric1
     *            the routedGeneric1 to set
     */
    public void setRoutedGeneric1(ArrayList<Long> routedGeneric1) {
        this.routedGeneric1 = routedGeneric1;
    }

    /**
     * Gets the routedGeneric2.
     * 
     * @return the routedGeneric2
     */
    public ArrayList<Long> getRoutedGeneric2() {
        return routedGeneric2;
    }

    /**
     * Sets the routedGeneric2.
     * 
     * @param routedGeneric2
     *            the routedGeneric2 to set
     */
    public void setRoutedGeneric2(ArrayList<Long> routedGeneric2) {
        this.routedGeneric2 = routedGeneric2;
    }

    /**
     * Gets the referenceText.
     * 
     * @return the referenceText
     */
    public String getReferenceText() {
        return referenceText;
    }

    /**
     * Sets the referenceText.
     * 
     * @param referenceText
     *            the referenceText to set
     */
    public void setReferenceText(String referenceText) {
        this.referenceText = referenceText;
    }

    /**
     * Gets the currentActionReason.
     * 
     * @return the currentActionReason
     */
    public String getCurrentActionReason() {
        return currentActionReason;
    }

    /**
     * Sets the currentActionReason.
     * 
     * @param currentActionReason
     *            the currentActionReason to set
     */
    public void setCurrentActionReason(String currentActionReason) {
        this.currentActionReason = currentActionReason;
    }
}
