<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

	<h1 class="titleBar"><span class="headerText"><spring:message code="es.header.easysearch"/></span>
	<pecs:pageHelp topic="<%= HelpTopics.EASY_SEARCH %>" /></h1>
	
	<pecs:userMessages modelAttribute="easySearchModel" errorType="all"></pecs:userMessages>
	
<%-- Query Builder Section, default to true --%>
<tiles:insertAttribute name="conceptEasySearchSelect" />

<div id="querySection">
</div>



<div id="fdbResultsDiv" style="display: none;">
		<h2 id="hdr_fdbQueryResults" class="h2title">
			<spring:message code="dpl.header.fdbResults" />
		</h2>
		<br />
		<div class="buttons">
			<button type="button" id="fdbExport" value="add" name="addAction" class="positive" >Export</button>
		</div>
		<br/>
<div id="fdbQueryResults" class="show" style="width: 100%; height: 350px"></div>
</div>
<br>
<div id="loadingImage" class="loadingHide">
	<p>
		Loading... <br> <img src="${pageContext.request.contextPath}/images/loading.gif" alt="loading image" />
	</p>
</div>
