<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>


<h1 id="hdr_queryBuilder" class="titleBar">
<span class="headerText">
    <spring:message code="es.header.easysearchresults" /></span>
    <pecs:pageHelp topic="<%= HelpTopics.EASY_SEARCH_RESULTS_DDI_DT %>" />
</h1>

<div id="drugsSearchedDiv">
    <c:choose>
        <c:when test="${(multipleConceptResults.drugsSearched == null) || (fn:length(multipleConceptResults.drugsSearched) < 1)}">
            <spring:message code="es.no.results.found"/>
        </c:when>
        <c:otherwise>
            <div id="drugsSearchedDiv" class="conceptcontainer">
                <div id="drugsSearchedHdr" class="concepthdr">
                    <spring:message code="es.header.drugssearched"/>
                </div>
                <br />
                <c:forEach var="drug" items="${multipleConceptResults.drugsSearched}">
                    <c:out value="${drug.uiLabel}"/><br />
                    <c:if test="${fn:length(drug.therapeuticClasses) > 0}">
                        <c:forEach var="theraClass" items="${drug.therapeuticClasses}">
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                            <spring:message code="es.label.therapeuticclass"/>
                            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<c:out value="${theraClass.description}"/>
                            <br />
                        </c:forEach>
                    </c:if>
                </c:forEach>
            </div>
        </c:otherwise>
    </c:choose>
</div>
<c:if test="${multipleConceptResults.ddiSelected}">
    <tiles:insertAttribute name="drugInteractionQueryResults" />
</c:if>
<c:if test="${multipleConceptResults.dtSelected}">
    <tiles:insertAttribute name="duplicateTherapyQueryResults" />
</c:if>