<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<form:form id="queryBuilderForm" commandName="customizationQueryModel" method="POST"
	action="${pageContext.request.contextPath}/pecs/customization">

	<h2 id="hdr_queryBuilder" class="h2title">Build a Query</h2>

	<div id="concept">
		<label for="conceptSelection">Select Concept&nbsp;&nbsp;</label>
		<form:select id="conceptSelection" path="conceptSelection" onchange="showQueryBuilder();">
			<form:option value="" label="" />
			<form:option value="DRUG_DRUG_INTERACTION" label="Drug-Drug Interaction" />
			<form:option value="DRUG_PAIR" label="Drug Pair" />
			<form:option value="PROFESSIONAL_MONOGRAPH" label="Professional Monograph" />
			<form:option value="DUPLICATE_THERAPY" label="Duplicate Therapy" />
			<form:option value="DOSE_RANGE" label="Dose Range" />
		</form:select>
		&nbsp;&nbsp;&nbsp;&nbsp; <label for="recordSelection">Select VA, FDB, or Both&nbsp;&nbsp;</label>
		<form:select id="recordSelection" path="recordSelection" onchange="showQueryBuilder();">
			<form:option value="" label="" />
			<form:option value="VA" label="VA records" />
			<form:option value="FDB" label="FDB records" />
			<form:option value="BOTH" label="Both VA and FDB records" />
		</form:select>
		<br />
		<br />
	</div>
</form:form>
<div id="queryBuilder"></div>
