<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>
<h1 class="titleBar">
 <span class="headerText"> <spring:message code="ddim.wizard.titlebar.508" />
 </span> <span id="dp508"><a id="dp508Link" href="/ct/pecs/drugPairCustomization/interaction/${vaInteraction.interactionid }">Non 508
   Compliant Page</a>
 <pecs:pageHelp topic="<%= HelpTopics.DRUG_PAIR_DETAIL_BATCH_508 %>" /></span>
</h1>
<div id="editInfo" class="noneditable">
 <ul>
  <li><spring:message code="detail.message.edit" /></li>
 </ul>
 </div>
<div class="buttons">
 <button type="button" id="editButton" class="edit noneditable">
  <spring:message code="wizard.button.edit" />
 </button>
 <button type="button" id="cancelButton" class="cancel editable" style="display: none;">
  <spring:message code="wizard.button.canceledit" />
 </button>
</div>

<pecs:userMessages modelAttribute="genericDrugPairsForm" />
<pecs:userMessages modelAttribute="fdbDrugPairsForm" displayErrorHeader="false" />
<pecs:userMessages modelAttribute="modifyDrugPairsForm" />
<tiles:insertAttribute name="currentinteractiontable" />
<tiles:insertAttribute name="otherinteractiontable" />

<h2 id="hdr_createDrugPairs" class="h2title">Select Generic Drug Pairs to add to the above VA Custom Interaction</h2>

<tiles:insertAttribute name="genericdrugpairs" />

<h2 id="hdr_createDrugPairs" class="h2title">Select FDB Drug Pairs to add to the above VA Custom Interaction</h2>

<tiles:insertAttribute name="fdbdrugpairs" />

<h2 id="hdr_modifyDrugPairs" class="h2title">
 <spring:message code="ddim.wizard.titlebar.modify.customize" />
</h2>

<tiles:insertAttribute name="modifydrugpairs" />
<div class="buttons" style="clear: both">
 <button type="button" id="editButton2" class="edit noneditable">
  <spring:message code="wizard.button.edit" />
 </button>
 <button type="button" id="cancelButton2" class="cancel editable" style="display: none;">
  <spring:message code="wizard.button.canceledit" />
 </button>
</div>