<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<%@ attribute name="monograph" required="true" rtexprvalue="true" type="gov.va.med.pharmacy.pecs.domain.impl.easy.ProfessionalMonograph"%>
<%@ attribute name="elemindex" required="true" rtexprvalue="true" type="java.lang.Integer"%>

<div class="monograph">

<h2 id="hdr_monograph${elemindex}" class="h2title" onclick="toggleHeader(this)">
	<span class="closed">&nbsp;&nbsp;&nbsp;<spring:message code="es.pm.professionalmonograph.header"/></span>
</h2>

<div id="monograph${elemindex}" class="hide">

	<div class="conceptcontainer clearfix">
	<pecs:easySearchAttribute labelCode="es.label.pm.monographtitle" value="${monograph.title}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.severitylevel" value="${monograph.severityLevel}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.mechanismofaction" value="${monograph.mechanismOfAction}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.clinicaleffects" value="${monograph.clinicalEffects}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.predisposingfactors" value="${monograph.predisposingFactors}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.patientmanagement" value="${monograph.patientManagement}" />
	<pecs:easySearchAttribute labelCode="es.label.pm.discussion" value="${monograph.discussion}" />
	<c:set var="referenceLabel" value="es.label.pm.references"/>
			<c:forEach var="reference" items="${monograph.references}">
				<pecs:easySearchAttribute labelCode="${referenceLabel}" value="${reference}"/>
				<c:set var="referenceLabel" value=""/>
			</c:forEach>
	<pecs:easySearchAttribute labelCode="es.label.pm.disclaimer" value="${monograph.disclaimer}" />
	<br />
	</div>
	
	<br />

</div>

</div>
