/**
 * 
 */
function getTiles(name) {
	var targetNode = dojo.byId("list");

	var xhrArgs = {
		url : "/ct/pecs/details/tile/" + name,
		handleAs : "text",
		load : function(data) {
			
			var basicNode = dojo.place(data.trim(), targetNode, "last");
			dojo.style(basicNode, "opacity", "0");
			var fadeArgs = {
				node : basicNode
			};
			dojo.fadeIn(fadeArgs).play();

		
		},
		error : function(error) {
			targetNode.innerHTML = "An unexpected error occurred: " + error;
		}
	};
	var deferred = dojo.xhrGet(xhrArgs);

}

function getLicense() {
	// Look up the node we'll stick the text under.

	// The parameters to pass to xhrGet, the url, how to handle it, and the
	// callbacks.
	var xhrArgs = {
		url : "/ct/pecs/details/order",
		handleAs : "json",
		load : function(data) {

			dojo.forEach(data, function(entry, i) {

				getTiles(entry);
			});
		},
		error : function(error) {
			targetNode.innerHTML = "An unexpected error occurred: " + error;
		}
	};

	// Call the asynchronous xhrGet
	var deferred = dojo.xhrGet(xhrArgs);
}

dojo.addOnLoad(getLicense);