dojo.require("dijit.Dialog");
dojo.require("dijit.Tooltip");
var handle = null;
dojo
		.ready(function() {

			orderFields("DRUG_DRUG_INTERACTION");

			var myForm = dojo.byId("fdb");
			var description1Select = dojo.byId("description1Select");
			var description1 = dojo.byId("description1");
			var id = dojo.byId("recordId").value;
			if (id == 0) {
				id = dojo.byId("interactionid").value;
			}

			if (!pageHasErrors()) {
				if (hasVAInURL()) {
					callReqHistory("DRUG_DRUG_INTERACTION", id);
				}
			}

			if (dojo.byId("editButton")) {
				dojo.query(".edit").connect("onclick", null, function(e) {
					e.preventDefault();
					edit();
				});
				dojo.query(".cancel").connect("onclick", null, function(e) {
					e.preventDefault();
					cancel();
					if (hasVAInURL()) {
						callReqHistory("DRUG_DRUG_INTERACTION", id);
					}

				});
			}
			dojo.query(".historyButton").connect("onclick", null, function(e) {
				e.preventDefault();
				// alert("History button Pushed");
				exportHistory();
			});

			if (dojo.byId("userCommentButton") != null) {

				connectUserCommentButton("userCommentButton");
			}
			if (dojo.byId("userCommentButton2") != null) {
				connectUserCommentButton("userCommentButton2");
				
			}
			dojo.query(".drugPairs").connect(
					"onclick",
					null,
					function(e) {
						var interaction = dojo.byId("dpInteractionId");
						window.open(
								"../../../drugPairCustomization/interaction/"
										+ interaction.value, "_parent");
						return;
					});
			var actionButtons = dojo.query(".button");

			actionButtons
					.connect(
							"onclick",
							function(e) {

								if (this.id == "wtSubmit_for_Delete") {
									var conf = confirm("Are you sure you would like to submit the request for delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								if (this.id == "wtDelete") {
									var conf = confirm("Are you sure you would like to delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								dojo.query('input', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('select', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('textarea', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});

								dojo.create("input", {
									type : "hidden",
									id : "action",
									name : "action",
									value : this.value
								}, myForm, "first");

							});
			dojo
					.connect(
							description1Select,
							"onchange",
							function() {
								description1.value = description1Select.options[description1Select.selectedIndex].value;

							});
			if (pageHasErrors()) {
				if (dojo.isIE == 7) {
					setTimeout(function() {
						document.getElementById("errorMessages").focus();
					}, 500);
					document.getElementById("errorMessages").focus();
					document.getElementById("errorMessages").focus();
				} else {
					document.getElementById("errorMessages").focus();

				}
			}

		});

// Generate URL
function exportHistory() {
	var id = dojo.byId("recordId").value;
	var url = "/ct/pecs/drugdrug/interaction/history/VA/" + id;
	location.href = url;
}

function createDialog ()
{
	var dialogObj = dijit.byId("commentDialog");

	if (dialogObj === undefined){		
		dialogObj = createConceptDialog("DRUG_DRUG_INTERACTION", dojo.byId("fdbId").value);
	
		dialogObj.show();
		dialogObj.onLoadDeferred.then(function() {
			connectToDialogButtons();
		});
		return;
		}

	var deferred = dialogObj.show();
}


