dojo.ready(function() {
	handle = dojo.query(".year").connect("onclick", function(evt) {
		evt.preventDefault();
		var anchor = this;
		var href = this.href;
		var xhrArgs = xhrYearBuild(xhrArgs, href, anchor);
		var id = idBuild(anchor);
		var idExists = toggleDisplay(id)
		console.log("Id is: " + id);
		if (!idExists) {
			var deferred = dojo.xhrGet(xhrArgs);
			deferred.then(function() {
				dojo.query("." + id).connect("onclick", function(evt) {
					evt.preventDefault();
					var monthsAnchor = this;
					
					var xhrArgs = xhrArgsMonthBuild(this.href, this);
					console.log(this + "monthsAnchor" + monthsAnchor);
					var id = "updateFiles-" + this.href.substr(this.href.lastIndexOf('/') + 1) + "-" + this.parentNode.id;
					var idGridExists = toggleDisplay(id);

					console.log("idGridExists: " + idGridExists)
					if (!idGridExists) {
						console.log("XHRGET CALL" + idExists);
						var monthsDeferred = dojo.xhrGet(xhrArgs);
					}

				});
			});
		}

	});
})

function xhrYearBuild(xhrArgs, href, anchor) {
	var xhrArgs = {
	    url : href,
	    handleAs : "text",
	    load : function(data) {
		    dojo.place(dojo.trim(data), anchor.parentNode, "after");
	    },
	    error : function(error) {
		    alert(error);
	    }
	}
	return xhrArgs;
}

function idBuild(anchor) {
	var id = anchor.parentNode.id;
	id = id.replace("year-", "month-");
	return id;
}

function displayCheckYear(id) {

	id = id.replace("year-", "month-");
	if (dojo.byId(id)) {
		if (dojo.style(dojo.byId(id), "display") == "none") {
			dojo.style(dojo.byId(id), "display", "block");
		} else {
			dojo.style(dojo.byId(id), "display", "none");
		}
		return;

	}
}

function xhrArgsMonthBuild(href, monthsAnchor) {
	var xhrArgs = {
	    url : href,
	    handleAs : "text",
	    load : function(data) {
		    dojo.place(dojo.trim(data), monthsAnchor.parentNode, "last");

	    },
	    error : function(error) {
		    alert(error);
	    }
	}
	return xhrArgs;
}

function toggleDisplay(id) {
	if (dojo.byId(id)) {
		if (dojo.style(dojo.byId(id), "display") == "none") {
			dojo.style(dojo.byId(id), "display", "block");
		} else {
			dojo.style(dojo.byId(id), "display", "none");
		}
		return true;
	}
	return false;
}
