-- CCR 5443  In support of query of FDB and VA Custom Dose Range records to include the Concept ID Description. 
--
-- DESCRIPTION:
-- b.	Add a new index to the FDB_DIF.FDB_DOSING table including the Concept Type and Concept Identifier.
--

CREATE INDEX FDB_DIF.XIE1CONCEPTTYPE_ID ON FDB_DIF.FDB_DOSING
(CONCEPTTYPE   ASC,CONCEPTID   ASC)
	PCTFREE 10
	INITRANS 2
	STORAGE ( 
		INITIAL 64K
		NEXT 1024K
		MINEXTENTS 1
		MAXEXTENTS UNLIMITED
		BUFFER_POOL DEFAULT
	 )
	LOGGING
	TABLESPACE FDB_INDEX
	NOCOMPRESS 
	NOPARALLEL;

COMMIT;

