SELECT 'START : ' || CURRENT_TIMESTAMP AS "FDB_Comparison_Report_DATA.sql" FROM DUAL;
--CCR 5231-5532 - FDB Comparison Report:  Added Database Objects to store the generated comparison reports.
--Insert configuration data for report objects.
--Run as CTSTAGING

--set linesize 1000
--set pagesize 60
--spool /tmp/FDB_Comparison_Report_DATA.log

insert into comparison_report_concept
(comparison_report_concept_id, code, name, effectivedate, record_create_date, record_created_by)
values(3,'DT','duplicate therapy', to_date('2012-01-01','yyyy-MM-dd'), to_date('2012-01-01','yyyy-MM-dd'),'CCR5230');

insert into comparison_report_concept
(comparison_report_concept_id, code, name, effectivedate, record_create_date, record_created_by)
values(5,'DDI','Drug-Drug Interaction/Drug Pairs', to_date('2012-03-03','yyyy-MM-dd'), to_date('2012-03-03','yyyy-MM-dd'),'CCR5316');

--spool off

SELECT 'END : ' || CURRENT_TIMESTAMP AS "FDB_Comparison_Report_DATA.sql" FROM DUAL;

