SELECT 'START : ' || CURRENT_TIMESTAMP AS "ForwardReverseMonographs_DATA" FROM DUAL;
--CCR Forward Reverse Monographs
--Script to preload data to support enhancement.
--Needs to be revisited as production data changes as this is a snapshot
--Run CTSTAGING 
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150022,150024, 'Critical (ARF1-ARL1)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150023,150025, 'Significant (ARF2-ARL2)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150030,150032, 'Critical (DEF1-DEL1)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150031,150033, 'Significant (DEF2-DEL2)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150034,150036, 'Critical (INF1-INL1)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150035,150037, 'Significant (INF2-INL2)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150040,150103, 'Critical (MXF1-MXL1)');
INSERT INTO CTSTAGING.FORWARD_REVERSE_MONOGRAPH(FORWARD_MONOGRAPH_ID, REVERSE_MONOGRAPH_ID, DESCRIPTION)
VALUES (150041,150104, 'Significant (MXF2-MXL2)'); 
commit;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "ForwardReverseMonographs_DATA" FROM DUAL;
