SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_CTSTAGING_Synonym" FROM DUAL;

CREATE OR REPLACE PUBLIC SYNONYM COMPARISON_REPORT_CONCEPT_SEQ for CTSTAGING.COMPARISON_REPORT_CONCEPT_SEQ;                       
CREATE OR REPLACE PUBLIC SYNONYM CTUSERSVA_SEQ for CTSTAGING.CTUSERSVA_SEQ;                                                       
CREATE OR REPLACE PUBLIC SYNONYM CTVERSVA_SEQ for CTSTAGING.CTVERSVA_SEQ;                                                         
CREATE OR REPLACE PUBLIC SYNONYM CUFVA_SEQ for CTSTAGING.CUFVA_SEQ;                                                               
CREATE OR REPLACE PUBLIC SYNONYM FDB_UPDATE_REPORT_SEQ for CTSTAGING.FDB_UPDATE_REPORT_SEQ;                                       
CREATE OR REPLACE PUBLIC SYNONYM FIELDMETA_SEQ for CTSTAGING.FIELDMETA_SEQ;                                                       
CREATE OR REPLACE PUBLIC SYNONYM INTERACTIONID_SEQ for CTSTAGING.INTERACTIONID_SEQ;                                               
CREATE OR REPLACE PUBLIC SYNONYM PECS_DDI_VA_SEQ for CTSTAGING.PECS_DDI_VA_SEQ;                                                   
CREATE OR REPLACE PUBLIC SYNONYM PECS_DDI_VERSION_VA_SEQ for CTSTAGING.PECS_DDI_VERSION_VA_SEQ;                                   
CREATE OR REPLACE PUBLIC SYNONYM PECS_DOSE_RANGE_SEQ for CTSTAGING.PECS_DOSE_RANGE_SEQ;                                           
CREATE OR REPLACE PUBLIC SYNONYM PECS_DOSE_RANGE_VERSION_SEQ for CTSTAGING.PECS_DOSE_RANGE_VERSION_SEQ;                           
CREATE OR REPLACE PUBLIC SYNONYM PECS_DRUG_PAIR_VA_SEQ for CTSTAGING.PECS_DRUG_PAIR_VA_SEQ;                                       
CREATE OR REPLACE PUBLIC SYNONYM PECS_DRUG_PAIR_VERSION_VA_SEQ for CTSTAGING.PECS_DRUG_PAIR_VERSION_VA_SEQ;                       
CREATE OR REPLACE PUBLIC SYNONYM PECS_DUPL_THERAPY_SEQ for CTSTAGING.PECS_DUPL_THERAPY_SEQ;                                       
CREATE OR REPLACE PUBLIC SYNONYM PECS_DUPL_THERAPY_VERSION_SEQ for CTSTAGING.PECS_DUPL_THERAPY_VERSION_SEQ;                       
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_LINE_SEQ for CTSTAGING.PECS_MONOGRAPH_LINE_SEQ;                                   
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_SEQ for CTSTAGING.PECS_MONOGRAPH_SEQ;                                             
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_VERSION_SEQ for CTSTAGING.PECS_MONOGRAPH_VERSION_SEQ;                             
CREATE OR REPLACE PUBLIC SYNONYM REFTABLE_SEQ for CTSTAGING.REFTABLE_SEQ;                                                         
CREATE OR REPLACE PUBLIC SYNONYM SQRY_SEQ for CTSTAGING.SQRY_SEQ;                                                                 

--New 2.2 Tables
CREATE OR REPLACE PUBLIC SYNONYM PECS_LOCKING for CTSTAGING.PECS_LOCKING;                                                         
CREATE OR REPLACE PUBLIC SYNONYM COMPARISON_REPORT_CONCEPT for CTSTAGING.COMPARISON_REPORT_CONCEPT;                               
CREATE OR REPLACE PUBLIC SYNONYM FDB_UPDATE_REPORT for CTSTAGING.FDB_UPDATE_REPORT;                                               
CREATE OR REPLACE PUBLIC SYNONYM FORWARD_REVERSE_MONOGRAPH for CTSTAGING.FORWARD_REVERSE_MONOGRAPH;                               

CREATE OR REPLACE PUBLIC SYNONYM CT_USERS_VA for CTSTAGING.CT_USERS_VA;                                                           
CREATE OR REPLACE PUBLIC SYNONYM SAVED_QUERY_VA for CTSTAGING.SAVED_QUERY_VA;                                                     
--CREATE OR REPLACE PUBLIC SYNONYM STATUS_REF_VA for CTSTAGING.STATUS_REF_VA;                                                       
CREATE OR REPLACE PUBLIC SYNONYM REFERENCE_TEXT_VA for CTSTAGING.REFERENCE_TEXT_VA;                                               
CREATE OR REPLACE PUBLIC SYNONYM MONOGRAPH_SECTION_ORDER_VA for CTSTAGING.MONOGRAPH_SECTION_ORDER_VA;                             
CREATE OR REPLACE PUBLIC SYNONYM CT_VERSION_VA for CTSTAGING.CT_VERSION_VA;                                                       
CREATE OR REPLACE PUBLIC SYNONYM DOSE_UNIT_TYPE for CTSTAGING.DOSE_UNIT_TYPE;                                                     
CREATE OR REPLACE PUBLIC SYNONYM CLINICAL_EFFECT for CTSTAGING.CLINICAL_EFFECT;                                                   
CREATE OR REPLACE PUBLIC SYNONYM DUPLICATE_ALLOWANCE FOR CTSTAGING.DUPLICATE_ALLOWANCE;
CREATE OR REPLACE PUBLIC SYNONYM DOSE_ROUTE for CTSTAGING.DOSE_ROUTE;                                                             
CREATE OR REPLACE PUBLIC SYNONYM DOSE_TYPE for CTSTAGING.DOSE_TYPE;                                                               
CREATE OR REPLACE PUBLIC SYNONYM EASY_SEARCH_SELECT_TYPE for CTSTAGING.EASY_SEARCH_SELECT_TYPE;                                   
CREATE OR REPLACE PUBLIC SYNONYM HALF_LIFE_UNIT for CTSTAGING.HALF_LIFE_UNIT;                                                     
CREATE OR REPLACE PUBLIC SYNONYM PERIOD_OF_TIME for CTSTAGING.PERIOD_OF_TIME;                                                     
CREATE OR REPLACE PUBLIC SYNONYM SEVERITY_LEVEL for CTSTAGING.SEVERITY_LEVEL;                                                     
CREATE OR REPLACE PUBLIC SYNONYM PECS_STATUS for CTSTAGING.PECS_STATUS;                                                           
CREATE OR REPLACE PUBLIC SYNONYM PECS_DOSE_RANGE_VA for CTSTAGING.PECS_DOSE_RANGE_VA;                                             
CREATE OR REPLACE PUBLIC SYNONYM PECS_DOSE_RANGE_VERSION_VA for CTSTAGING.PECS_DOSE_RANGE_VERSION_VA;                             
CREATE OR REPLACE PUBLIC SYNONYM PECS_DDI_VA for CTSTAGING.PECS_DDI_VA;                                                           
CREATE OR REPLACE PUBLIC SYNONYM PECS_DDI_VERSION_VA for CTSTAGING.PECS_DDI_VERSION_VA;                                           
CREATE OR REPLACE PUBLIC SYNONYM PECS_DRUG_PAIR_VA for CTSTAGING.PECS_DRUG_PAIR_VA;                                               
CREATE OR REPLACE PUBLIC SYNONYM PECS_DRUG_PAIR_VERSION_VA for CTSTAGING.PECS_DRUG_PAIR_VERSION_VA;                               

CREATE OR REPLACE PUBLIC SYNONYM PECS_DUPL_THERAPY_VA for CTSTAGING.PECS_DUPL_THERAPY_VA;                                         
CREATE OR REPLACE PUBLIC SYNONYM PECS_DUPL_THERAPY_VERSION_VA for CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA;                         
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_VA for CTSTAGING.PECS_MONOGRAPH_VA;                                               
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_VERSION_VA for CTSTAGING.PECS_MONOGRAPH_VERSION_VA;                               
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_SECTION_LINE_VA for CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA;                     
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_VERSION_LINE_VA for CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA;                     
CREATE OR REPLACE PUBLIC SYNONYM FIELD_METADATA for CTSTAGING.FIELD_METADATA;                                                     
CREATE OR REPLACE PUBLIC SYNONYM CUSTOM_UPDATE_FILE_VA for CTSTAGING.CUSTOM_UPDATE_FILE_VA;                                       

CREATE OR REPLACE PUBLIC SYNONYM CLINICALEFFECT_TRIGGER for CTSTAGING.CLINICALEFFECT_TRIGGER;                                     
CREATE OR REPLACE PUBLIC SYNONYM CTUSERSVA_TRIGGER for CTSTAGING.CTUSERSVA_TRIGGER;                                               
CREATE OR REPLACE PUBLIC SYNONYM CTVERSVA_TRIGGER for CTSTAGING.CTVERSVA_TRIGGER;                                                 
CREATE OR REPLACE PUBLIC SYNONYM CUFVA_TRIGGER for CTSTAGING.CUFVA_TRIGGER;                                                       
CREATE OR REPLACE PUBLIC SYNONYM DOSEROUTE_TRIGGER for CTSTAGING.DOSEROUTE_TRIGGER;                                               
CREATE OR REPLACE PUBLIC SYNONYM DOSETYPE_TRIGGER for CTSTAGING.DOSETYPE_TRIGGER;                                                 
CREATE OR REPLACE PUBLIC SYNONYM DOSEUNITTYPE_TRIGGER for CTSTAGING.DOSEUNITTYPE_TRIGGER;                                         
CREATE OR REPLACE PUBLIC SYNONYM DUPLICATEALLOWANCE_TRIGGER for CTSTAGING.DUPLICATEALLOWANCE_TRIGGER;                             
CREATE OR REPLACE PUBLIC SYNONYM EASY_SEARCH_SELECT_TYPE_TRIG for CTSTAGING.EASY_SEARCH_SELECT_TYPE_TRIG;                         
CREATE OR REPLACE PUBLIC SYNONYM HALFLIFEUNIT_TRIGGER for CTSTAGING.HALFLIFEUNIT_TRIGGER;                                         
CREATE OR REPLACE PUBLIC SYNONYM INTERACTIONID_TRIGGER for CTSTAGING.INTERACTIONID_TRIGGER;                                       
CREATE OR REPLACE PUBLIC SYNONYM PERIODOFTIME_TRIGGER for CTSTAGING.PERIODOFTIME_TRIGGER;                                         
CREATE OR REPLACE PUBLIC SYNONYM SQRY_TRIGGER for CTSTAGING.SQRY_TRIGGER;                                                         
--CREATE OR REPLACE PUBLIC SYNONYM UPD_MONOGRAPH_HISTORY for CTSTAGING.UPD_MONOGRAPH_HISTORY;                                       
--CREATE OR REPLACE PUBLIC SYNONYM UPD_DRUG_PAIR_HISTORY for CTSTAGING.UPD_DRUG_PAIR_HISTORY;                                       
--CREATE OR REPLACE PUBLIC SYNONYM UPD_DDI_HISTORY for CTSTAGING.UPD_DDI_HISTORY;                                                   
CREATE OR REPLACE PUBLIC SYNONYM GET_MONOGRAPH_TITLE for CTSTAGING.GET_MONOGRAPH_TITLE; 
CREATE OR REPLACE PUBLIC SYNONYM FDB_MONOGRAPH_TITLES for CTSTAGING.FDB_MONOGRAPH_TITLES;                                           
                                          
--CREATE OR REPLACE PUBLIC SYNONYM UPD_DOSE_RANGE_HISTORY for CTSTAGING.UPD_DOSE_RANGE_HISTORY;                                     
CREATE OR REPLACE PUBLIC SYNONYM INTERACTION_ID_TRG for CTSTAGING.INTERACTION_ID_TRG;                                             
CREATE OR REPLACE PUBLIC SYNONYM SEVERITY_LEVEL_TRIGGER for CTSTAGING.SEVERITY_LEVEL_TRIGGER;                                     


-- CCR 5514 - Null Drug Pair Removal Process
--
-- DESCRIPTION:
-- Create copy of the FDB_GENERIC_ROUTEDDRUG table to support display
-- of deleted routed drug description.
--
CREATE OR REPLACE PUBLIC SYNONYM GENERIC_ROUTEDDRUG FOR CTSTAGING.GENERIC_ROUTEDDRUG;

CREATE OR REPLACE PUBLIC SYNONYM DDIMINTERACTION_COMMENT FOR CTSTAGING.DDIMINTERACTION_COMMENT;
CREATE OR REPLACE PUBLIC SYNONYM DDIM_COMMENT_ID_SEQ FOR CTSTAGING.DDIM_COMMENT_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DDIM_REF_ID_SEQ FOR CTSTAGING.FDB_DDIM_REF_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DDIM_XREF FOR CTSTAGING.FDB_DDIM_XREF;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DUPTHERAPY_XREF FOR CTSTAGING.FDB_DUPTHERAPY_XREF;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DOSE_RANGE_XREF FOR CTSTAGING.FDB_DOSE_RANGE_XREF;
CREATE OR REPLACE PUBLIC SYNONYM FDB_MONOGRAPH_XREF FOR CTSTAGING.FDB_MONOGRAPH_XREF;
CREATE OR REPLACE PUBLIC SYNONYM DOSERANGE_COMMENT FOR CTSTAGING.DOSERANGE_COMMENT;
CREATE OR REPLACE PUBLIC SYNONYM DUPLTHERAPY_COMMENT FOR CTSTAGING.DUPLTHERAPY_COMMENT;
CREATE OR REPLACE PUBLIC SYNONYM MONOGRAPH_COMMENT FOR CTSTAGING.MONOGRAPH_COMMENT;
CREATE OR REPLACE PUBLIC SYNONYM DOSEROUTE_COMMENT_ID_SEQ FOR CTSTAGING.DOSEROUTE_COMMENT_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM DUPLTHERAPY_COMMENT_ID_SEQ FOR CTSTAGING.DUPLTHERAPY_COMMENT_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DOSEROUTE_REF_ID_SEQ FOR CTSTAGING.FDB_DOSEROUTE_REF_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM FDB_DUPLTHERAPY_REF_ID_SEQ FOR CTSTAGING.FDB_DUPLTHERAPY_REF_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM FDB_MONOGRAPH_REF_ID_SEQ FOR CTSTAGING.FDB_MONOGRAPH_REF_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM MONOGRAPH_COMMENT_ID_SEQ FOR CTSTAGING.MONOGRAPH_COMMENT_ID_SEQ;
CREATE OR REPLACE PUBLIC SYNONYM pecs_contact FOR ctstaging.pecs_contact;
CREATE OR REPLACE PUBLIC SYNONYM pecs_contact_id_seq FOR ctstaging.pecs_contact_id_seq;
CREATE OR REPLACE PUBLIC SYNONYM PECS_DDI_EXPORT_VA FOR CTSTAGING.PECS_DDI_EXPORT_VA;
CREATE OR REPLACE PUBLIC SYNONYM PECS_DRUG_PAIR_EXPORT_VA FOR CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA;
CREATE OR REPLACE PUBLIC SYNONYM PECS_DOSE_RANGE_EXPORT_VA FOR CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA;
CREATE OR REPLACE PUBLIC SYNONYM PECS_DUPL_THERAPY_EXPORT_VA FOR CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA;
CREATE OR REPLACE PUBLIC SYNONYM PECS_MONOGRAPH_EXPORT_VA FOR CTSTAGING.PECS_MONOGRAPH_EXPORT_VA;


SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_CTSTAGING_Synonym" FROM DUAL;
