SELECT 'START : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Procedures_Functi" FROM DUAL;

CREATE  OR REPLACE  FUNCTION           CTSTAGING.GET_MONOGRAPH_TITLE (monoID in number)

 RETURN varchar2 is
/******************************************************************************
   NAME:       get_monograph_title
   PURPOSE:

   REVISIONS:
   Ver        Date        Author           Description
   ---------  ----------  ---------------  ------------------------------------
   1.0        9/29/2011   vhaispraya       1. Created this function.

   NOTES:

   Automatically available Auto Replace Keywords:
      Object Name:     get_monograph_title
      Sysdate:         9/29/2011
      Date and Time:   9/29/2011, 4:47:16 PM, and 9/29/2011 4:47:16 PM
      Username:        vhaispraya (set in TOAD Options, Procedure Editor)
      Table Name:       (set in the "New PL/SQL Object" dialog)

******************************************************************************/
     l_str1  varchar2(4000) default null;
     l_str2  varchar2(4000) default null;
     l_sep  varchar2(1) default null;
     m_num number(11);

begin
     for x in ( select monographid, linetext from fdb_dif.fdb_monograph_ddim  where monographid = monoId and sectioncode = 'T' order by sequencenumber ) loop
          m_num := x.monographid;
          l_str2 := x.linetext;
          --dbms_output.put_line('.............monographid is : '|| m_num ||'.');
          SELECT TRIM(l_str2) INTO l_str2 FROM DUAL;
          --dbms_output.put_line('.............linetext is : '|| l_str1 ||'.');
          l_str1 := l_str1 ||l_str2;
          --dbms_output.put_line('.............linetext is : '|| l_str2 ||'.');
     end loop;
     return l_str1;

END get_monograph_title;

/

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PECS5_Create_Procedures_Functi" FROM DUAL;



