--spool create_ddim_xref_links.log

SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDdiVa_UPDATE.sql" FROM DUAL;


UPDATE ctstaging.pecs_ddi_va ddi
   SET ddi.fdb_reference_id =
          (SELECT xref.fdb_reference_id
             FROM ctstaging.fdb_ddim_xref xref
            WHERE xref.interaction_id = ddi.fdb_id)
 WHERE     ddi.fdb_reference_id IS NULL
       AND EXISTS
              (SELECT *
                 FROM ctstaging.fdb_ddim_xref subxref
                WHERE subxref.interaction_id = ddi.fdb_id);

UPDATE ctstaging.pecs_ddi_va ddi
   SET ddi.reverse_fdb_id = 32000 - ddi.fdb_id;

COMMIT;
--spool off

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDdiVa_UPDATE.sql" FROM DUAL;
