SELECT 'START : ' || CURRENT_TIMESTAMP AS "PecsDuplTherapyVa_UPDATE.sql" FROM DUAL;

UPDATE ctstaging.pecs_dupl_therapy_va dt
   SET dt.fdb_reference_id =
          (SELECT xref.fdb_reference_id
             FROM ctstaging.fdb_duptherapy_xref xref
            WHERE xref.dtcid = dt.dtcid)
 WHERE     dt.fdb_reference_id IS NULL
       AND EXISTS
              (SELECT *
                 FROM ctstaging.fdb_duptherapy_xref subxref
                WHERE subxref.dtcid = dt.dtcid);

COMMIT;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "PecsDuplTherapyVa_UPDATE.sql" FROM DUAL;
