--
-- Header: pecs5_create_pk1.sql  04-4-2012
--
-- Created By: Alicia Ray
--
-- FILE NAME: pecs5_create_pk1.sql
--
-- DESCRIPTION:
--  A Master script to create the tablespace and
--  user package script.
--
--
-- NOTES:
--
--
-- MODIFIED	 (MM-DD-YYYY)	  DESCRIPTION
---------------------------------------
-- Ray		  04-04-2012	  Initial version for PECS 2.2
-- Shelley    10-21-2013     Updated for PECS 3.3
-- Shelley    12-05-2013     Updated for PECS 5.0

SET ECHO ON TIME ON
REM LOGIN AS SYSTEM
SPOOL PECS5_creation_pkg1.log

--@PECS5_Create_CTSTAGING_Tablespaces.sql
-- If creating a development environment then comment out the prior line and uncomment the line below.
@PECS5_Create_CTSTAGING_Tablespaces_Dev.sql

@PECS5_Create_User_Profiles.sql
@PECS5_create_user_modified.sql

COMMIT;
SPOOL OFF