SELECT 'START : ' || CURRENT_TIMESTAMP AS "pecs_status_DATA.sql" FROM DUAL;
--Insert Pecs Status data

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    4,
    'Reviewed',
    'Reviewed',
    '1st approver review completed')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    1,
    'New',
    'New',
    'Record created')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    2,
    'Modified',
    'Modified',
    'Record modified')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    6,
    'Rejected',
    'Rejected',
    'Modification not accepted')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    5,
    'Approved',
    'Approved',
    '2nd approver review completed - live data')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    12,
    'Delete_Reviewed',
    'Delete Reviewed',
    'Record reviewed for delete')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    7,
    'Deleted',
    'Deleted',
    'Record deleted')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    8,
    'Modified_after_Delete',
    'Modified',
    'Record modified after being deleted')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    9,
    'Reviewed_after_Delete',
    'Reviewed',
    '1st approver review completed after changes to a previously deleted record')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    10,
    'Modified_after_Approve',
    'Modified',
    'Record modified after being approved')
/

INSERT INTO CTSTAGING.PECS_STATUS (
    STATUS_ID,
    CODE,
    NAME,
    DESCRIPTION)
VALUES (
    0,
    'Reviewed_after_Approve',
    'Reviewed',
    '1st approver review completed after changes to a previously approved record')
/



commit;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "pecs_status_DATA.sql" FROM DUAL;