--create Dose Range cross reference between PECS Dose Range customizations and FDB originating Dose Range
spool ddim_xref_migration.log
insert into CTSTAGING.FDB_DDIM_XREF (
  FDB_REFERENCE_ID,
  INTERACTION_ID)         
select CTSTAGING.FDB_DDIM_REF_ID_SEQ.nextval, CUSTOM.FDB_ID
from (
select distinct DDI.FDB_ID
from ctstaging.pecs_ddi_va DDI 
INNER JOIN FDB_DIF.FDB_DDIMINTERACTION FDB on FDB.INTERACTIONID = DDI.FDB_ID
where not exists (select * from CTSTAGING.FDB_DDIM_XREF XREF
WHERE XREF.INTERACTION_ID = FDB.INTERACTIONID)
order by 
DDI.FDB_ID) CUSTOM
;
  
COMMIT;
spool off