-- Create relationships section ------------------------------------------------- 

/* Already exists in present schema
-- should be a renamed using standard naming conventions
ALTER TABLE "CTSTAGING"."PECS_DDI_VERSION_VA" ADD CONSTRAINT "FK_CLINICAL_EFFECT1_ID" FOREIGN KEY ("CLINICAL_EFFECT1_ID") REFERENCES "CTSTAGING"."CLINICAL_EFFECT" ("CLINICAL_EFFECT_ID")/
ALTER TABLE "CTSTAGING"."PECS_DDI_VERSION_VA" ADD CONSTRAINT "FK_CLINICAL_EFFECT2_ID" FOREIGN KEY ("CLINICAL_EFFECT2_ID") REFERENCES "CTSTAGING"."CLINICAL_EFFECT" ("CLINICAL_EFFECT_ID")/
ALTER TABLE "CTSTAGING"."PECS_DRUG_PAIR_VA" ADD CONSTRAINT "FK_DDI_TO_DP" FOREIGN KEY ("PECS_DDI_VA_ID") REFERENCES "CTSTAGING"."PECS_DDI_VA" ("PECS_DDI_VA_ID")/
ALTER TABLE "CTSTAGING"."FDB_UPDATE_REPORT" ADD CONSTRAINT "FK_RPTCONCEPT_RPT" FOREIGN KEY ("COMPARISON_REPORT_CONCEPT_ID") REFERENCES "CTSTAGING"."COMPARISON_REPORT_CONCEPT" ("COMPARISON_REPORT_CONCEPT_ID")/
ALTER TABLE "CTSTAGING"."PECS_DDI_VERSION_VA" ADD CONSTRAINT "FK_SEVERITY_LEVEL_ID" FOREIGN KEY ("SEVERITY_LEVEL_ID") REFERENCES "CTSTAGING"."SEVERITY_LEVEL" ("SEVERITY_LEVEL_ID")/
*/



ALTER TABLE "CTSTAGING"."PECS_DRUG_PAIR_VERSION_VA" ADD CONSTRAINT "FK_DPVERSION_DP" FOREIGN KEY ("VA_DRUG_PAIR_ID") REFERENCES "CTSTAGING"."PECS_DRUG_PAIR_VA" ("VA_DRUG_PAIR_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DDI_VERSION_VA" ADD CONSTRAINT "FK_DDIVERSION_TO_DDI" FOREIGN KEY ("PECS_DDI_VA_ID") REFERENCES "CTSTAGING"."PECS_DDI_VA" ("PECS_DDI_VA_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA" ADD CONSTRAINT "FK_DTVERSION_TO_DT" FOREIGN KEY ("VA_DUPL_THERAPY_ID") REFERENCES "CTSTAGING"."PECS_DUPL_THERAPY_VA" ("VA_DUPL_THERAPY_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" ADD CONSTRAINT "FK_DRVERSION_TO_DR" FOREIGN KEY ("VA_DOSE_RANGE_ID") REFERENCES "CTSTAGING"."PECS_DOSE_RANGE_VA" ("VA_DOSE_RANGE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VERSION_VA" ADD CONSTRAINT "FK_MONOVERSION_TO_MONO" FOREIGN KEY ("VA_MONOGRAPH_ID") REFERENCES "CTSTAGING"."PECS_MONOGRAPH_VA" ("VA_MONOGRAPH_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VERSION_LINE_VA" ADD CONSTRAINT "FK_MONOVERSLINE_TO_MONOVERSION" FOREIGN KEY ("VERSION_ID") REFERENCES "CTSTAGING"."PECS_MONOGRAPH_VERSION_VA" ("VERSION_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VERSION_LINE_VA" ADD CONSTRAINT "FK_MONOVERSLINE_MONOSECTLINE" FOREIGN KEY ("LINE_ID") REFERENCES "CTSTAGING"."PECS_MONOGRAPH_SECTION_LINE_VA" ("LINE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_SECTION_LINE_VA" ADD CONSTRAINT "FK_MONOSECTLINE_SECTORDER" FOREIGN KEY ("SECTION_CODE") REFERENCES "CTSTAGING"."MONOGRAPH_SECTION_ORDER_VA" ("SECTIONCODE")
/


ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" ADD CONSTRAINT "FK_DRVERSION_DOSETYPE" FOREIGN KEY ("DOSE_TYPE_ID") REFERENCES "CTSTAGING"."DOSE_TYPE" ("DOSE_TYPE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" ADD CONSTRAINT "FK_DRVERSION_DOSEROUTE" FOREIGN KEY ("DOSE_ROUTE_ID") REFERENCES "CTSTAGING"."DOSE_ROUTE" ("DOSE_ROUTE_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DUPL_THERAPY_VERSION_VA" ADD CONSTRAINT "FK_DTVERSION_TO_STATUS" FOREIGN KEY ("STATUS_ID") REFERENCES "CTSTAGING"."PECS_STATUS" ("STATUS_ID")
/

ALTER TABLE "CTSTAGING"."PECS_MONOGRAPH_VERSION_VA" ADD CONSTRAINT "FK_MONOVERS_TO_STATUS" FOREIGN KEY ("STATUS_ID") REFERENCES "CTSTAGING"."PECS_STATUS" ("STATUS_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DRUG_PAIR_VERSION_VA" ADD CONSTRAINT "FK_DPVERSION_TO_STATUS" FOREIGN KEY ("STATUS_ID") REFERENCES "CTSTAGING"."PECS_STATUS" ("STATUS_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DOSE_RANGE_VERSION_VA" ADD CONSTRAINT "FK_DRVERSION_TO_STATUS" FOREIGN KEY ("STATUS_ID") REFERENCES "CTSTAGING"."PECS_STATUS" ("STATUS_ID")
/

ALTER TABLE "CTSTAGING"."PECS_DDI_VERSION_VA" ADD CONSTRAINT "FK_DDIVERSION_TO_STATUS" FOREIGN KEY ("STATUS_ID") REFERENCES "CTSTAGING"."PECS_STATUS" ("STATUS_ID")
/
