SELECT 'START : ' || CURRENT_TIMESTAMP AS "CTSTAGING_READ_ONLY.sql" FROM DUAL;

DROP ROLE CTSTAGING_READ_ONLY_ROLE;

--
-- CTSTAGING_READ_ONLY_ROLE  (Role) 
--
CREATE ROLE CTSTAGING_READ_ONLY_ROLE NOT IDENTIFIED;

--GRANT SELECT ON CTSTAGING.ASVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                      
--GRANT SELECT ON CTSTAGING.CFGCOL_SEQ TO CTSTAGING_READ_ONLY_ROLE;                    
--GRANT SELECT ON CTSTAGING.CFGQRY_SEQ TO CTSTAGING_READ_ONLY_ROLE;                    
GRANT SELECT ON CTSTAGING.COMPARISON_REPORT_CONCEPT_SEQ TO CTSTAGING_READ_ONLY_ROLE; 
--GRANT SELECT ON CTSTAGING.CTCFG_SEQ TO CTSTAGING_READ_ONLY_ROLE;                     
GRANT SELECT ON CTSTAGING.CTUSERSVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                 
GRANT SELECT ON CTSTAGING.CTVERSVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                  
GRANT SELECT ON CTSTAGING.CUFVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                     
--GRANT SELECT ON CTSTAGING.DDIMINTERACTIONVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;         
--GRANT SELECT ON CTSTAGING.DDIMSTRINGSVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.DDIMVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                    
--GRANT SELECT ON CTSTAGING.DOSINGVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                  
--GRANT SELECT ON CTSTAGING.DTCATVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                   
--GRANT SELECT ON CTSTAGING.EQRY_SEQ TO CTSTAGING_READ_ONLY_ROLE;                      
GRANT SELECT ON CTSTAGING.FDB_UPDATE_REPORT_SEQ TO CTSTAGING_READ_ONLY_ROLE;         
GRANT SELECT ON CTSTAGING.FIELDMETA_SEQ TO CTSTAGING_READ_ONLY_ROLE;                 
GRANT SELECT ON CTSTAGING.INTERACTIONID_SEQ TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.INTERACTIONREFVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;          
--GRANT SELECT ON CTSTAGING.MONOGRAPHID_SEQ TO CTSTAGING_READ_ONLY_ROLE;               
--GRANT SELECT ON CTSTAGING.MONOGRAPHVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;               
GRANT SELECT ON CTSTAGING.PECS_DDI_VA_SEQ TO CTSTAGING_READ_ONLY_ROLE;               
GRANT SELECT ON CTSTAGING.PECS_DDI_VERSION_VA_SEQ TO CTSTAGING_READ_ONLY_ROLE;       
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_SEQ TO CTSTAGING_READ_ONLY_ROLE;           
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_VERSION_SEQ TO CTSTAGING_READ_ONLY_ROLE;   
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VA_SEQ TO CTSTAGING_READ_ONLY_ROLE;         
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA_SEQ TO CTSTAGING_READ_ONLY_ROLE; 
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_SEQ TO CTSTAGING_READ_ONLY_ROLE;         
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_VERSION_SEQ TO CTSTAGING_READ_ONLY_ROLE; 
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_LINE_SEQ TO CTSTAGING_READ_ONLY_ROLE;       
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_SEQ TO CTSTAGING_READ_ONLY_ROLE;            
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_VERSION_SEQ TO CTSTAGING_READ_ONLY_ROLE;    
GRANT SELECT ON CTSTAGING.REFTABLE_SEQ TO CTSTAGING_READ_ONLY_ROLE;                  
GRANT SELECT ON CTSTAGING.SQRY_SEQ TO CTSTAGING_READ_ONLY_ROLE;                      
--GRANT SELECT ON CTSTAGING.SRVA_SEQ TO CTSTAGING_READ_ONLY_ROLE;

GRANT SELECT ON CTSTAGING.PECS_LOCKING TO CTSTAGING_READ_ONLY_ROLE;                  
GRANT SELECT ON CTSTAGING.COMPARISON_REPORT_CONCEPT TO CTSTAGING_READ_ONLY_ROLE;     
GRANT SELECT ON CTSTAGING.FDB_UPDATE_REPORT TO CTSTAGING_READ_ONLY_ROLE;             
GRANT SELECT ON CTSTAGING.FORWARD_REVERSE_MONOGRAPH TO CTSTAGING_READ_ONLY_ROLE;     
GRANT SELECT ON CTSTAGING.CT_USERS_VA TO CTSTAGING_READ_ONLY_ROLE;                   
GRANT SELECT ON CTSTAGING.SAVED_QUERY_VA TO CTSTAGING_READ_ONLY_ROLE;                
--GRANT SELECT ON CTSTAGING.EXECUTED_QUERY_VA TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.CONFIG_QUERY_VA TO CTSTAGING_READ_ONLY_ROLE;               
--GRANT SELECT ON CTSTAGING.CONFIG_COLUMN_VA TO CTSTAGING_READ_ONLY_ROLE;              
--GRANT SELECT ON CTSTAGING.CT_CONFIG_VA TO CTSTAGING_READ_ONLY_ROLE;                  
--GRANT SELECT ON CTSTAGING.STATUS_REF_VA TO CTSTAGING_READ_ONLY_ROLE;                 
GRANT SELECT ON CTSTAGING.REFERENCE_TEXT_VA TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_DDIMINTERACTION_VA TO CTSTAGING_READ_ONLY_ROLE; 
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_DDIM_VA TO CTSTAGING_READ_ONLY_ROLE;            
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_DDIMSTRINGS_VA TO CTSTAGING_READ_ONLY_ROLE;     
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_DOSING_VA TO CTSTAGING_READ_ONLY_ROLE;          
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_DTCAT_VA TO CTSTAGING_READ_ONLY_ROLE;           
GRANT SELECT ON CTSTAGING.MONOGRAPH_SECTION_ORDER_VA TO CTSTAGING_READ_ONLY_ROLE;    
GRANT SELECT ON CTSTAGING.CT_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;                 
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIMINTERACTION_ARC TO CTSTAGING_READ_ONLY_ROLE;
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIMINTERACTION_VA TO CTSTAGING_READ_ONLY_ROLE; 
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIMSTRINGS_ARC TO CTSTAGING_READ_ONLY_ROLE;    
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIMSTRINGS_VA TO CTSTAGING_READ_ONLY_ROLE;     
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIM_ARC TO CTSTAGING_READ_ONLY_ROLE;           
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DDIM_VA TO CTSTAGING_READ_ONLY_ROLE;            
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DOSING_ARC TO CTSTAGING_READ_ONLY_ROLE;         
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DOSING_VA TO CTSTAGING_READ_ONLY_ROLE;          
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DTCAT_ARC TO CTSTAGING_READ_ONLY_ROLE;          
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_DTCAT_VA TO CTSTAGING_READ_ONLY_ROLE;           
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_MONOGRAPH_ARC TO CTSTAGING_READ_ONLY_ROLE;      
--GRANT SELECT ON CTSTAGING.T_SNAPSHOT_MONOGRAPH_VA TO CTSTAGING_READ_ONLY_ROLE;       
GRANT SELECT ON CTSTAGING.DOSE_UNIT_TYPE TO CTSTAGING_READ_ONLY_ROLE;                
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIMINTERACTION_ARC TO CTSTAGING_READ_ONLY_ROLE;  
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIMINTERACTION_VA TO CTSTAGING_READ_ONLY_ROLE;   
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIMSTRINGS_ARC TO CTSTAGING_READ_ONLY_ROLE;      
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIMSTRINGS_VA TO CTSTAGING_READ_ONLY_ROLE;       
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIM_ARC TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DDIM_VA TO CTSTAGING_READ_ONLY_ROLE;              
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DOSING_ARC TO CTSTAGING_READ_ONLY_ROLE;           
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DOSING_VA TO CTSTAGING_READ_ONLY_ROLE;            
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DTCAT_ARC TO CTSTAGING_READ_ONLY_ROLE;            
--GRANT SELECT ON CTSTAGING.SNAPSHOT_DTCAT_VA TO CTSTAGING_READ_ONLY_ROLE;             
--GRANT SELECT ON CTSTAGING.SNAPSHOT_MONOGRAPH_ARC TO CTSTAGING_READ_ONLY_ROLE;        
--GRANT SELECT ON CTSTAGING.SNAPSHOT_MONOGRAPH_VA TO CTSTAGING_READ_ONLY_ROLE;         
GRANT SELECT ON CTSTAGING.CLINICAL_EFFECT TO CTSTAGING_READ_ONLY_ROLE;               
GRANT SELECT ON CTSTAGING.DUPLICATE_ALLOWANCE TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.DOSE_ROUTE TO CTSTAGING_READ_ONLY_ROLE;                    
GRANT SELECT ON CTSTAGING.DOSE_TYPE TO CTSTAGING_READ_ONLY_ROLE;                     
GRANT SELECT ON CTSTAGING.EASY_SEARCH_SELECT_TYPE TO CTSTAGING_READ_ONLY_ROLE;       
GRANT SELECT ON CTSTAGING.HALF_LIFE_UNIT TO CTSTAGING_READ_ONLY_ROLE;                
GRANT SELECT ON CTSTAGING.PERIOD_OF_TIME TO CTSTAGING_READ_ONLY_ROLE;                
GRANT SELECT ON CTSTAGING.SEVERITY_LEVEL TO CTSTAGING_READ_ONLY_ROLE;                
GRANT SELECT ON CTSTAGING.PECS_STATUS TO CTSTAGING_READ_ONLY_ROLE;                   
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_VA TO CTSTAGING_READ_ONLY_ROLE;            
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;    
GRANT SELECT ON CTSTAGING.PECS_DDI_VA TO CTSTAGING_READ_ONLY_ROLE;                   
GRANT SELECT ON CTSTAGING.PECS_DDI_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;           
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VA TO CTSTAGING_READ_ONLY_ROLE;             
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;     

GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_VA TO CTSTAGING_READ_ONLY_ROLE;          
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;  
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_VA TO CTSTAGING_READ_ONLY_ROLE;             
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_VERSION_VA TO CTSTAGING_READ_ONLY_ROLE;     
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_SECTION_LINE_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_VERSION_LINE_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FIELD_METADATA TO CTSTAGING_READ_ONLY_ROLE;                
--GRANT SELECT ON CTSTAGING.AUDIT_SERVICE_VA TO CTSTAGING_READ_ONLY_ROLE;              
GRANT SELECT ON CTSTAGING.CUSTOM_UPDATE_FILE_VA TO CTSTAGING_READ_ONLY_ROLE;         
--GRANT SELECT ON CTSTAGING.DDIMINTERACTION_REFERENCE_VA TO CTSTAGING_READ_ONLY_ROLE;  
--GRANT SELECT ON CTSTAGING.FDB_CUSTOM_MONOGRAPH_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_TITLES TO CTSTAGING_READ_ONLY_ROLE;           
GRANT EXECUTE ON CTSTAGING.GET_MONOGRAPH_TITLE TO CTSTAGING_READ_ONLY_ROLE; 

-- CCR 5514 - Null Drug Pair Removal Process
--
-- DESCRIPTION:
-- Create copy of the FDB_GENERIC_ROUTEDDRUG table to support display
-- of deleted routed drug description.
--
GRANT SELECT ON CTSTAGING.GENERIC_ROUTEDDRUG TO CTSTAGING_READ_ONLY_ROLE;
          

--GRANT EXECUTE ON CTSTAGING.UPD_MONOGRAPH_HISTORY TO CTSTAGING_READ_ONLY_ROLE;         
--GRANT EXECUTE ON CTSTAGING.UPD_DRUG_PAIR_HISTORY TO CTSTAGING_READ_ONLY_ROLE;         
--GRANT EXECUTE ON CTSTAGING.UPD_DDI_HISTORY TO CTSTAGING_READ_ONLY_ROLE;               
--GRANT EXECUTE ON CTSTAGING.UPD_DOSE_RANGE_HISTORY TO CTSTAGING_READ_ONLY_ROLE;

GRANT SELECT ON CTSTAGING.DDIMINTERACTION_COMMENT TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.DOSERANGE_COMMENT TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.DUPLTHERAPY_COMMENT TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.MONOGRAPH_COMMENT TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DDIM_XREF TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DUPTHERAPY_XREF TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_DOSE_RANGE_XREF TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.FDB_MONOGRAPH_XREF TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON ctstaging.pecs_contact TO ctstaging_read_only_role;
GRANT SELECT ON CTSTAGING.PECS_DDI_EXPORT_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.PECS_DRUG_PAIR_EXPORT_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.PECS_DOSE_RANGE_EXPORT_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.PECS_DUPL_THERAPY_EXPORT_VA TO CTSTAGING_READ_ONLY_ROLE;
GRANT SELECT ON CTSTAGING.PECS_MONOGRAPH_EXPORT_VA TO CTSTAGING_READ_ONLY_ROLE;

--
-- CONNECT  (Role) 
--
GRANT CONNECT TO CTSTAGING_READ_ONLY_ROLE;


DROP USER CTSTAGING_READ_ONLY CASCADE;

--
-- CTSTAGING_READ_ONLY  (User) 
--
CREATE USER CTSTAGING_READ_ONLY
  IDENTIFIED BY CTSTAGING_123
  DEFAULT TABLESPACE CTSTAGING_DATA
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 2 Roles for CTSTAGING_READ_ONLY 
  GRANT CTSTAGING_READ_ONLY_ROLE TO CTSTAGING_READ_ONLY;
  GRANT CONNECT TO CTSTAGING_READ_ONLY;
  ALTER USER CTSTAGING_READ_ONLY DEFAULT ROLE ALL;

SELECT 'END : ' || CURRENT_TIMESTAMP AS "CTSTAGING_READ_ONLY.sql" FROM DUAL;
