SELECT 'START : ' || CURRENT_TIMESTAMP AS "ComparisonReportConcept_DATA" FROM DUAL;

SET DEFINE ON
COLUMN maxval NEW_VALUE newmaxval

SELECT MAX (comparison_report_concept_id) + 1 AS maxval
  FROM ctstaging.comparison_report_concept;

INSERT INTO ctstaging.comparison_report_concept (comparison_report_concept_id
                                                ,code
                                                ,name
                                                ,description
                                                ,sort_order
                                                ,effectivedate
                                                ,expirationdate
                                                ,record_created_by
                                                ,record_create_date
                                                ,record_modified_by
                                                ,record_modified_date)
     VALUES (&newmaxval
            ,'DR'
            ,'Dose Range'
            ,NULL
            ,NULL
            ,CURRENT_DATE
            ,NULL
            ,'PECS Story 21120'
            ,NULL
            ,NULL
            ,NULL);

COMMIT;
SET DEFINE OFF

SELECT 'END : ' || CURRENT_TIMESTAMP AS "ComparisonReportConcept_DATA" FROM DUAL;