-- PECS 5.0 - Script to update name of main concept DTO's

SELECT 'START : ' || CURRENT_TIMESTAMP AS "FieldMetadata_UPDATE.sql" FROM DUAL;

SET DEFINE ON
COLUMN maxval NEW_VALUE newmaxval

--PECS 5.0 Metadata updates

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDdiminteractionVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDdiminteractionVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDdimVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDdimVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDtcatVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDtcatVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'FdbCustomDosingVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'FdbCustomDosingVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;


SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'MonographVa'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'MonographVa', 'USER_COMMENT_HISTORY', &newmaxval, 'N', 'N', 'Y', 'Pre-Customization Comment History'
FROM dual;

COMMIT;

UPDATE field_metadata
   SET field_metadata.concept_name = 'MonographDTO'
 WHERE field_metadata.concept_name = 'MonographVa';

UPDATE field_metadata
   SET field_metadata.concept_name = 'DuplicateTherapyDTO'
 WHERE field_metadata.concept_name = 'FdbCustomDtcatVa';

UPDATE field_metadata
   SET field_metadata.concept_name = 'DoseRangeDTO'
 WHERE field_metadata.concept_name = 'FdbCustomDosingVa';

UPDATE field_metadata
   SET field_metadata.concept_name = 'DrugDrugInteractionDTO'
 WHERE field_metadata.concept_name = 'FdbCustomDdiminteractionVa';

UPDATE field_metadata
   SET field_metadata.concept_name = 'DrugPairDTO'
 WHERE field_metadata.concept_name = 'FdbCustomDdimVa';

COMMIT;

  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DrugDrugInteractionDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DrugDrugInteractionDTO', 'EXPORT_DATE', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DrugDrugInteractionDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DrugDrugInteractionDTO', 'REVERSE_FDB_ID', &newmaxval, 'Y', 'Y', 'Y', 'Reverse FDB ID'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DoseRangeDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DoseRangeDTO', 'EXPORT_DATE', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DrugPairDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DrugPairDTO', 'EXPORT_DATE', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DrugPairDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DrugPairDTO', 'REVERSE_FDB_ID', &newmaxval, 'Y', 'Y', 'Y', 'Reverse FDB ID'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'DuplicateTherapyDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
   SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'DuplicateTherapyDTO', 'EXPORT_DATE', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
     FROM DUAL;


  SELECT concept_name, MAX (display_order) + 1 AS maxval
    FROM ctstaging.field_metadata
   WHERE concept_name = 'MonographDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
  SELECT ctstaging.fieldmeta_seq.NEXTVAL, 'MonographDTO', 'EXPORT_DATE', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
     FROM DUAL;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DrugDrugInteractionDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DrugDrugInteractionDTO', 'ACTION_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Action Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DrugDrugInteractionDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DrugDrugInteractionDTO', 'EXPORT_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DrugPairDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DrugPairDTO', 'ACTION_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Action Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DrugPairDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DrugPairDTO', 'EXPORT_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DoseRangeDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DoseRangeDTO', 'ACTION_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Action Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DoseRangeDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DoseRangeDTO', 'EXPORT_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DuplicateTherapyDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DuplicateTherapyDTO', 'ACTION_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Action Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'DuplicateTherapyDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'DuplicateTherapyDTO', 'EXPORT_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'MonographDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'MonographDTO', 'ACTION_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Action Date'
FROM dual;

SELECT concept_name, max(DISPLAY_ORDER)+1 AS maxval FROM  CTSTAGING.FIELD_METADATA
WHERE concept_name= 'MonographDTO'
GROUP BY concept_name;

INSERT INTO ctstaging.field_metadata (field_id, concept_name, field_name, display_order, is_query, is_report, is_detail, display_name)
SELECT ctstaging.fieldmeta_seq.nextval, 'MonographDTO', 'EXPORT_DATE_DISPLAY_STRING', &newmaxval, 'Y', 'Y', 'Y', 'Export Date'
FROM dual;

COMMIT;

SET DEFINE OFF

SELECT 'END : ' || CURRENT_TIMESTAMP AS "FieldMetadata_UPDATE.sql" FROM DUAL;