SET ECHO ON TIME ON
SPOOL pecs5_creation_pkg2.log

REM LOGIN AS CTSTAGING USER.

-- Build PECS 5.0 tables
@PECS5_Create_Tables_Only.sql
-- Build PECS 5.0 indices
@PECS5_Create_Indices_Only.sql
-- Build PECS 5.0 constraints
@PECS5_Create_Constraints_Only.sql
-- Build PECS 5.0 sequences
@PECS5_Create_Sequences.sql
-- Build PECS 5.0 triggers
@PECS5_Create_Triggers_Only.sql
-- Build PECS 5.0 procedures & functions
@PECS5_Create_Procedures_Functions_Only.sql
-- Build PECS 5.0 views
@PECS5_Create_Views.sql

-- Supporting/Lookup Tables and Data Load
@DoseUnitType_DATA.sql
@ClinicalEffect_DATA.sql
@DuplicateAllowance_DATA.sql
@DoseType_DATA.sql
@EasySearchSelectType_DATA.sql
@HalfLifeUnits_DATA.sql
@PeriodOfTime_DATA.sql
@SeverityLevel_DATA.sql
@pecs_status_DATA.sql
@FieldMetadata_DATA.sql
@DoseRoute_DATA.sql

-- PECS 2.2 Lookup Table Data Load
@ForwardReverseMonographs_DATA.sql
@FDB_Comparison_Report_DATA.sql

-- PECS 3.0 Update Dose Range Labels
@Update_Dose_Range_Labels.sql

-- PECS 5.0 Data Load
@FdbDdimXref_DATA.sql
@PecsDdiVa_UPDATE.sql
@FdbDoseRangeXref_DATA.sql
@PecsDoseRangeVa_UPDATE.sql
@FdbDuptherapyXref_DATA.sql
@PecsDuplTherapyVa_UPDATE.sql
@FdbMonographXref_DATA.sql
@PecsMonographVa_UPDATE.sql
@FieldMetadata_UPDATE.sql
@ComparisonReportConcept_DATA.sql
@PecsDdiVersionVa_UPDATE.sql
@PecsDrugPairVersionVa_UPDATE.sql
@PecsDoseRrangeVersionVa_UPDATE.sql
@PecsDuplTherapyVersionVa_UPDATE.sql
@PecsMonographVersionVa_UPDATE.sql
@CustomUpdateFileVa_UPDATE.sql

COMMIT;
SPOOL OFF