package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import java.util.Set;

import javax.annotation.Resource;

import junit.framework.Assert;

import org.junit.Test;
import org.springframework.transaction.annotation.Transactional;

import gov.va.med.pharmacy.pecs.domain.UserComment;
import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.test.AbstractUnitTest;

public class FdbDrugDrugInteractionDAOTest extends AbstractUnitTest {

    @Resource
    private FdbDrugDrugInteractionDAO fdbDrugDrugInteractionDao;
    
    @Test
    @Transactional
    public void testRetrieve() {
        FdbDdiminteraction ddim = fdbDrugDrugInteractionDao.findById(1L);
        ConceptXref xref = ddim.getConceptXref();
        Assert.assertNotNull(ddim.getConceptXref());
        Set<UserComment> userCommentHistory = xref.getUserCommentHistory();
        Assert.assertNotNull(userCommentHistory);
        Assert.assertEquals(6, userCommentHistory.size());
    }
}
