package gov.va.med.pharmacy.pecs.persistence;

import gov.va.med.pharmacy.pecs.service.fdbreports.FdbUpdateReportService;

import javax.annotation.Resource;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.quartz.Job;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;

/**
 * The Class FDBComparisonReportJob.
 */
public class FDBComparisonReportJob implements Job {

    private static final Log LOGGER = LogFactory.getLog(FDBComparisonReportJob.class);

    @Resource
    private FdbUpdateReportService fdbUpdateReportService;

    @Override
    public final void execute(JobExecutionContext context) throws JobExecutionException {
        LOGGER.info("------- Initializing -------------------");

        fdbUpdateReportService.processUpdateFile();

    }

}
