package gov.va.med.pharmacy.pecs.test;

import javax.annotation.Resource;

import org.hibernate.SessionFactory;
import org.junit.BeforeClass;
import org.junit.runner.RunWith;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.transaction.TransactionConfiguration;

/**
 * An Abstract class that supports transactions for unit tests.
 * 
 * @author vhaisaduffg
 * 
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(locations = { "classpath:spring/unitTest-context.xml" })
@TransactionConfiguration(transactionManager = "pecsTxManager")
public class AbstractUnitTest {
    @Resource
    protected SessionFactory pecsSessionFactory;

    @Resource
    protected SessionFactory fdbDifSessionFactory;

    @BeforeClass
    public static void setUpBeforeClass() throws Exception {
        System.setProperty("javax.xml.parsers.SAXParserFactory", "com.sun.org.apache.xerces.internal.jaxp.SAXParserFactoryImpl");
        System.setProperty("javax.xml.parsers.DocumentBuilderFactory",
                "com.sun.org.apache.xerces.internal.jaxp.DocumentBuilderFactoryImpl");

    }

}
