package gov.va.med.pharmacy.pecs.customupdate;

import org.springframework.stereotype.Repository;

import gov.va.med.pharmacy.pecs.persistence.FdbHibernateDAOImpl;

/**
 * A Data Access Object that returns FdbVersion objects.
 * 
 * @author vhaisaduffg
 *
 */
@Repository
public final class FdbVersionDAO extends FdbHibernateDAOImpl<FdbVersion> {

    /**
     * Overriden method to return the FdbVersion class.
     * 
     * @return Class<FdbVersion>
     */
    @Override
    protected Class<FdbVersion> getPersistentClass() {
        return FdbVersion.class;
    }

}
