package gov.va.med.pharmacy.pecs.domain.impl.easy;

/**
 * The Class TherapeuticClass.
 */
public class TherapeuticClass {

    /** The description. */
    private String description;

    /** The id. */
    private long id;

    /**
     * Gets the description.
     * 
     * @return the description
     */
    public String getDescription() {
        return description;
    }

    /**
     * Sets the description.
     * 
     * @param description
     *            the new description
     */
    public void setDescription(String description) {
        this.description = description;
    }

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the new id
     */
    public void setId(long id) {
        this.id = id;
    }

    /*
     * (non-Javadoc)
     * 
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "[therapeutic class = " + description + " (" + id + ")]";
    }

}
