package gov.va.med.pharmacy.pecs.domain.impl.fdb;

/**
 * FdbDoseroute entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public final class FdbDoseroute implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    private String doserouteid;
    private String description1;
    private String description2;
    private String description3;
    private String description4;
    private String description5;
    private String description6;

    /** default constructor. */
    public FdbDoseroute() {
    }

    /**
     * Dose route identifier.
     * 
     * @return Dose route identifier.
     */
    public String getDoserouteid() {
        return this.doserouteid;
    }

    /**
     * Dose route identifier.
     * 
     * @param doserouteid
     *            Dose route identifier.
     */
    public void setDoserouteid(String doserouteid) {
        this.doserouteid = doserouteid;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription1() {
        return this.description1;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description1
     *            Classification multi-language description.
     */
    public void setDescription1(String description1) {
        this.description1 = description1;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription2() {
        return this.description2;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description2
     *            Classification multi-language description.
     */
    public void setDescription2(String description2) {
        this.description2 = description2;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription3() {
        return this.description3;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description3
     *            Classification multi-language description.
     */
    public void setDescription3(String description3) {
        this.description3 = description3;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription4() {
        return this.description4;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description4
     *            Classification multi-language description.
     */
    public void setDescription4(String description4) {
        this.description4 = description4;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription5() {
        return this.description5;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description5
     *            Classification multi-language description.
     */
    public void setDescription5(String description5) {
        this.description5 = description5;
    }

    /**
     * Classification multi-language description.
     * 
     * @return Classification multi-language description.
     */
    public String getDescription6() {
        return this.description6;
    }

    /**
     * Classification multi-language description.
     * 
     * @param description6
     *            Classification multi-language description.
     */
    public void setDescription6(String description6) {
        this.description6 = description6;
    }

    @Override
    public final int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((description1 == null) ? 0 : description1.hashCode());
        result = prime * result + ((description2 == null) ? 0 : description2.hashCode());
        result = prime * result + ((description3 == null) ? 0 : description3.hashCode());
        result = prime * result + ((description4 == null) ? 0 : description4.hashCode());
        result = prime * result + ((description5 == null) ? 0 : description5.hashCode());
        result = prime * result + ((description6 == null) ? 0 : description6.hashCode());
        result = prime * result + ((doserouteid == null) ? 0 : doserouteid.hashCode());
        return result;
    }

    @Override
    public final boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        FdbDoseroute other = (FdbDoseroute) obj;
        if (description1 == null) {
            if (other.description1 != null)
                return false;
        } else if (!description1.equals(other.description1))
            return false;
        if (description2 == null) {
            if (other.description2 != null)
                return false;
        } else if (!description2.equals(other.description2))
            return false;
        if (description3 == null) {
            if (other.description3 != null)
                return false;
        } else if (!description3.equals(other.description3))
            return false;
        if (description4 == null) {
            if (other.description4 != null)
                return false;
        } else if (!description4.equals(other.description4))
            return false;
        if (description5 == null) {
            if (other.description5 != null)
                return false;
        } else if (!description5.equals(other.description5))
            return false;
        if (description6 == null) {
            if (other.description6 != null)
                return false;
        } else if (!description6.equals(other.description6))
            return false;
        if (doserouteid == null) {
            if (other.doserouteid != null)
                return false;
        } else if (!doserouteid.equals(other.doserouteid))
            return false;
        return true;
    }

}
