package gov.va.med.pharmacy.pecs.domain.impl.fdb;

/**
 * FdbDosingId entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public final class FdbDosingId implements java.io.Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 3884340158366668849L;

    /** The Constant HASH_MULTIPLIER. */
    private static final int HASH_MULTIPLIER = 37;

    /** The Constant HASH_RESULT. */
    private static final int HASH_RESULT = 17;

    /** The concepttype. */
    private Long concepttype;

    /** The conceptid. */
    private Long conceptid;

    /** The agelowindays. */
    private Long agelowindays;

    /** The agehighindays. */
    private Long agehighindays;

    /** The doseroute. */
    private FdbDoseroute doseroute;

    /** The dosetype. */
    private FdbDosetype dosetype;

    /** The fdbdx. */
    private String fdbdx;

    /** The hittype. */
    private Long hittype;

    /**
     * Retrieves the Concept Type.
     * 
     * @return Long
     */
    public Long getConcepttype() {
        return this.concepttype;
    }

    /**
     * Sets the Concept Type.
     * 
     * @param concepttype
     *            - Long
     */
    public void setConcepttype(Long concepttype) {
        this.concepttype = concepttype;
    }

    /**
     * Retrieves the Concept Id.
     * 
     * @return Long
     */
    public Long getConceptid() {
        return this.conceptid;
    }

    /**
     * Sets the Concept Id.
     * 
     * @param conceptid
     *            - Long
     */
    public void setConceptid(Long conceptid) {
        this.conceptid = conceptid;
    }

    /**
     * Retrieves the Age Low in Days.
     * 
     * @return Long
     */
    public Long getAgelowindays() {
        return this.agelowindays;
    }

    /**
     * Sets the Age Low in Days.
     * 
     * @param agelowindays
     *            Long
     */
    public void setAgelowindays(Long agelowindays) {
        this.agelowindays = agelowindays;
    }

    /**
     * Retrieves the Age High in days.
     * 
     * @return Long
     */
    public Long getAgehighindays() {
        return this.agehighindays;
    }

    /**
     * Sets the Age High in days.
     * 
     * @param agehighindays
     *            Long
     */
    public void setAgehighindays(Long agehighindays) {
        this.agehighindays = agehighindays;
    }

    /**
     * Retrieves the Dose Route.
     * 
     * @return FdbDoseRoute
     */
    public FdbDoseroute getDoseroute() {
        return this.doseroute;
    }

    /**
     * Sets the Dose Route.
     * 
     * @param doseroute
     *            - FdbDoseRoute
     */
    public void setDoseroute(FdbDoseroute doseroute) {
        this.doseroute = doseroute;
    }

    /**
     * Retrieves the Dose Type.
     * 
     * @return FdbDoseType
     */
    public FdbDosetype getDosetype() {
        return this.dosetype;
    }

    /**
     * Sets the Dose Type.
     * 
     * @param dosetype
     *            - FdbDoseType
     */
    public void setDosetype(FdbDosetype dosetype) {
        this.dosetype = dosetype;
    }

    /**
     * Retrieves the FDBDX.
     * 
     * @return String
     */
    public String getFdbdx() {
        return this.fdbdx;
    }

    /**
     * Sets the FDBDX.
     * 
     * @param fdbdx
     *            - String
     */
    public void setFdbdx(String fdbdx) {
        this.fdbdx = fdbdx;
    }

    /**
     * Retrieves the Hit Type.
     * 
     * @return Long
     */
    public Long getHittype() {
        return this.hittype;
    }

    /**
     * Sets the Hit Type.
     * 
     * @param hittype
     *            - Long
     */
    public void setHittype(Long hittype) {
        this.hittype = hittype;
    }

    /**
     * Equals Method.
     * 
     * @param other
     *            the other
     * @return boolean
     */
    @Override
    public boolean equals(Object other) {
        if ((this == other))
            return true;
        if ((other == null))
            return false;
        if (!(other instanceof FdbDosingId))
            return false;
        FdbDosingId castOther = (FdbDosingId) other;
        boolean equal =
                ((this.getConcepttype() == castOther.getConcepttype()) || (this.getConcepttype() != null
                        && castOther.getConcepttype() != null && this.getConcepttype().equals(castOther.getConcepttype())))
                        && ((this.getConceptid().equals(castOther.getConceptid())) || (this.getConceptid() != null
                                && castOther.getConceptid() != null && this.getConceptid().equals(castOther.getConceptid())))
                        && ((this.getAgelowindays().equals(castOther.getAgelowindays())) || (this.getAgelowindays() != null
                                && castOther.getAgelowindays() != null && this.getAgelowindays().equals(
                                castOther.getAgelowindays())))
                        && ((this.getAgehighindays().equals(castOther.getAgehighindays())) || (this.getAgehighindays() != null
                                && castOther.getAgehighindays() != null && this.getAgehighindays().equals(
                                castOther.getAgehighindays())))
                        && ((this.getDoseroute() == castOther.getDoseroute()) || (this.getDoseroute() != null
                                && castOther.getDoseroute() != null && this.getDoseroute().equals(castOther.getDoseroute())))
                        && ((this.getDosetype() == castOther.getDosetype()) || (this.getDosetype() != null
                                && castOther.getDosetype() != null && this.getDosetype().equals(castOther.getDosetype())))
                        && ((this.getFdbdx() == castOther.getFdbdx()) || (this.getFdbdx() != null
                                && castOther.getFdbdx() != null && this.getFdbdx().equals(castOther.getFdbdx())))
                        && ((this.getHittype().equals(castOther.getHittype())) || (this.getHittype() != null
                                && castOther.getHittype() != null && this.getHittype().equals(castOther.getHittype())));
        return equal;
    }

    /**
     * Method hashCode.
     * 
     * @return int
     * @see java.lang.Object#hashCode()
     * 
     */
    @Override
    public int hashCode() {
        int result = HASH_RESULT;

        result = HASH_MULTIPLIER * result + (getConcepttype() == null ? 0 : this.getConcepttype().hashCode());
        result = HASH_MULTIPLIER * result + (getConceptid() == null ? 0 : this.getConceptid().hashCode());
        result = HASH_MULTIPLIER * result + (getAgelowindays() == null ? 0 : this.getAgelowindays().hashCode());
        result = HASH_MULTIPLIER * result + (getAgehighindays() == null ? 0 : this.getAgehighindays().hashCode());
        result = HASH_MULTIPLIER * result + (getDoseroute() == null ? 0 : this.getDoseroute().hashCode());
        result = HASH_MULTIPLIER * result + (getDosetype() == null ? 0 : this.getDosetype().hashCode());
        result = HASH_MULTIPLIER * result + (getFdbdx() == null ? 0 : this.getFdbdx().hashCode());
        result = HASH_MULTIPLIER * result + (getHittype() == null ? 0 : this.getHittype().hashCode());
        return result;
    }

    /**
     * 
     * String representation of the class.
     * 
     * @return String
     */
    @Override
    public String toString() {
        return "FdbDosingId [getConcepttype()=" + getConcepttype() + ", getConceptid()=" + getConceptid()
                + ", getAgelowindays()=" + getAgelowindays() + ", getAgehighindays()=" + getAgehighindays()
                + ", getDoseroute()=" + getDoseroute() + ", getDosetype()=" + getDosetype() + ", getFdbdx()=" + getFdbdx()
                + ", getHittype()=" + getHittype() + "]";
    }

}
