package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import org.springframework.stereotype.Repository;

import gov.va.med.pharmacy.pecs.persistence.FdbHibernateDAOImpl;

/**
 * Data Access Object to return FdbDdiminteraction objects.
 * 
 * @author vhaisaduffg
 *
 */
@Repository
public final class FdbDrugDrugInteractionDAO extends FdbHibernateDAOImpl<FdbDdiminteraction> {

    /**
     * Overriden method to return the FdbDdiminteraction class.
     * 
     * @return Class<FdbDdiminteraction>
     */
    @Override
    protected Class<FdbDdiminteraction> getPersistentClass() {
        return FdbDdiminteraction.class;
    }
}
