package gov.va.med.pharmacy.pecs.domain.impl.fdb;

import gov.va.med.pharmacy.pecs.domain.impl.va.ConceptXref;
import gov.va.med.pharmacy.pecs.domain.impl.va.DuplicateTherapyXref;

/**
 * FdbDuplicatetherapy entity.
 * 
 */
public final class FdbDuplicatetherapy extends AbstractCommentable implements java.io.Serializable {

    /** The Constant serialVersionUID. */
    private static final long serialVersionUID = 8053098664979478073L;

    /** The dtcid. */
    private Long dtcid;

    /** The description1. */
    private String description1;

    /** The description2. */
    private String description2;

    /** The description3. */
    private String description3;

    /** The description4. */
    private String description4;

    /** The description5. */
    private String description5;

    /** The description6. */
    private String description6;

    /** The duplicationallowance. */
    private Long duplicationallowance;

    /**
     * Retrieves DTCID.
     * 
     * @return Long
     */
    public Long getDtcid() {
        return this.dtcid;
    }

    /**
     * Sets the DTCID.
     * 
     * @param dtcid
     *            of type Long
     */
    public void setDtcid(Long dtcid) {
        this.dtcid = dtcid;
    }

    /**
     * Retrieves Description1.
     * 
     * @return String - description1
     */
    public String getDescription1() {
        return this.description1;
    }

    /**
     * Sets the Description1.
     * 
     * @param description1
     *            of type String
     */
    public void setDescription1(String description1) {
        this.description1 = description1;
    }

    /**
     * Retrieves Description2.
     * 
     * @return String - description2
     */
    public String getDescription2() {
        return this.description2;
    }

    /**
     * Sets Description2.
     * 
     * @param description2
     *            of type String
     */
    public void setDescription2(String description2) {
        this.description2 = description2;
    }

    /**
     * Retrieves Description3.
     * 
     * @return String - description
     */
    public String getDescription3() {
        return this.description3;
    }

    /**
     * Sets Description3.
     * 
     * @param description3
     *            of type String
     */
    public void setDescription3(String description3) {
        this.description3 = description3;
    }

    /**
     * Retrieves Description4.
     * 
     * @return String - description3
     */
    public String getDescription4() {
        return this.description4;
    }

    /**
     * Sets Description4.
     * 
     * @param description4
     *            of type String
     */
    public void setDescription4(String description4) {
        this.description4 = description4;
    }

    /**
     * Retrieves Description5.
     * 
     * @return String - description5
     */
    public String getDescription5() {
        return this.description5;
    }

    /**
     * Sets Description5.
     * 
     * @param description5
     *            of type String
     */
    public void setDescription5(String description5) {
        this.description5 = description5;
    }

    /**
     * Retrieves Description6.
     * 
     * @return String - description6
     */
    public String getDescription6() {
        return this.description6;
    }

    /**
     * Sets Description6.
     * 
     * @param description6
     *            of type String
     */
    public void setDescription6(String description6) {
        this.description6 = description6;
    }

    /**
     * Retrieves DuplicationAllowance.
     * 
     * @return Long - duplicateallowance
     */
    public Long getDuplicationallowance() {
        return this.duplicationallowance;
    }

    /**
     * Sets the DuplicationAllowance.
     * 
     * @param duplicationallowance
     *            of type Long
     */
    public void setDuplicationallowance(Long duplicationallowance) {
        this.duplicationallowance = duplicationallowance;
    }

    /**
     * Returns a textual representation of the class.
     * 
     * @return String
     * @see java.lang.Object#toString()
     */
    @Override
    public String toString() {
        return "FdbDuplicatetherapy [getDtcid()=" + getDtcid() + ", getDescription1()=" + getDescription1()
                + ", getDescription2()=" + getDescription2() + ", getDescription3()=" + getDescription3()
                + ", getDescription4()=" + getDescription4() + ", getDescription5()=" + getDescription5()
                + ", getDescription6()=" + getDescription6() + ", getDuplicationallowance()=" + getDuplicationallowance()
                + ", toString()=" + super.toString() + "]";
    }

    @Override
    protected ConceptXref createConceptXref() {
        return new DuplicateTherapyXref();

    }

}
