package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.util.Date;

/**
 * CtUsersVa entity.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class CtUsersVa implements java.io.Serializable {

    private static final long serialVersionUID = 8675471021497248341L;

    /** The ct users va id. */
    private long ctUsersVaId;

    /** The username. */
    private String username;

    /** The created date. */
    private Date createdDate;

    /** The modified date. */
    private Date modifiedDate;

    /** The user enabled. */
    private Boolean userEnabled;

    /**
     * Gets the ct users va id.
     * 
     * @return the ct users va id
     */
    public long getCtUsersVaId() {
        return this.ctUsersVaId;
    }

    /**
     * Sets the ct users va id.
     * 
     * @param ctUsersVaId
     *            the new ct users va id
     */
    public void setCtUsersVaId(long ctUsersVaId) {
        this.ctUsersVaId = ctUsersVaId;
    }

    /**
     * Gets the username.
     * 
     * @return the username
     */
    public String getUsername() {
        return this.username;
    }

    /**
     * Sets the username.
     * 
     * @param username
     *            the new username
     */
    public void setUsername(String username) {
        this.username = username;
    }

    /**
     * Gets the created date.
     * 
     * @return the created date
     */
    public Date getCreatedDate() {
        return this.createdDate;
    }

    /**
     * Sets the created date.
     * 
     * @param createdDate
     *            the new created date
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     * Gets the modified date.
     * 
     * @return the modified date
     */
    public Date getModifiedDate() {
        return this.modifiedDate;
    }

    /**
     * Sets the modified date.
     * 
     * @param modifiedDate
     *            the new modified date
     */
    public void setModifiedDate(Date modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    /**
     * Gets the user enabled.
     * 
     * @return the user enabled
     */
    public Boolean getUserEnabled() {
        return this.userEnabled;
    }

    /**
     * Sets the user enabled.
     * 
     * @param userEnabled
     *            the new user enabled
     */
    public void setUserEnabled(Boolean userEnabled) {
        this.userEnabled = userEnabled;
    }

    /** default constructor. */
    public CtUsersVa() {
    }

    /**
     * CtUsersVa.
     * 
     * @param userName
     *            - String
     * @param userEnabled
     *            - Boolean
     */
    public CtUsersVa(String userName, Boolean userEnabled) {
        this.username = userName;
        this.userEnabled = userEnabled;
    }

    /**
     * CtUsersVa full Constructor.
     * 
     * @param username
     *            - String
     * @param createdDate
     *            - Date
     * @param modifiedDate
     *            - Date
     * @param userEnabled
     *            - Boolean
     */
    public CtUsersVa(String username, Date createdDate, Date modifiedDate, Boolean userEnabled) {
        this.username = username;
        this.createdDate = createdDate;
        this.modifiedDate = modifiedDate;
        this.userEnabled = userEnabled;

    }

}
