package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.DecimalMeasureableUnit;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseUnitType;

/**
 * The Class DecimalMeasureableUnitImpl.
 */
public class DecimalMeasureableUnitImpl implements DecimalMeasureableUnit {

    /** The measurement. */
    private Float measurement;
    
    /** The unit of measure. */
    private DoseUnitType unitOfMeasure;

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.domain.DecimalMeasureableUnit#getMeasurement()
     */
    @Override
    public Float getMeasurement() {
        return measurement;
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.domain.DecimalMeasureableUnit#setMeasurement(java.lang.Float)
     */
    @Override
    public void setMeasurement(Float measurement) {
        this.measurement = measurement;
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.domain.DecimalMeasureableUnit#getUnitOfMeasure()
     */
    @Override
    public DoseUnitType getUnitOfMeasure() {
        return unitOfMeasure;
    }

    /* (non-Javadoc)
     * @see gov.va.med.pharmacy.pecs.domain.DecimalMeasureableUnit#setUnitOfMeasure
     * (gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseUnitType)
     */
    @Override
    public void setUnitOfMeasure(DoseUnitType unitOfMeasure) {
        this.unitOfMeasure = unitOfMeasure;
    }
}
