package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * The Class DoseRangeExportManager.
 */
public final class DoseRangeExportManager implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 1919543453208186480L;

    /** The id. */
    private Long id;

    /** The Dose range va. */
    private DoseRangeVA doseRangeVa;

    /** The exportable version. */
    private DoseRangeVersionVa exportableVersion;

    /** The exported version. */
    private DoseRangeVersionVa exportedVersion;

    /** The current version. */
    private DoseRangeVersionVa currentVersion;

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the doseRangeVa.
     * 
     * @return the doseRangeVa
     */
    public DoseRangeVA getDoseRangeVa() {
        return doseRangeVa;
    }

    /**
     * Sets the doseRangeVa.
     * 
     * @param doseRangeVa
     *            the doseRangeVa to set
     */
    public void setDoseRangeVa(DoseRangeVA doseRangeVa) {
        this.doseRangeVa = doseRangeVa;
    }

    /**
     * Gets the exportableVersion.
     * 
     * @return the exportableVersion
     */
    public DoseRangeVersionVa getExportableVersion() {
        return exportableVersion;
    }

    /**
     * Sets the exportableVersion.
     * 
     * @param exportableVersion
     *            the exportableVersion to set
     */
    public void setExportableVersion(DoseRangeVersionVa exportableVersion) {
        this.exportableVersion = exportableVersion;
    }

    /**
     * Gets the exportedVersion.
     * 
     * @return the exportedVersion
     */
    public DoseRangeVersionVa getExportedVersion() {
        return exportedVersion;
    }

    /**
     * Sets the exportedVersion.
     * 
     * @param exportedVersion
     *            the exportedVersion to set
     */
    public void setExportedVersion(DoseRangeVersionVa exportedVersion) {
        this.exportedVersion = exportedVersion;
    }

    /**
     * Gets the currentVersion.
     * 
     * @return the currentVersion
     */
    public DoseRangeVersionVa getCurrentVersion() {
        return currentVersion;
    }

    /**
     * Sets the currentVersion.
     * 
     * @param currentVersion
     *            the currentVersion to set
     */
    public void setCurrentVersion(DoseRangeVersionVa currentVersion) {
        this.currentVersion = currentVersion;
    }
}
