/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * The Class DrugDrugInteractionExportManager.
 * 
 * @author VHAISACARUSR
 */
public final class DrugDrugInteractionExportManager implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = 917488001605411536L;

    /** The id. */
    private Long id;

    /** The drug drug interaction va. */
    private DrugDrugInteractionVa drugDrugInteractionVa;

    /** The exportable version. */
    private DrugDrugInteractionVersionVa exportableVersion;

    /** The exported version. */
    private DrugDrugInteractionVersionVa exportedVersion;

    /** The current version. */
    private DrugDrugInteractionVersionVa currentVersion;

    /**
     * Gets the exportableVersion.
     * 
     * @return the exportableVersion
     */
    public DrugDrugInteractionVersionVa getExportableVersion() {
        return exportableVersion;
    }

    /**
     * Sets the exportableVersion.
     * 
     * @param exportableVersion
     *            the exportableVersion to set
     */
    public void setExportableVersion(DrugDrugInteractionVersionVa exportableVersion) {
        this.exportableVersion = exportableVersion;
    }

    /**
     * Gets the exportedVersion.
     * 
     * @return the exportedVersion
     */
    public DrugDrugInteractionVersionVa getExportedVersion() {
        return exportedVersion;
    }

    /**
     * Sets the exportedVersion.
     * 
     * @param exportedVersion
     *            the exportedVersion to set
     */
    public void setExportedVersion(DrugDrugInteractionVersionVa exportedVersion) {
        this.exportedVersion = exportedVersion;
    }

    /**
     * Gets the currentVersion.
     * 
     * @return the currentVersion
     */
    public DrugDrugInteractionVersionVa getCurrentVersion() {
        return currentVersion;
    }

    /**
     * Sets the currentVersion.
     * 
     * @param currentVersion
     *            the currentVersion to set
     */
    public void setCurrentVersion(DrugDrugInteractionVersionVa currentVersion) {
        this.currentVersion = currentVersion;
    }

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the drugDrugInteractionVa.
     * 
     * @return the drugDrugInteractionVa
     */
    public DrugDrugInteractionVa getDrugDrugInteractionVa() {
        return drugDrugInteractionVa;
    }

    /**
     * Sets the drugDrugInteractionVa.
     * 
     * @param drugDrugInteractionVa
     *            the drugDrugInteractionVa to set
     */
    public void setDrugDrugInteractionVa(DrugDrugInteractionVa drugDrugInteractionVa) {
        this.drugDrugInteractionVa = drugDrugInteractionVa;
    }
}
