/**
 * 
 */
package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.io.Serializable;

/**
 * The Class DrugPairExportManager.
 */
public final class DrugPairExportManager implements Serializable {

    /**
     * 
     */
    private static final long serialVersionUID = -8750079948715982812L;

    /** The id. */
    private Long id;

    /** The drug pair va. */
    private DrugPairVa drugPairVa;

    /** The exportable version. */
    private DrugPairVersionVa exportableVersion;

    /** The exported version. */
    private DrugPairVersionVa exportedVersion;

    /** The current version. */
    private DrugPairVersionVa currentVersion;

    /**
     * Gets the id.
     * 
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * Sets the id.
     * 
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * Gets the drugPairVa.
     * 
     * @return the drugPairVa
     */
    public DrugPairVa getDrugPairVa() {
        return drugPairVa;
    }

    /**
     * Sets the drugPairVa.
     * 
     * @param drugPairVa
     *            the drugPairVa to set
     */
    public void setDrugPairVa(DrugPairVa drugPairVa) {
        this.drugPairVa = drugPairVa;
    }

    /**
     * Gets the exportableVersion.
     * 
     * @return the exportableVersion
     */
    public DrugPairVersionVa getExportableVersion() {
        return exportableVersion;
    }

    /**
     * Sets the exportableVersion.
     * 
     * @param exportableVersion
     *            the exportableVersion to set
     */
    public void setExportableVersion(DrugPairVersionVa exportableVersion) {
        this.exportableVersion = exportableVersion;
    }

    /**
     * Gets the exportedVersion.
     * 
     * @return the exportedVersion
     */
    public DrugPairVersionVa getExportedVersion() {
        return exportedVersion;
    }

    /**
     * Sets the exportedVersion.
     * 
     * @param exportedVersion
     *            the exportedVersion to set
     */
    public void setExportedVersion(DrugPairVersionVa exportedVersion) {
        this.exportedVersion = exportedVersion;
    }

    /**
     * Gets the currentVersion.
     * 
     * @return the currentVersion
     */
    public DrugPairVersionVa getCurrentVersion() {
        return currentVersion;
    }

    /**
     * Sets the currentVersion.
     * 
     * @param currentVersion
     *            the currentVersion to set
     */
    public void setCurrentVersion(DrugPairVersionVa currentVersion) {
        this.currentVersion = currentVersion;
    }

}
