package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl;

import java.util.List;

import org.hibernate.Query;
import org.springframework.stereotype.Repository;
/**DrugPairVersionVaDAO.
 * @author DOMAINOVERSD
 */
@Repository
public class DrugPairVersionVaDAO extends HibernateDAOImpl<DrugPairVersionVa> {

    private static final String NULL_DRUG_PAIR_REPORT_QUERY = "nullDrugPairsReportQuery";
    
    /**Get PersistentClass.
     * @return DrugPairVersionVa.class
     */
    @Override
    protected Class<DrugPairVersionVa> getPersistentClass() {
        return DrugPairVersionVa.class;
    }
    /**Getter Null Drug Pairs Customization Report Data.
     * 
     * @return query.list
     */
    @SuppressWarnings("unchecked")
    public List<Object[]> getNullDrugDrugPairsCustomizationReportData() {
        Query query = getSession().getNamedQuery(NULL_DRUG_PAIR_REPORT_QUERY);
        return query.list();
    }

}
