package gov.va.med.pharmacy.pecs.domain.impl.va;

import gov.va.med.pharmacy.pecs.domain.IntegerMeasureableUnit;
import gov.va.med.pharmacy.pecs.domain.impl.lookup.DoseUnitType;

/**
 * The Class IntegerMeasureableUnitImpl.
 */
public class IntegerMeasureableUnitImpl implements IntegerMeasureableUnit {

    /** The measurement. */
    private Integer measurement;

    /** The unit of measure. */
    private DoseUnitType unitOfMeasure;

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.IntegerMeasureableUnit#getMeasurement()
     */
    @Override
    public Integer getMeasurement() {
        return measurement;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.IntegerMeasureableUnit#setMeasurement(java.lang.Integer)
     */
    @Override
    public void setMeasurement(Integer measurement) {
        this.measurement = measurement;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.IntegerMeasureableUnit#getUnitOfMeasure()
     */
    @Override
    public DoseUnitType getUnitOfMeasure() {
        return unitOfMeasure;
    }

    /*
     * (non-Javadoc)
     * 
     * @see gov.va.med.pharmacy.pecs.domain.IntegerMeasureableUnit#setUnitOfMeasure(gov.va.med.pharmacy.pecs.domain.impl.lookup.
     * DoseUnitType)
     */
    @Override
    public void setUnitOfMeasure(DoseUnitType unitOfMeasure) {
        this.unitOfMeasure = unitOfMeasure;
    }
}
