package gov.va.med.pharmacy.pecs.domain.impl.va;

import java.util.Date;

/**
 * SavedQueryVa entity.
 * 
 * @author MyEclipse Persistence Tools
 */
public class SavedQueryVa implements java.io.Serializable {

    private static final long serialVersionUID = -4832801156355999320L;

    // Fields
    /** The saved query va id. */
    private long savedQueryVaId;

    /** The saved query name. */
    private String savedQueryName;

    /** The created date. */
    private Date createdDate;

    /** The created by. */
    private String createdBy;

    /** The query table name. */
    private String queryTableName;

    /** The query sql. */
    private String querySql;

    /** The query is enabled. */
    private Boolean queryIsEnabled;

    /** default constructor. */
    public SavedQueryVa() {
    }

    /**
     * SavedQueryVa.
     * 
     * @param createdDate
     *            - Date
     * @param createdBy
     *            - String
     * @param queryTableName
     *            - String
     * @param queryIsEnabled
     *            - Boolean
     */
    public SavedQueryVa(Date createdDate, String createdBy, String queryTableName, Boolean queryIsEnabled) {
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.queryTableName = queryTableName;
        this.queryIsEnabled = queryIsEnabled;

    }

    /**
     * Saved QueryVa.
     * 
     * @param savedQueryName
     *            - String
     * @param createdDate
     *            - Date
     * @param createdBy
     *            - String
     * @param queryTableName
     *            - String
     * @param querySql
     *            - String
     * @param queryIsEnabled
     *            - Boolean
     */
    public SavedQueryVa(
            String savedQueryName, Date createdDate, String createdBy, String queryTableName, String querySql,
            Boolean queryIsEnabled) {

        this.savedQueryName = savedQueryName;
        this.createdDate = createdDate;
        this.createdBy = createdBy;
        this.queryTableName = queryTableName;
        this.querySql = querySql;
        this.queryIsEnabled = queryIsEnabled;
    }

    /**
     * Gets the saved query va id.
     * 
     * @return the saved query va id
     */
    public long getSavedQueryVaId() {
        return this.savedQueryVaId;
    }

    /**
     * Sets the saved query va id.
     * 
     * @param savedQueryVaId
     *            the new saved query va id
     */
    public void setSavedQueryVaId(long savedQueryVaId) {
        this.savedQueryVaId = savedQueryVaId;
    }

    /**
     * Gets the saved query name.
     * 
     * @return the saved query name
     */
    public String getSavedQueryName() {
        return this.savedQueryName;
    }

    /**
     * Sets the saved query name.
     * 
     * @param savedQueryName
     *            the new saved query name
     */
    public void setSavedQueryName(String savedQueryName) {
        this.savedQueryName = savedQueryName;
    }

    /**
     * Gets the created date.
     * 
     * @return the created date
     */
    public Date getCreatedDate() {
        return this.createdDate;
    }

    /**
     * Sets the created date.
     * 
     * @param createdDate
     *            the new created date
     */
    public void setCreatedDate(Date createdDate) {
        this.createdDate = createdDate;
    }

    /**
     * Gets the created by.
     * 
     * @return the created by
     */
    public String getCreatedBy() {
        return this.createdBy;
    }

    /**
     * Sets the created by.
     * 
     * @param createdBy
     *            the new created by
     */
    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    /**
     * Gets the query table name.
     * 
     * @return the query table name
     */
    public String getQueryTableName() {
        return this.queryTableName;
    }

    /**
     * Sets the query table name.
     * 
     * @param queryTableName
     *            the new query table name
     */
    public void setQueryTableName(String queryTableName) {
        this.queryTableName = queryTableName;
    }

    /**
     * Gets the query sql.
     * 
     * @return the query sql
     */
    public String getQuerySql() {
        return this.querySql;
    }

    /**
     * Sets the query sql.
     * 
     * @param querySql
     *            the new query sql
     */
    public void setQuerySql(String querySql) {
        this.querySql = querySql;
    }

    /**
     * Gets the query is enabled.
     * 
     * @return the query is enabled
     */
    public Boolean getQueryIsEnabled() {
        return this.queryIsEnabled;
    }

    /**
     * Sets the query is enabled.
     * 
     * @param queryIsEnabled
     *            the new query is enabled
     */
    public void setQueryIsEnabled(Boolean queryIsEnabled) {
        this.queryIsEnabled = queryIsEnabled;
    }

}
