package gov.va.med.pharmacy.pecs.exception;

/**
 * Customization Service Exception Entity.
 * 
 */
public class CustomizationServiceException extends RuntimeException {

    /**
     * 
     */
    private static final long serialVersionUID = 7754475967590188843L;

    /**
     * Customization Service Exception Constructor.
     * 
     */
    public CustomizationServiceException() {
        super();
    }

    /**
     * Customization Service Exception Constructor.
     * 
     * @param arg0
     *            - String
     * @param arg1
     *            - String
     */
    public CustomizationServiceException(String arg0, Throwable arg1) {
        super(arg0, arg1);
    }

    /**
     * Customization Service Exception.
     * 
     * @param arg0
     *            - string
     */
    public CustomizationServiceException(String arg0) {
        super(arg0);
    }

    /**
     * Customization Service Exception.
     * 
     * @param t
     *            - throwable
     */
    public CustomizationServiceException(Throwable t) {
        super(t);
    }
}
