package gov.va.med.pharmacy.pecs.fdbreports;

import java.io.Serializable;

/**
 * FdbTableColumn Class Entity Implements Serializable.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class FdbTableColumn implements Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = -7331455248532538029L;
    private String name;
    private boolean key;
    private FdbColumnType dataType;

    /**
     * Get Name.
     * 
     * @return name
     */
    public String getName() {
        return name;
    }

    /**
     * Set Name.
     * 
     * @param name
     *            String
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * Boolean Get Key.
     * 
     * @return key
     */
    public boolean isKey() {
        return key;
    }

    /**
     * Boolean Set Key.
     * 
     * @param key
     *            boolean
     */
    public void setKey(boolean key) {
        this.key = key;
    }

    /**
     * Set Data Type.
     * 
     * @param dataType
     *            - String
     */
    public void setDataType(FdbColumnType dataType) {
        this.dataType = dataType;
    }

    /**
     * Get Data Type.
     * 
     * @return dataType
     */
    public FdbColumnType getDataType() {
        return dataType;
    }

}
