package gov.va.med.pharmacy.pecs.fdbreports;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * FdbUpdateMetadata implements Serializable.
 * 
 * @author DOMAINOVERSD
 * 
 */
public class FdbUpdateMetadata implements Serializable {

    private static final long serialVersionUID = -4816578144400179587L;
    private final List<FdbTableMetadata> tables = new ArrayList<FdbTableMetadata>();

    /**
     * Add Table.
     * 
     * @param table
     *            FdbTableMetadata
     */
    public void addTable(FdbTableMetadata table) {
        tables.add(table);
    }

    /**
     * Get Tables List of FDBTableMetadata.
     * 
     * @return tables
     */
    public List<FdbTableMetadata> getTables() {
        return tables;
    }
}
