package gov.va.med.pharmacy.pecs.persistence.fdb;

import org.springframework.stereotype.Repository;

import gov.va.med.pharmacy.pecs.domain.impl.fdb.RoutedGenericFdb;
import gov.va.med.pharmacy.pecs.persistence.HibernateDAOImpl;

/**
 * A DAO implementation to act on RoutedGenericFdb objects.
 * 
 * @author vhaisaduffg
 */
@Repository
public class RoutedGenericFdbDao extends HibernateDAOImpl<RoutedGenericFdb> {

    /**
     * Returns the RoutedGenericFdb.class.
     * 
     * @return Class
     */
    @Override
    protected final Class<RoutedGenericFdb> getPersistentClass() {
        return RoutedGenericFdb.class;
    }

}
