package gov.va.med.pharmacy.pecs.query;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * Concept Query Factory Interface.
 * 
 * @author DOMAINOVERSD
 * 
 */
public interface ConceptQueryFactory {
    /**
     * CreateQuery.
     * 
     * @param meta
     *            ConceptMetaData
     * @param text
     *            - String
     * @return n/a
     */
    ConceptQuery createQuery(ConceptMetadata meta, String text);
}
