package gov.va.med.pharmacy.pecs.rules;

import gov.va.med.pharmacy.pecs.metadata.ConceptMetadata;

/**
 * Action Trigger implements BusinessRuleTrigger.
 * 
 * @author DOMAINOVERSD
 * 
 */
public final class ActionTrigger implements BusinessRuleTrigger {
    private final String triggerAction;

    /**
     * Actiontrigger.
     * 
     * @param action
     *            - String
     */
    public ActionTrigger(String action) {
        triggerAction = action;
    }

    @Override
    public boolean shouldFire(Object crt, Object prev, String action) {
        return triggerAction.equals(action);
    }

    @Override
    public void setMetadata(ConceptMetadata meta) {
    }

}
