package gov.va.med.pharmacy.pecs.util.historyofchange;

/**
 * The Class DrugDrugInteractionReportOrder.
 */
public final class DrugDrugInteractionReportOrder {

    /**
     * Instantiates a new ddi report order.
     */
    private DrugDrugInteractionReportOrder() {
    }

    /** The Constant DESCRIPTION1_REPORT_ORDER. */
    public static final int DESCRIPTION1_REPORT_ORDER = 2;

    /** The Constant INTERACTIONID_REPORT_ORDER. */
    public static final int INTERACTIONID_REPORT_ORDER = 3;

    /** The Constant MONOGRAPHID_REPORT_ORDER. */
    public static final int MONOGRAPHID_REPORT_ORDER = 4;

    /** The Constant SEVERITYLEVELCODE_REPORT_ORDER. */
    public static final int SEVERITYLEVELCODE_REPORT_ORDER = 5;

    /** The Constant CLINICALEFFECTCODE1_REPORT_ORDER. */
    public static final int CLINICALEFFECTCODE1_REPORT_ORDER = 6;

    /** The Constant CLINICALEFFECTCODE2_REPORT_ORDER. */
    public static final int CLINICALEFFECTCODE2_REPORT_ORDER = 7;

    /** The Constant GROUP_DISCUSSION_REPORT_ORDER. */
    public static final int GROUP_DISCUSSION_REPORT_ORDER = 8;

    /** The Constant FDB_ID_REPORT_ORDER. */
    public static final int FDB_ID_REPORT_ORDER = 9;

    /** The Constant EDI_NUMBER_REPORT_ORDER. */
    public static final int EDI_NUMBER_REPORT_ORDER = 10;

    /** The Constant EDI_TEXT_REPORT_ORDER. */
    public static final int EDI_TEXT_REPORT_ORDER = 11;

    /** The Constant MICROMEDEX_SEVERITY_REPORT_ORDER. */
    public static final int MICROMEDEX_SEVERITY_REPORT_ORDER = 12;

    /** The Constant MICROMEDEX_ONSET_REPORT_ORDER. */
    public static final int MICROMEDEX_ONSET_REPORT_ORDER = 13;

    /** The Constant MICROMEDEX_SUBSTANTIATION_REPORT_ORDER. */
    public static final int MICROMEDEX_SUBSTANTIATION_REPORT_ORDER = 14;

    /** The Constant MICROMEDEX_TEXT_REPORT_ORDER. */
    public static final int MICROMEDEX_TEXT_REPORT_ORDER = 15;

    /** The Constant DI_FACTS_NUMBER_REPORT_ORDER. */
    public static final int DI_FACTS_NUMBER_REPORT_ORDER = 16;

    /** The Constant DI_FACTS_ONSET_REPORT_ORDER. */
    public static final int DI_FACTS_ONSET_REPORT_ORDER = 17;

    /** The Constant DI_FACTS_SEVERITY_REPORT_ORDER. */
    public static final int DI_FACTS_SEVERITY_REPORT_ORDER = 18;

    /** The Constant DI_FACTS_DOCUMENTATION_REPORT_ORDER. */
    public static final int DI_FACTS_DOCUMENTATION_REPORT_ORDER = 19;

    /** The Constant DI_FACTS_TEXT_REPORT_ORDER. */
    public static final int DI_FACTS_TEXT_REPORT_ORDER = 20;

    /** The Constant MEDLINE_HITS_REPORT_ORDER. */
    public static final int MEDLINE_HITS_REPORT_ORDER = 21;

    /** The Constant MEDLINE_TEXT_REPORT_ORDER. */
    public static final int MEDLINE_TEXT_REPORT_ORDER = 22;

    /** The Constant PACKAGE_INSERT_REPORT_ORDER. */
    public static final int PACKAGE_INSERT_REPORT_ORDER = 23;

    /** The Constant PACKAGE_INSERT_TEXT_REPORT_ORDER. */
    public static final int PACKAGE_INSERT_TEXT_REPORT_ORDER = 24;

    /** The Constant PBM_CRITERIA_REPORT_ORDER. */
    public static final int PBM_CRITERIA_REPORT_ORDER = 25;

    /** The Constant PBM_CRITERIA_TEXT_REPORT_ORDER. */
    public static final int PBM_CRITERIA_TEXT_REPORT_ORDER = 26;

    /** The Constant AIDS_GUIDELINES_REPORT_ORDER. */
    public static final int AIDS_GUIDELINES_REPORT_ORDER = 27;

    /** The Constant AIDS_GUIDELINES_TEXT_REPORT_ORDER. */
    public static final int AIDS_GUIDELINES_TEXT_REPORT_ORDER = 28;

    /** The Constant INTERACTION_SOURCE_REPORT_ORDER. */
    public static final int INTERACTION_SOURCE_REPORT_ORDER = 29;

    /** The Constant INTERACTION_TYPE_REPORT_ORDER. */
    public static final int INTERACTION_TYPE_REPORT_ORDER = 30;

    /** The Constant LEVEL_OF_EVIDENCE_REPORT_ORDER. */
    public static final int LEVEL_OF_EVIDENCE_REPORT_ORDER = 31;

}
