package gov.va.med.pharmacy.pecs.util.historyofchange;

/**
 * The Class ProfessionalMonographReportOrder.
 */
public final class ProfessionalMonographReportOrder {

    /**
     * Instantiates a new professional monograph report order.
     */
    private ProfessionalMonographReportOrder() {

    }

    /** The Constant VA_MONOGRPAH_ID_REPORT_ORDER. */
    public static final int VA_MONOGRPAH_ID_REPORT_ORDER = 2;

    /** The Constant FDB_ID_REPORT_ORDER. */
    public static final int FDB_ID_REPORT_ORDER = 3;

    /** The Constant TITLE_REPORT_ORDER. */
    public static final int TITLE_REPORT_ORDER = 4;

    /** The Constant MECHANISM_OF_ACTION_REPORT_ORDER. */
    public static final int MECHANISM_OF_ACTION_REPORT_ORDER = 5;

    /** The Constant ACTION_REPORT_ORDER. */
    public static final int DISCUSSION_REPORT_ORDER = 6;

    /** The Constant CLINICAL_EFFECTS_REPORT_ORDER. */
    public static final int CLINICAL_EFFECTS_REPORT_ORDER = 7;

    /** The Constant SEVERITY_LEVEL_REPORT_ORDER. */
    public static final int SEVERITY_LEVEL_REPORT_ORDER = 8;

    /** The Constant PATIENT_MANAGEMENT_REPORT_ORDER. */
    public static final int PATIENT_MANAGEMENT_REPORT_ORDER = 9;

    /** The Constant PREDISPOSING_FACTORS_REPORT_ORDER. */
    public static final int PREDISPOSING_FACTORS_REPORT_ORDER = 10;

    /** The Constant REFERENCE_REPORT_ORDER. */
    public static final int REFERENCE_REPORT_ORDER = 11;

    /** The Constant DISCLAIMER_REPORT_ORDER. */
    public static final int DISCLAIMER_REPORT_ORDER = 12;

    /** The Constant REFERENCE_TEXT_HISTORY_REPORT_ORDER. */
    public static final int REFERENCE_TEXT_HISTORY_REPORT_ORDER = 13;

}
