package gov.va.med.pharmacy.pecs.service.contact;

import gov.va.med.pharmacy.pecs.persistence.contact.ContactUsDTO;

/**
 * A service for updating the Contact Us page content.
 * 
 * @author VHAISACARUSR
 * 
 */
public interface ContactUsService {

    /**
     * finds the page content.
     * 
     * @return a string
     */
    ContactUsDTO findContactContent();

    /**
     * Saves the new content.
     * 
     * @param content
     *            the content to be saved
     */
    void saveContactContent(ContactUsDTO content);

}
