package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

import gov.va.med.pharmacy.pecs.dto.PecsDTO;
import gov.va.med.pharmacy.pecs.fdbreports.FdbUpdateRecord;
import gov.va.med.pharmacy.pecs.service.DrugPairService;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

/**
 * The Class RoutedGenericUpdateDataAugmentation.
 */
public final class RoutedGenericUpdateDataAugmentation extends FdbUpdateDataAugmentation {

    /** The Constant LOGGER. */
    private static final Log LOGGER = LogFactory.getLog(RoutedGenericUpdateDataAugmentation.class);

    /** The service. */
    private final DrugPairService service;

    /**
     * Instantiates a new routed generic update data augmentation.
     * 
     * @param service
     *            the service
     */
    public RoutedGenericUpdateDataAugmentation(DrugPairService service) {
        super(service.getDao(false));
        this.service = service;
    }

    /*
     * (non-Javadoc)
     * 
     * @see
     * gov.va.med.pharmacy.pecs.service.fdbreports.impl.FdbUpdateDataAugmentation#findCorrespondingVaObjects(gov.va.med.pharmacy
     * .pecs.fdbreports.FdbUpdateRecord)
     */
    @Override
    public List<? extends PecsDTO> findCorrespondingVaObjects(FdbUpdateRecord rec) {
        return null;
    }

}
