package gov.va.med.pharmacy.pecs.service.fdbreports.impl;

/**
 * The Class SortedDrugPair.
 */
public final class SortedDrugPair {

    /** The interactionid. */
    private Long interactionid = 0L;

    /** The rtgenid1. */
    private Long rtgenid1 = 0L;

    /** The rtgenid2. */
    private Long rtgenid2 = 0L;

    /** The rtgenid1 desc. */
    private String rtgenid1Desc = "";

    /** The rtgenid2 desc. */
    private String rtgenid2Desc = "";

    /** The datup action. */
    private String datupAction = "";

    /**
     * Gets the datup action.
     * 
     * @return the datup action
     */
    public String getDatupAction() {
        return datupAction;
    }

    /**
     * Sets the datup action.
     * 
     * @param datupAction
     *            the new datup action
     */
    public void setDatupAction(String datupAction) {
        this.datupAction = datupAction;
    }

    /**
     * Gets the rtgenid1.
     * 
     * @return the rtgenid1
     */
    public Long getRtgenid1() {
        return rtgenid1;
    }

    /**
     * Sets the rtgenid1.
     * 
     * @param rtgenid1
     *            the new rtgenid1
     */
    public void setRtgenid1(Long rtgenid1) {
        this.rtgenid1 = rtgenid1;
    }

    /**
     * Gets the rtgenid2.
     * 
     * @return the rtgenid2
     */
    public Long getRtgenid2() {
        return rtgenid2;
    }

    /**
     * Sets the rtgenid2.
     * 
     * @param rtgenid2
     *            the new rtgenid2
     */
    public void setRtgenid2(Long rtgenid2) {
        this.rtgenid2 = rtgenid2;
    }

    /**
     * Gets the interactionid.
     * 
     * @return the interactionid
     */
    public Long getInteractionid() {
        return interactionid;
    }

    /**
     * Sets the interactionid.
     * 
     * @param interactionid
     *            the new interactionid
     */
    public void setInteractionid(Long interactionid) {
        this.interactionid = interactionid;
    }

    /**
     * Gets the rtgenid1 desc.
     * 
     * @return the rtgenid1 desc
     */
    public String getRtgenid1Desc() {
        return rtgenid1Desc;
    }

    /**
     * Sets the rtgenid1 desc.
     * 
     * @param rtgenid1Desc
     *            the new rtgenid1 desc
     */
    public void setRtgenid1Desc(String rtgenid1Desc) {
        this.rtgenid1Desc = rtgenid1Desc;
    }

    /**
     * Gets the rtgenid2 desc.
     * 
     * @return the rtgenid2 desc
     */
    public String getRtgenid2Desc() {
        return rtgenid2Desc;
    }

    /**
     * Sets the rtgenid2 desc.
     * 
     * @param rtgenid2Desc
     *            the new rtgenid2 desc
     */
    public void setRtgenid2Desc(String rtgenid2Desc) {
        this.rtgenid2Desc = rtgenid2Desc;
    }

   
    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((datupAction == null) ? 0 : datupAction.hashCode());
        result = prime * result + ((interactionid == null) ? 0 : interactionid.hashCode());
        result = prime * result + ((rtgenid1 == null) ? 0 : rtgenid1.hashCode());
        result = prime * result + ((rtgenid1Desc == null) ? 0 : rtgenid1Desc.hashCode());
        result = prime * result + ((rtgenid2 == null) ? 0 : rtgenid2.hashCode());
        result = prime * result + ((rtgenid2Desc == null) ? 0 : rtgenid2Desc.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        SortedDrugPair other = (SortedDrugPair) obj;
        if (datupAction == null) {
            if (other.datupAction != null)
                return false;
        } else if (!datupAction.equals(other.datupAction))
            return false;
        if (interactionid == null) {
            if (other.interactionid != null)
                return false;
        } else if (!interactionid.equals(other.interactionid))
            return false;
        if (rtgenid1 == null) {
            if (other.rtgenid1 != null)
                return false;
        } else if (!rtgenid1.equals(other.rtgenid1))
            return false;
        if (rtgenid1Desc == null) {
            if (other.rtgenid1Desc != null)
                return false;
        } else if (!rtgenid1Desc.equals(other.rtgenid1Desc))
            return false;
        if (rtgenid2 == null) {
            if (other.rtgenid2 != null)
                return false;
        } else if (!rtgenid2.equals(other.rtgenid2))
            return false;
        if (rtgenid2Desc == null) {
            if (other.rtgenid2Desc != null)
                return false;
        } else if (!rtgenid2Desc.equals(other.rtgenid2Desc))
            return false;
        return true;
    }

    
    @Override
    public String toString() {
        return "SortedDrugPair [interactionid=" + interactionid + ", rtgenid1=" + rtgenid1 + ", rtgenid2=" + rtgenid2
                + ", rtgenid1Desc=" + rtgenid1Desc + ", rtgenid2Desc=" + rtgenid2Desc + ", datupAction=" + datupAction + "]";
    }

}
