<%@page import="org.springframework.web.context.support.WebApplicationContextUtils" %>
<%@page import="org.springframework.web.context.WebApplicationContext" %>
<%@page import="gov.va.med.pharmacy.pecs.util.config.VersionInfo" %>
<%@ taglib tagdir="/WEB-INF/tags" prefix="pecs"%>
<div id="footer">
<%
	String versionNumber = (String)application.getAttribute("PECS_VERSION_NUMBER");
	if(versionNumber == null || versionNumber.length() == 0) {
	    WebApplicationContext locator = 
	    WebApplicationContextUtils.getWebApplicationContext(application);
		if (locator != null) {
			VersionInfo versionInfo = (VersionInfo)locator.getBean("pecsVersionInfo");		 
			if(versionInfo != null) {
				versionNumber = versionInfo.getVersion();
				application.setAttribute("PECS_VERSION_NUMBER",versionNumber);
			}
		}
	}
%>
<hr/>
<div id="footerLinks" accesskey="y">
<ul class="footerMenu">
<pecs:menuItem name="Home" path="pecs/index" />
	<pecs:menuItem name="Advanced Query/Customization" path="pecs/customization"/>
	<pecs:menuItem name="Easy Search" path="pecs/search" permissions="requestor,approver"/>
	<pecs:menuItem name="Drug Pair Lookup" path="pecs/drugPairLookup"
		permissions="requestor,approver" />
	<pecs:menuItem name="Administration" path="pecs/administration" permissions="admin" />
	<pecs:menuItem name="Reports" path="pecs/reports" permissions="approver,admin" />
	<pecs:menuItem name="Custom Updates" path="pecs/updates" permissions="releaseManager" />
	<pecs:menuItem name="Contact Us" path="pecs/contact" />
	<pecs:menuItem name="Help" path="pecs/help"  id="footerHelp"/>
</ul>
</div>
 <hr />
 <p>
  PECS Software Version: <%=versionNumber%>
 </p>
</div>
