<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<div>
	<h2 class="h2title">
		<spring:message code="es.header.select.information.type" />
	</h2>
	<div>
		<form id="drugSearchForm"
			action="${pageContext.request.contextPath}/pecs/search/dispensable"
			method="POST">
			<p>
				<input type="radio" id="severtiyLevel1" name="severityLevel"
					value="1" checked="checked" /> <label for="severtiyLevel1"><spring:message
						code="es.label.sds.severity.1" /></label>
			</p>
			<p>
				<input type="radio" id="severtiyLevel2" name="severityLevel"
					value="2" /> <label for="severtiyLevel2"><spring:message
						code="es.label.sds.severity.2" /></label>
			</p>
			<p>
				<input type="radio" id="severtiyLevelBoth" name="severityLevel"
					value="12" /> <label for="severtiyLevelBoth"><spring:message
						code="es.label.sds.severity.both" /></label>
			</p>
			<h2 class="h2title">
				<spring:message code="es.header.search.select.drugs" />
			</h2>
			<div>
				<label for="drug"><spring:message
						code="es.label.drug.search" /></label> <input type="text" name="drug"
					id="drug" />
				<div class="buttons">
					<input type="submit"
						value='<spring:message code="es.label.button.search" />' />
				</div>
			</div>
		</form>
	</div>


	<div>
		<h2 class="h2title">
			<spring:message code="es.header.search.results" />
		</h2>
		<div>
			<form:form modelAttribute="dispensableGenericForm"
				action="${pageContext.request.contextPath}/pecs/search/dispensable/results"
				method="POST">
				<p>
				<div class="hiddenSearchResultsLabel">
					<label for="drugs">Search Results</label>
				</div>
				<select id="drugs" name="drugs" size="10"></select>
				</p>

				<form:hidden path="drug" id="submittedDrug" />
				<form:hidden path="severityLevel" id="submittedSeverity" />
				<div class="buttons">
					<button type="submit">
						<spring:message code="es.label.button.generate" />
					</button>
				</div>
			</form:form>
		</div>
	</div>
</div>