<?xml version="1.0" encoding="ISO-8859-1" ?>
<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<h1 id="hdr_queryBuilder" class="titleBar">
	<span class="headerText"><spring:message
			code="es.header.easysearchresults" /> </span>
	<pecs:pageHelp topic="<%= HelpTopics.EASY_SEARCH_DOSE_RANGE %>" />
</h1>


<div id="drugsDRSearchedDiv" class="conceptcontainer">
	<pecs:easySearchAttribute labelCode="es.header.drugchecked"
		value="${doseRangeFormResults.doseRangeSelection}" />
	<br />
	<div class="concepthdr">
		<spring:message code="es.label.dr.dosinginformationsubmitted" />
	</div>
	<br />
	<pecs:easySearchAttribute labelCode="es.label.dr.singledoseamount"
		value="${doseRangeFormResults.doseRangeForm.singleDose}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.doseunit"
		value="${doseRangeFormResults.doseRangeForm.doseUnitSelected.name}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.doserateunit"
		value="${doseRangeFormResults.doseRangeForm.doseRateUnitSelection}" />
	<pecs:easySearchAttribute labelCode="es.label.dr.frequency"
		value="${doseRangeFormResults.doseRangeForm.frequency}" />
</div>

<div>
	<h2 id="drResultsHdr" class="h2title">
		<spring:message code="es.drresults.header" />
	</h2>

	<br />


	<c:choose>
		<c:when
			test="${fn:length(doseRangeFormResults.doseRangeCheckResult.checks) == 0}">
			<spring:message code="es.no.results.found" />
		</c:when>
		<c:otherwise>
			<c:forEach var="item"
				items="${doseRangeFormResults.doseRangeCheckResult.checks}">
				<pecs:drEasySearchResult drInfo="${item}" />
			</c:forEach>
		</c:otherwise>
	</c:choose>

</div>