<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>
 
<div id="ddResults">
	<h2 id="ddResultsHdr" class="h2title"><spring:message code="es.ddiresults.header"/></h2>  
	<c:choose>
		<c:when test="${(easySearchModel.drugDrugCheckResults == null) || (fn:length(easySearchModel.drugDrugCheckResults.checks) < 1)}">
			<spring:message code="es.no.results.found"/>
		</c:when>
		<c:otherwise>
			<c:forEach var="item" items="${easySearchModel.drugDrugCheckResults.checks}" varStatus="status">
				<pecs:ddiEasySearchResults ddiInfo="${item}" elemindex="${status.index}"/>
			</c:forEach>
		</c:otherwise>
	</c:choose>
</div>
