<%@ page import="gov.va.med.pharmacy.pecs.web.help.HelpTopics"%>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>

<h1 class="titleBar">
 <span class="headerText"> <spring:message code="ddim.wizard.titlebar" />
 </span> <span id="dp508"><a id="dp508Link" href="/ct/pecs/drugPairCustomization508/interaction/${vaInteraction.interactionid }">508
   Compliant Page</a>
 <pecs:pageHelp topic="<%= HelpTopics.DRUG_PAIR_DETAIL_BATCH %>" /></span>
</h1>
<div id="editInfo" class="noneditable">
 <ul>
  <li><spring:message code="detail.message.edit" /></li>
 </ul>
</div>
<div class="buttons">
 <button type="button" id="editButton" class="edit noneditable">
  <spring:message code="wizard.button.edit" />
 </button>
 <button type="button" id="cancelButton" class="cancel editable" style="display: none;">
  <spring:message code="wizard.button.canceledit" />
 </button>
</div>

<div>
 <pecs:userMessages modelAttribute="*" />
 <pecs:userMessages modelAttribute="routedGenericsForm" />
 <tiles:insertAttribute name="currentinteractiontable" />
 <tiles:insertAttribute name="otherinteractiontable" />

 <br /> <br />
</div>
<form action="">
 <h2 id="hdr_createDrugPairs" class="h2title">
  <label style="display: none;">Click to expand</label> <a href="" id="createDrugPairsLink" class="opened">Select Drug Pairs
   to add to the above VA Custom Interaction</a>
 </h2>
</form>
<div id="createDrugPairs" style="">
 <div>

  <label>Select Drug Pair(s) Source</label>
  <table id="drugPairSourceTable">
   <thead></thead>
   <tbody>
    <tr>
     <td style="width: 25%">Drug pairs from corresponding FDB Interaction</td>
     <td><input type="radio" id="fdbPairs" class="radio" name="drugPairSource" value="fdb" checked="checked"></td>
     <td style="width: 70%; color: red;">&nbsp;&nbsp;&nbsp;&nbsp;<c:out value="${drugPairsExistMsg}" /></td>
    </tr>
    <tr>
     <td style="width: 25%">Drug pair from Routed Generic Drug lists</td>
     <td><input type="radio" id="genericPairs" class="radio" name="drugPairSource" value="generic"></td>
     <td style="width: 70%">&nbsp;&nbsp;</td>
    </tr>
   </tbody>
  </table>

  <tiles:insertAttribute name="fdbDrugDetails" />
  <div id="genericDrugs" class="hide">
   <br> <br> <label><b><spring:message code="ddim.wizard.generic.customize" /></b></label><br> <br>
   <tiles:insertAttribute name="genericdrugpairs" />
  </div>
 </div>
</div>
<form action="">
 <h2 id="hdr_modifyDrugPairs" class="h2title">
  <label style="display: none;">Click to expand</label> <a href="" class="opened" id="modifyDrugPairsLink"> &nbsp;<spring:message
    code="ddim.wizard.titlebar.modify.customize" />
  </a>
 </h2>
 <br />
</form>
<tiles:insertAttribute name="vaDrugDetails" />
<br />
<div class="buttons" style="clear: both">
 <button type="button" id="editButton2" class="edit noneditable">
  <spring:message code="wizard.button.edit" />
 </button>
 <button type="button" id="cancelButton2" class="cancel editable" style="display: none;">
  <spring:message code="wizard.button.canceledit" />
 </button>
</div>
