<%@ tag language="java" pageEncoding="ISO-8859-1"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>

<%@ attribute name="ddInfo" required="true" rtexprvalue="true" type="gov.va.med.pharmacy.pecs.domain.impl.easy.DoseRangeInfo"%>

<div id="ddResultDiv" class="conceptcontainer">
	<div id="ddResultHdr" class="concepthdr">
	<spring:message code="es.label.doserange"/>&nbsp;
	<c:choose>
		<c:when test="${ddInfo.custom}">
			<spring:message code="es.label.customdata"/>
		</c:when>
		<c:otherwise>
			<spring:message code="es.label.fdbdata"/>
		</c:otherwise>
	</c:choose>
	</div>
	<br />
	<c:forEach var="drug" items="${ddInfo.drugs}">
		<c:out value="${drug.uiLabel}"/><br />
	</c:forEach>
	<br />
	
	<span class="singledosemax"><spring:message code="es.label.dr.singledosemax" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="singledosemessage"><spring:message code="es.label.dr.singledosemessage"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="singledosestatus"><spring:message code="es.label.dr.singledosestatus" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="singledosemessagestatuscode"><spring:message code="es.label.dr.singledosemessagestatuscode"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="frequencymessage"><spring:message code="es.label.dr.frequencymessage" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="frequencystatus"><spring:message code="es.label.dr.frequencystatus"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="frequencystatuscode"><spring:message code="es.label.dr.frequencystatuscode"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="ageindayshigh"><spring:message code="es.label.dr.ageindayshigh" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="ageindayslow"><spring:message code="es.label.dr.ageindayslow"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="dosetypedescription"><spring:message code="es.label.dr.dosetypedescription"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="doseroutedescription"><spring:message code="es.label.dr.doseroutedescription" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="maxsingledose"><spring:message code="es.label.dr.maxsingledose"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="maxsingledoseunit"><spring:message code="es.label.dr.maxsingledoseunit" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="frequencylow"><spring:message code="es.label.dr.frequencylow"/></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	<span class="frequencyhigh"><spring:message code="es.label.dr.frequencyhigh" /></span>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;${ddInfo.shortText}<br />
	
	
	<br />

</div> 

