<%@ page language="java"
	import="java.util.*,gov.va.med.pharmacy.pecs.web.help.HelpTopics"
	pageEncoding="ISO-8859-1"%>

<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form"%>
<%@ taglib prefix="pecs" uri="/WEB-INF/tags"%>
<%@ taglib uri="http://tiles.apache.org/tags-tiles" prefix="tiles"%>

<div id="updates">
	<h2 class="titleBar">
		<span class="headerText">Customization Update Files</span>
		<pecs:pageHelp topic="<%=HelpTopics.CUSTOM_UPDATES%>" />
	</h2>
	<span><spring:message code="cu.label.info.page" /></span> 
	<br> 
    <span><spring:message code="cu.label.multiple.message" /></span>
	<br> 
	<span><spring:message code="cu.label.create.message" /></span>
	<form modelAttribute="customUpdateModel" name="customUpdateForm"
		method="POST">
		<div class="buttons">
			<button id="newUpdateFileFull" type="submit" value="full">
				<spring:message code="cu.label.button.new" />
			</button>

		</div>
	</form>
	<br> <br> <br> <br>
	<div tabindex="1">
		<c:if test="${not empty errorMessage}">
			<span class="errorHeader" role="alert">${errorMessage}</span>
		</c:if>
		<br>
		<p>
			<spring:message code="cu.label.info.download" />
			<br>
			<spring:message code="cu.lable.info.download.info"/>
		</p>
		<ul class="customInfo">

			<li><spring:message code="cu.label.year" /></li>
			<li><spring:message code="cu.label.month" /></li>
			<li><spring:message code="cu.label.grid" /></li>
		</ul>
	</div>
	<br>
	<div id="years" class="years">
		<c:forEach var="year" items="${years}">
			<div class="yearBar" id="year-${year}">
				<a href="/ct/pecs/updates/year/${year}" class="year"
					class="headerText"><span class="link">${year}</span></a>
			</div>
		</c:forEach>
	</div>
</div>
