<%@ include file="includes/docType.jsp"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@taglib uri="http://www.springframework.org/tags" prefix="spring" %>
<spring:url value="/style/master.css" var="master"/>
<spring:url value="/pecs/index" var="index"/>
<spring:url value="/images/1.gif" var="space"/>
<html>
 <head>
  <title><spring:message code="title.application"/></title>
  <meta http-equiv="pragma" content="no-cache" />
  <meta http-equiv="cache-control" content="no-cache" />
  <meta http-equiv="expires" content="-1" />
  <link rel="stylesheet" type="text/css"
   href="${master}"></link>
 </head>
 <body>
  <div id="link508"><a href="#MainContent508"><img alt="Skip to main content" src="${space}" width="1"></a></div>
  <div id="container">
   <%@ include file="includes/header.jsp"%>
   <hr />
   <a href="#MainContent508"></a>
   <div id="content">
   <br>   <br>
   <p><b>Confidentiality Statement:</b></p>
		<%@ include file="includes/confidentiality.jsp"%>
		<br>
		<form action="${index}" method="post" >
		  <button type="submit"  value="Agree" name="wizardButton">
		    <spring:message code="wizard.button.agree"/>
		  </button>
		</form>
   </div>
   <%@ include file="includes/footer.jsp"%>
  </div>
 </body>
</html>
