dojo.require("dijit.Dialog");
dojo.require("dijit.Tooltip");
var handle = null;
dojo
		.ready(function() {

			orderFields("PROFESSIONAL_MONOGRAPH");

			var myForm = dojo.byId("monographDTO");

			if (!pageHasErrors()) {
				if (hasVAInURL()) {
					callReqHistory("PROFESSIONAL_MONOGRAPH", dojo
							.byId("fdbCustomMonographVaId").value);
				}
			}

			if (dojo.byId("editButton")) {
				dojo.query(".edit").connect("onclick", null, function(e) {
					e.preventDefault();
					edit();
				});
				dojo.query(".cancel").connect(
						"onclick",
						null,
						function(e) {
							e.preventDefault();
							cancel();
							if (hasVAInURL()) {
								callReqHistory("PROFESSIONAL_MONOGRAPH", dojo
										.byId("fdbCustomMonographVaId").value);
							}
						});

				dojo.query(".historyButton").connect("onclick", null,
						function(e) {
							e.preventDefault();
							exportHistory();
						});
			}

			if (dojo.byId("userCommentButton") != null) {
				connectUserCommentButton("userCommentButton");
			}
			if (dojo.byId("userCommentButton2") != null) {
				connectUserCommentButton("userCommentButton2");
			}
			var actionButtons = dojo.query(".button");

			actionButtons
					.connect(
							"onclick",
							function(e) {

								if (this.id == "wtSubmit_for_Delete") {
									var conf = confirm("Are you sure you would like to submit the request for delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}
								if (this.id == "wtDelete") {
									var conf = confirm("Are you sure you would like to delete?");
									if (conf == false) {
										e.preventDefault();
										return;
									}
								}

								dojo.query('input', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('select', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});
								dojo.query('textarea', myForm).forEach(
										function(inputElem) {
											inputElem.disabled = '';
										});

								dojo.create("input", {
									type : "hidden",
									id : "action",
									name : "action",
									value : this.value
								}, myForm, "first");

							});
			if (pageHasErrors()) {
				if (dojo.isIE == 7) {
					setTimeout(function() {
						document.getElementById("errorMessages").focus();
					}, 500);
					document.getElementById("errorMessages").focus();
					document.getElementById("errorMessages").focus();
				} else {
					document.getElementById("errorMessages").focus();

				}
			}
		});

function exportHistory() {
	var id = dojo.byId("fdbCustomMonographVaId").value;
	var url = "/ct/pecs/monograph/professional/history/VA/" + id;
	location.href = url;
}

function isProfessionalMonograph() {
	var searchIndex = window.location.href.search("/professional/");
	if (searchIndex > -1) {
		return true;
	}
	return false;
}

function createDialog ()
{
	var dialogObj = dijit.byId("commentDialog");

	if (dialogObj === undefined){		
		var monographId = window.location.href.split('/').pop();
		dialogObj = createConceptDialog("PROFESSIONAL_MONOGRAPH", monographId);
	
		dialogObj.show();
		dialogObj.onLoadDeferred.then(function() {
			connectToDialogButtons();
		});
		return;
		}

	var deferred = dialogObj.show();
}


