package gov.va.med.pharmacy.pecs.web.customization;

/**
 * The Class ConceptRecordForm.
 */
public class ConceptRecordForm {

    /** The concept selection. */
    private String conceptSelection;

    /** The record selection. */
    private String recordSelection;

    /** The column selection. */
    private String columnSelection;

    /** The constraint selection. */
    private String constraintSelection;

    /** The column value. */
    private String columnValue;

    /** the value AND or OR *. */
    private String conjunction;

    /**
     * Gets the concept selection.
     * 
     * @return the conceptSelection
     */
    public String getConceptSelection() {
        return conceptSelection;
    }

    /**
     * Sets the concept selection.
     * 
     * @param conceptSelection
     *            the conceptSelection to set
     */
    public void setConceptSelection(String conceptSelection) {
        this.conceptSelection = conceptSelection;
    }

    /**
     * Gets the record selection.
     * 
     * @return the recordSelection
     */
    public String getRecordSelection() {
        return recordSelection;
    }

    /**
     * Sets the record selection.
     * 
     * @param recordSelection
     *            the recordSelection to set
     */
    public void setRecordSelection(String recordSelection) {
        this.recordSelection = recordSelection;
    }

    /**
     * Gets the column selection.
     * 
     * @return the columnSelection
     */
    public String getColumnSelection() {
        return columnSelection;
    }

    /**
     * Sets the column selection.
     * 
     * @param columnSelection
     *            the columnSelection to set
     */
    public void setColumnSelection(String columnSelection) {
        this.columnSelection = columnSelection;
    }

    /**
     * Gets the constraint selection.
     * 
     * @return the constraintSelection
     */
    public String getConstraintSelection() {
        return constraintSelection;
    }

    /**
     * Sets the constraint selection.
     * 
     * @param constraintSelection
     *            the constraintSelection to set
     */
    public void setConstraintSelection(String constraintSelection) {
        this.constraintSelection = constraintSelection;
    }

    /**
     * Gets the column value.
     * 
     * @return the columnValue
     */
    public String getColumnValue() {
        return columnValue;
    }

    /**
     * Sets the column value.
     * 
     * @param columnValue
     *            the columnValue to set
     */
    public void setColumnValue(String columnValue) {
        this.columnValue = columnValue;
    }

    /**
     * Sets the conjunction.
     * 
     * @param conjunction
     *            the new conjunction
     */
    public void setConjunction(String conjunction) {
        this.conjunction = conjunction;
    }

    /**
     * Gets the conjunction.
     * 
     * @return the conjunction
     */
    public String getConjunction() {
        return conjunction;
    }
}
