/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail;

/**
 * The Class LockingResult.
 * 
 * @author vhaisacarusr
 */
public class LockingResult {

    /** The current. */
    private boolean current = true;

    /** The locked. */
    private boolean locked;

    /** The message. */
    private String message;

    /** The url. */
    private String url;

    /**
     * Checks if is current.
     * 
     * @return the current
     */
    public boolean isCurrent() {
        return current;
    }

    /**
     * Sets the current.
     * 
     * @param current
     *            the current to set
     */
    public void setCurrent(boolean current) {
        this.current = current;
    }

    /**
     * Gets the message.
     * 
     * @return the message
     */
    public String getMessage() {
        return message;
    }

    /**
     * Sets the message.
     * 
     * @param message
     *            the message to set
     */
    public void setMessage(String message) {
        this.locked = !"".equals(getMessage());
        this.message = message;
    }

    /**
     * Gets the url.
     * 
     * @return the url
     */
    public String getUrl() {
        return url;
    }

    /**
     * Sets the url.
     * 
     * @param url
     *            the url to set
     */
    public void setUrl(String url) {
        this.url = url;
    }

    /**
     * Checks if is locked.
     * 
     * @return the locked
     */
    public boolean isLocked() {
        locked = !"".equals(getMessage());
        return locked;
    }

    /**
     * Sets the locked.
     * 
     * @param locked
     *            the locked to set
     */
    public void setLocked(boolean locked) {
        this.locked = locked;
    }
}
