package gov.va.med.pharmacy.pecs.web.detail.drugdrug;

/**
 * The Class LabelValue.
 */
public class LabelValue {

    /** The label. */
    private String label;

    /** The value. */
    private String value;

    /**
     * Instantiates a new label value.
     * 
     * @param label
     *            the label
     * @param value
     *            the value
     */
    public LabelValue(String label, String value) {
        super();
        this.label = label;
        this.value = value;
    }

    /**
     * Sets the label.
     * 
     * @param label
     *            the new label
     */
    public void setLabel(String label) {
        this.label = label;
    }

    /**
     * Gets the label.
     * 
     * @return the label
     */
    public String getLabel() {
        return label;
    }

    /**
     * Sets the value.
     * 
     * @param value
     *            the new value
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * Gets the value.
     * 
     * @return the value
     */
    public String getValue() {
        return value;
    }
}
