/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

/**
 * Abstract class that holds the common parameters for the drug pair forms.
 * 
 * @author VHAISACARUSR
 * 
 */
public class AbstractDrugPairForm {
    private String assignedTo;
    private long interactionId;

    /**
     * Gets the assignedTo.
     * 
     * @return the assignedTo
     */
    public final String getAssignedTo() {
        return assignedTo;
    }

    /**
     * Sets the assignedTo.
     * 
     * @param assignedTo
     *            the assignedTo to set
     */
    public final void setAssignedTo(String assignedTo) {
        this.assignedTo = assignedTo;
    }

    /**
     * Gets the interactionId.
     * 
     * @return the interactionId
     */
    public final long getInteractionId() {
        return interactionId;
    }

    /**
     * Sets the interactionId.
     * 
     * @param interactionId
     *            the interactionId to set
     */
    public final void setInteractionId(long interactionId) {
        this.interactionId = interactionId;
    }
}
