/**
 * 
 */
package gov.va.med.pharmacy.pecs.web.detail.drugpair;

/**
 * Represents the form for the Generic drug pairs.
 * 
 * @author vhaisacarusr
 * 
 */
public class GenericDrugPairsForm extends AbstractDrugPairForm{
    private long routedGenericId1;
    private long routedGenericId2;
    private String referenceText;
    private String currentActionReason;

    /**
     * Gets the routedGenericId1.
     * 
     * @return the routedGenericId1
     */
    public final long getRoutedGenericId1() {
        return routedGenericId1;
    }

    /**
     * Sets the routedGenericId1.
     * 
     * @param routedGenericId1
     *            the routedGenericId1 to set
     */
    public final void setRoutedGenericId1(long routedGenericId1) {
        this.routedGenericId1 = routedGenericId1;
    }

    /**
     * Gets the routedGenericId2.
     * 
     * @return the routedGenericId2
     */
    public final long getRoutedGenericId2() {
        return routedGenericId2;
    }

    /**
     * Sets the routedGenericId2.
     * 
     * @param routedGenericId2
     *            the routedGenericId2 to set
     */
    public final void setRoutedGenericId2(long routedGenericId2) {
        this.routedGenericId2 = routedGenericId2;
    }

    /**
     * Gets the referenceText.
     * 
     * @return the referenceText
     */
    public final String getReferenceText() {
        return referenceText;
    }

    /**
     * Sets the referenceText.
     * 
     * @param referenceText
     *            the referenceText to set
     */
    public final void setReferenceText(String referenceText) {
        this.referenceText = referenceText;
    }

    /**
     * Gets the currentActionReason.
     * 
     * @return the currentActionReason
     */
    public final String getCurrentActionReason() {
        return currentActionReason;
    }

    /**
     * Sets the currentActionReason.
     * 
     * @param currentActionReason
     *            the currentActionReason to set
     */
    public final void setCurrentActionReason(String currentActionReason) {
        this.currentActionReason = currentActionReason;
    }


}
