package gov.va.med.pharmacy.pecs.web.help;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.servlet.ModelAndView;

/**
 * The Class HelpController.
 */
@Controller
public class HelpController {

    /**
     * Show help.
     * 
     * @return the model and view
     */
    @RequestMapping("/help")
    public ModelAndView showHelp() {
        return new ModelAndView("pecs.help");
    }
}
